<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use App\Models\GolfersDetail;
use App\Models\DomesticDetail;
use App\Models\MedicalDetail;
use App\Models\RentersDetail;
use App\Models\ResidentialProperty;
use App\Models\TravelDetail;
use App\Models\AccidentDetails;

class BillingController extends Controller
{
    public function index()
{
    // Get the authenticated user
    $user = Auth::user();

    // Format the phone number
    $formattedPhoneNumber = $this->formatPhoneNumber($user->phone ?? '');

    // Fetch all details with pending payments
    $golfersDetails = GolfersDetail::where('user_id', $user->id)
        ->select('cover_type', 'premium', 'payment')
        ->where('payment', 'pending')
        ->get();

    $domesticsDetails = ResidentialProperty::where('user_id', $user->id)
        ->select('cover_type', 'rent_amount', 'premium')
        ->where('payment', 'pending')
        ->get();

    $medicalDetails = MedicalDetail::where('user_id', $user->id)
        ->select('cover_type', 'payment','premium')
        ->where('payment', 'pending')
        ->get();

    $rentersDetails = RentersDetail::where('user_id', $user->id)
        ->select('cover_type', 'payment','premium')
        ->where('payment', 'pending')
        ->get();

    $travelDetails = TravelDetail::where('user_id', $user->id)
        ->select('cover_type', 'payment','premium')
        ->where('payment', 'pending')
        ->get();
        
    $accidentDetails = AccidentDetails::where('user_id', $user->id)
            ->select('cover_type', 'payment', 'premium')
            ->where('payment', 'pending')
            ->get();


    // Pass details and formatted phone number to the view
    return view('user.billing', compact('golfersDetails', 'domesticsDetails', 'medicalDetails', 'rentersDetails', 'travelDetails', 'formattedPhoneNumber','accidentDetails'));
}
private function formatPhoneNumber($phoneNumber)
{
    // Remove any non-numeric characters (except leading +)
    $cleanedNumber = preg_replace('/[^\d]/', '', $phoneNumber);

    // Remove the international dialing code if present (e.g., +254)
    if (substr($cleanedNumber, 0, 1) == '0') {
        // Phone number is already in local format
        return $cleanedNumber;
    } elseif (substr($cleanedNumber, 0, 3) == '254') {
        // Remove country code (254) for local format
        return '0' . substr($cleanedNumber, 3);
    }

    // Return the cleaned number if no special formatting is required
    return $cleanedNumber;
}

}
