<?php

namespace App\Http\Controllers;
use Illuminate\Support\Carbon;
use App\Mpesa\STKPush;
use App\Models\MpesaSTK;
use Iankumu\Mpesa\Facades\Mpesa;//import the Facade
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\CashConfirmations;
use Illuminate\Support\Facades\Log;
use Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
class MpesaSTKPUSHController extends Controller
{
    public $result_code = 1;
    public $result_desc = 'An error occured';

    // Initiate  Stk Push Request
    public function lipaNaMpesaPassword()
    {
        //timestamp
        $timestamp = Carbon::rawParse('now')->format('YmdHms');
        //passkey
        $passKey ="6a3f9e9fe28386b4b6072eada767bbb969e885d0f7655c1bb5c9342e77d19035";
        //sent by safaricom
        $businessShortCOde =6811888;
        //generate password
        $mpesaPassword = base64_encode($businessShortCOde.$passKey.$timestamp);

        return $mpesaPassword;
        
    }
    public function newAccessToken()
    {
        $consumer_key="m2QfiqAlvmutE4tjZJ1J5tGOczncDhwgbtoOPUAuiAQASwrt";
        $consumer_secret="XpWs0fAdJXfJkPTCFrWmpfk7hYs3eSdcN52fIMGmOcWL23TOEVGpHJY7g1ny8uMO";
        $credentials = base64_encode($consumer_key.":".$consumer_secret);
        $url = "https://api.safaricom.co.ke/oauth/v1/generate?grant_type=client_credentials";



        $curl = curl_init();
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_HTTPHEADER, array("Authorization: Basic ".$credentials,"Content-Type:application/json"));
        curl_setopt($curl, CURLOPT_HEADER,false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $curl_response = curl_exec($curl);
        $access_token=json_decode($curl_response);
        curl_close($curl);
       
        return $access_token->access_token;  
        
    }


   


public function stkPush(Request $request)
{
    $user = $request->user;
    $amount = $request->amount;
    $phoneno = $request->phoneno;
    $formatedPhone = substr($phoneno, 1); //726582228
    $code = "254";
    $phoneNumber = $code . $formatedPhone; //254726582228

    $url = 'https://api.safaricom.co.ke/mpesa/stkpush/v1/processrequest';
    $curl_post_data = [
        'BusinessShortCode' => 6811888,
        'Password' => $this->lipaNaMpesaPassword(),
        'Timestamp' => Carbon::rawParse('now')->format('YmdHms'),
        'TransactionType' => 'CustomerBuyGoodsOnline',
        'Amount' => $amount,
        'PartyA' => $phoneNumber,
        'PartyB' => 9954391, // till number
        'PhoneNumber' => $phoneNumber,
        'CallBackURL' => 'https://crownscope.dogo-tech.com/api/stk/push/callback',
        'AccountReference' => "writers and employers",
        'TransactionDesc' => "pay us"
    ];

    $data_string = json_encode($curl_post_data);

    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type:application/json', 'Authorization:Bearer ' . $this->newAccessToken()));
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $data_string);
    $curl_response = json_decode(curl_exec($curl), true); // Convert to array

   if (isset($curl_response['MerchantRequestID'], $curl_response['CheckoutRequestID'])) {
        $merchantRequestID = $curl_response['MerchantRequestID'];
        $checkoutRequestID = $curl_response['CheckoutRequestID'];

        // Wait and check MpesaSTK table
        $transaction = null;
        $retries = 10; // Set a retry limit to avoid infinite loops
        $waitTime = 5; // Time to wait between retries (seconds)

        while ($retries > 0) {
            $transaction = MpesaSTK::where('MerchantRequestID', $merchantRequestID)
                ->where('CheckoutRequestID', $checkoutRequestID)
                ->first();

            if ($transaction) {
                if ($transaction->ResultCode == 0) {
                    // ResultCode 0 means success
                    return response()->json([
                        'status' => 'success',
                        'message' => 'Transaction Successful: ' . $transaction->ResultDesc,
                       
                    ]);
                } else {
                    // Any other ResultCode means failure
                    return response()->json([
                        'status' => 'error',
                        'message' => 'Transaction Failed: ' . $transaction->ResultDesc
                    ]);
                }
                break;
            }

            sleep($waitTime); // Wait for some time before checking again
            $retries--;
        }

        // If no result after retries
        if (!$transaction) {
            return response()->json([
                'status' => 'error',
                'message' => 'Transaction could not be completed. Please try again later.'
            ]);
        }

        return response()->json([
            'status' => 'error',
            'message' => 'Unknown error occurred.'
        ]);
    } else {
        return response()->json([
            'status' => 'error',
            'message' => 'STK Push Request Failed'
        ]);
    }
}



    public function STKConfirm(Request $request)
    {
        
        $stk_push_confirm = (new STKPush())->confirm($request);

        if ($stk_push_confirm) {

            $this->result_code = 0;
            $this->result_desc = 'Success';
        }
        return response()->json([
            'ResultCode' => $this->result_code,
            'ResultDesc' => $this->result_desc
        ]);
    }
    public function mpesaValidation(Request $request)
    {
        $result_code = "0";
        $result_description = "Accepted validation request.";
        return $this->createValidationResponse($result_code, $result_description);
    }

  public function MpesaRes(Request $request)
{
    $response = json_decode($request->getContent(), true);
    // Create a new MpesaSTK instance
    $mpesaSTK = new MpesaSTK();
    $mpesaSTK->MerchantRequestID = $response['Body']['stkCallback']['MerchantRequestID'] ?? null;
    $mpesaSTK->CheckoutRequestID = $response['Body']['stkCallback']['CheckoutRequestID'] ?? null;
    $mpesaSTK->ResultCode = $response['Body']['stkCallback']['ResultCode'] ?? null;
    $mpesaSTK->ResultDesc = $response['Body']['stkCallback']['ResultDesc'] ?? null;
    $mpesaSTK->Amount = $response['Body']['stkCallback']['CallbackMetadata']['Item'][0]['Value'] ?? null;
    $mpesaSTK->MpesaReceiptNumber = $response['Body']['stkCallback']['CallbackMetadata']['Item'][1]['Value'] ?? null;
    $mpesaSTK->PhoneNumber = $response['Body']['stkCallback']['CallbackMetadata']['Item'][3]['Value'] ?? null;
   

  
            // Save the Mpesa STK data to the database only if it doesn't exist
            $mpesaSTK->save();
        
}

    public function createValidationResponse($result_code, $result_description){
        $result=json_encode(["ResultCode"=>$result_code, "ResultDesc"=>$result_description]);
        $response = new MpesaSTK();
        $response->headers->set("Content-Type","application/json; charset=utf-8");
        $response->setContent($result);
        return $response;
    }

  
}

