<?php

namespace App\Http\Controllers;

use App\Models\Note;
use Illuminate\Http\Request;

class NoteController extends Controller
{
    // Display notes for a specific user
    public function index($user_id)
    {
        $notes = Note::where('user_id', $user_id)->latest()->get();
        return view('admin.userview', compact('notes')); // Assuming `admin.userview` is the view file for user details
    }

    // Store a new note
    public function store(Request $request, $user_id)
    {
        $request->validate([
            'note' => 'required|string',
            'file' => 'nullable|file|mimes:jpg,png,pdf,doc,docx|max:2048'
        ]);

        $filePath = null;
        if ($request->hasFile('file')) {
            $filePath = $request->file('file')->store('notes', 'public'); // Save in `storage/app/public/notes`
        }

        Note::create([
            'user_id' => $user_id,
            'note' => $request->input('note'),
            'file' => $filePath
        ]);

        return back()->with('success', 'Note added successfully!');
    }
}
