<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\Paystack;

class PaystackController extends Controller
{
    public function storePaystackPayment(Request $request)
    {
        $validated = $request->validate([
            'amount' => 'required|numeric',
            'cover_type' => 'required|string',
            'reference' => 'required|string',
            'payment_method' => 'required|string|in:paystack',
        ]);

        // Store the transaction in the 'paystack' table
        $paystackTransaction = new Paystack();
        $paystackTransaction->user_id = Auth::id();  // Authenticated user ID
        $paystackTransaction->cover_type = $validated['cover_type'];
        $paystackTransaction->amount = $validated['amount'];
        $paystackTransaction->payment_method = 'paystack';  // Since it's Paystack payment
        $paystackTransaction->transaction_id = $validated['reference'];  // Paystack reference ID
        $paystackTransaction->status = 'completed';  // Default status as pending
        $paystackTransaction->save();

        return response()->json(['success' => true, 'message' => 'Transaction saved successfully.']);
    }
}
