<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\AccidentDetails;
use Carbon\Carbon;

class PrinceAccidentController extends Controller
{
    public function index()
    {
        // Fetch the authenticated user
        $user = auth()->user();
        
        // Fetch the user's first name
        $firstName = $user->first_name ?? 'Guest';

        // Fetch all accident details for the authenticated user
        $accidentDetails = AccidentDetails::where('user_id', $user->id)->get();

        // Pass the details and first name to the view
        return view('user.princeaccident', [
            'accidentDetails' => $accidentDetails,
            'firstName' => $firstName
        ]);
    }

    public function store(Request $request)
    {
        $user = auth()->user();
        
        // Check if details already exist for the user
        $existingDetails = AccidentDetails::where('user_id', $user->id)->first();
        
        if ($existingDetails) {
            return response()->json(['redirect' => route('dashboard')]);
        }
    
        // Create a new accident detail entry
        $accidentDetail = new AccidentDetails();
        $accidentDetail->user_id = $user->id;
        $accidentDetail->activity = 1;
        $accidentDetail->cover_type = 'Accident'; // Change this based on your actual cover type
        $accidentDetail->status = 'pending'; // Default status
        $accidentDetail->payment = 'pending'; 
        $accidentDetail->expiry_date = Carbon::now()->addDays(30)->format('Y-m-d');
        $accidentDetail->autorenew = 0; // Default autorenew
        $accidentDetail->package = $request->selectedPackage;
        $accidentDetail->premium = $request->amount;
        $accidentDetail->amount = $request->amount; // Setting amount to be equal to premium
        $accidentDetail->save();
        
        return response()->json(['data' => $accidentDetail]);
    }
}
