<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\UserDetail;
use Illuminate\Support\Facades\Storage;

class ProfileController extends Controller
{
    public function index()
    {
        // Fetch the authenticated user
        $user = auth()->user();

        // Fetch the user's details
        $userDetail = UserDetail::where('user_id', $user->id)->first();

        // Check if the selfie path exists
        $selfiePath = $userDetail ? $userDetail->selfie_path : null;
        $selfieExists = $selfiePath ? Storage::disk('public')->exists(str_replace('/storage/', '', $selfiePath)) : false;

        // Pass data to the view
        return view('user.profile', [
            'user' => $user,
            'userDetail' => $userDetail,
            'selfiePath' => $selfiePath,
            'selfieExists' => $selfieExists,
        ]);
    }
}
