<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class EnsureUserIsAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        // Check if the user is authenticated
        if (!Auth::check()) {
            return redirect()->route('login');
        }

        // Check if the user is verified (is_verified should be 1)
        if (Auth::user()->is_verified !== 1) {
            return redirect()->route('verify'); // Redirect to verify page if not verified
        }

        // Allow the request to proceed
        return $next($request);
    }
}
