<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class AccidentDetails extends Model
{
    use LogsActivity;

    protected $table = 'accident_details';

    protected $fillable = [
        'user_id',
        'activity',
        'cover_type',
        'status',
        'expiry_date',
        'autorenew',
        'package',
        'premium',
        'amount',
        'filename',
        'payment',
    ];

    protected $casts = [
        'expiry_date' => 'date',
        'autorenew' => 'boolean',
        'amount' => 'decimal:2',
        'premium' => 'decimal:2',
    ];

    public $timestamps = true;

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id',
                'activity',
                'cover_type',
                'status',
                'expiry_date',
                'autorenew',
                'package',
                'premium',
                'amount',
                'filename',
                'payment',
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }
}
