<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Claim extends Model
{
    use HasFactory;

    protected $fillable = [
        'policy',
        'claim_number',
        'date_filed',
        'last_updated',
        'status',
        'customer',
        'user_id',
        'amount',
        'conversation_id',
    ];

    protected $casts = [
        'date_filed' => 'datetime',
        'last_updated' => 'datetime',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function conversation()
    {
        return $this->belongsTo(Conversation::class);
    }
}