<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;
use App\Models\User;

class GolfersDetail extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = [
        'user_id',
        'activity',
        'cover_type',
        'status',
        'expiry_date',
        'autorenew',
        'package',
        'premium',
        'filename',
    ];

    protected $casts = [
        'expiry_date' => 'date',
        'autorenew' => 'boolean',
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id',
                'activity',
                'cover_type',
                'status',
                'expiry_date',
                'autorenew',
                'package',
                'premium',
                'filename',
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    // Define any additional relationships or methods if necessary
}
