<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class GolfersDetailOfCover extends Model
{
    use LogsActivity;

    protected $table = 'golfers_detailofcover';

    protected $fillable = [
        'plan_name',
        'premium',
        'coverage_name',
        'amount',
        'description',
        'exclusion_type',
        'exclusion_description',
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'plan_name',
                'premium',
                'coverage_name',
                'amount',
                'description',
                'exclusion_type',
                'exclusion_description',
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }
}
