<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;
use App\CashConfirmation;
use App\Models\User;

class MpesaSTK extends Model
{
    use HasFactory, LogsActivity;

    protected $table = 'mpesa_transactions';

    protected $fillable = [
        'MerchantRequestID',
        'CheckoutRequestID',
        'ResultCode',
        'ResultDesc',
        'Amount',
        'MpesaReceiptNumber',
        'Balance',
        'TransactionDate',
        'PhoneNumber',
        'user_id',
    ];

    protected $casts = [
        'CallbackMetadata' => 'array',
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'MerchantRequestID',
                'CheckoutRequestID',
                'ResultCode',
                'ResultDesc',
                'Amount',
                'MpesaReceiptNumber',
                'Balance',
                'TransactionDate',
                'PhoneNumber',
                'user_id',
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }

    public function cashConfirmation()
    {
        //return $this->hasOne(CashConfirmation::class, 'MpesaReceiptNumber', 'MpesaReceiptNumber');
    }
}
