<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class Notification extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = [
        'user_id',
        'kra_pin',
        'selfie',
        'id_card',
        'home_address',
        'dob',
        'notification_count',
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id',
                'kra_pin',
                'selfie',
                'id_card',
                'home_address',
                'dob',
                'notification_count',
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }
}
