<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class Paystack extends Model
{
    use HasFactory, LogsActivity;

    protected $table = 'paystack';

    protected $fillable = [
        'user_id', 
        'cover_type', 
        'amount', 
        'payment_method', 
        'transaction_id', 
        'status'
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id', 
                'cover_type', 
                'amount', 
                'payment_method', 
                'transaction_id', 
                'status'
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }
}
