<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class ResidentialProperty extends Model
{
    use HasFactory;
    use LogsActivity;

    protected $fillable = [
        'user_id',
        'ownership_status',
        'occupancy_status',
        'property_value',
        'rent_amount',
        'furniture_value',
        'electrical_appliances_value',
        'paintings_value',
        'kitchenware_value',
        'household_linen_value',
        'photography_equipment_value',
        'jewellery_value',
        'phones_quantity',
        'laptops_quantity',
        'tablets_quantity',
        'music_players_quantity',
        'cameras_quantity',
        'phone_1_model',
        'phone_1_value',
        'phone_2_model',
        'phone_2_value',
        'phone_3_model',
        'phone_3_value',
        'laptop_1_model',
        'laptop_1_value',
        'laptop_2_model',
        'laptop_2_value',
        'gardeners_count',
        'indoor_workers_count',
        'watchmen_count',
        'gardener_salary',
        'indoor_workers_salary',
        'watchman_salary',
        'liability_increase_choice',
        'owners_liability_amount',
        'occupiers_liability_amount',
        'additional_cover',
        'purchase_decision',
    ];

    protected $casts = [
        'additional_cover' => 'array',
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id',
                'ownership_status',
                'occupancy_status',
                'property_value',
                'rent_amount',
                'furniture_value',
                'electrical_appliances_value',
                'paintings_value',
                'kitchenware_value',
                'household_linen_value',
                'photography_equipment_value',
                'jewellery_value',
                'phones_quantity',
                'laptops_quantity',
                'tablets_quantity',
                'music_players_quantity',
                'cameras_quantity',
                'phone_1_model',
                'phone_1_value',
                'phone_2_model',
                'phone_2_value',
                'phone_3_model',
                'phone_3_value',
                'laptop_1_model',
                'laptop_1_value',
                'laptop_2_model',
                'laptop_2_value',
                'gardeners_count',
                'indoor_workers_count',
                'watchmen_count',
                'gardener_salary',
                'indoor_workers_salary',
                'watchman_salary',
                'liability_increase_choice',
                'owners_liability_amount',
                'occupiers_liability_amount',
                'additional_cover',
                'purchase_decision',
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
