<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class TravelDetail extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = [
        'user_id',
        'activity',
        'cover_type',
        'status',
        'amount',
        'destination',
        'departure_date',
        'return_date',
        'adults',
        'children',
        'traveller_details',
        'expiry_date',
        'autorenew',
        'payment'
    ];

    protected $casts = [
        'departure_date' => 'date',
        'return_date' => 'date',
        'expiry_date' => 'date',
        'traveller_details' => 'array',
        'adults' => 'integer',
        'children' => 'integer',
        'amount' => 'decimal:2',
        'autorenew' => 'boolean',
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id',
                'activity',
                'cover_type',
                'status',
                'amount',
                'destination',
                'departure_date',
                'return_date',
                'adults',
                'children',
                'traveller_details',
                'expiry_date',
                'autorenew'
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }

    // Define any necessary relationships here
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
