<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class UserCover extends Model
{
    use HasFactory;
    use LogsActivity;

    protected $fillable = [
        'userid',
        'kra_pin',
        'phone',
        'dob',
        'coverage',
        'over19',
        'under19',
        'amount',
        'isPaid',
        'packages',
        'package',
    ];

    // If your table is named 'user_covers', specify it here
    protected $table = 'user_covers';

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'userid',
                'kra_pin',
                'phone',
                'dob',
                'coverage',
                'over19',
                'under19',
                'amount',
                'isPaid',
                'packages',
                'package'
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }
}
