<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class UserDetail extends Model
{
    use LogsActivity;

    protected $fillable = [
        'user_id',
        'kra_pin',
        'selfie_path',
        'national_id_front_path', // Field for the front side of the national ID
        'national_id_back_path',  // Field for the back side of the national ID
        'home_address',
        'date_of_birth',
        'pre_existing_conditions'
    ];

    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly([
                'user_id',
                'kra_pin',
                'selfie_path',
                'national_id_front_path',
                'national_id_back_path',
                'home_address',
                'date_of_birth',
                'pre_existing_conditions'
            ])
            ->logOnlyDirty()
            ->dontSubmitEmptyLogs();
    }
}
