<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="author" content="CodeHim">
      <title>Pricing</title>
      <!-- Include Google Fonts -->
      <link href="https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Open+Sans:wght@500&display=swap" rel="stylesheet">
      <!-- Custom Style CSS -->
      <link rel="stylesheet" href="../custom/css/style.css">
      <!-- Demo CSS (No need to include it into your project) -->
      <link rel="stylesheet" href="../custom/css/demo.css">
      <!-- Custom inline styles -->
      <style>
         body {
            font-family: 'Lato', Sans-serif;
         }
         h1, h2 {
            font-family: 'Open Sans', Sans-serif;
            line-height: 2.1em;
         }
         h1 {
            font-size: 24px;
            font-weight: 500;
         }
         h2 {
            font-size: 18px;
            font-weight: 500;
         }
         .button {
            font-family: 'Lato', Sans-serif;
            font-size: 18px;
            font-weight: 700;
            background-color: #AB1F74;
            color: #fff;
            padding: 10px 20px;
            border: none;
            cursor: pointer;
            text-decoration: none;
         }
         .button:hover {
            background-color: #ceb78d;
         }
      </style>
      <!-- SweetAlert2 CSS -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.0.18/sweetalert2.min.css">
   </head>
   <body>
      <main class="cd__main">
         <div class="container">
            <div class="top">
               <h1 style="font-family: 'Open Sans', Sans-serif; font-size: 18px; line-height: 2.1em; font-weight: 500; color: white;">
                  Checkout and you will be redirected to your dashboard
               </h1>
            </div>
            <div class="package-container">
               <div class="packages">
                  <h1 style="color: black;"> Coverage Ksh {{ $coverage }}</h1>
                  <h2 class="text1" style="color: black;"> Payable amount Ksh {{ $amount }} </h2>
                  <ul class="list" style="color: black;">
                     <li class="first">Persons U19: {{ $personsU19 }}</li>
                     <li>Persons O19: {{ $personsO19 }}</li>
                     <li>Phone: {{ $phoneNumber }} </li>
                  </ul>
                  <form id="paymentForm" action="{{ route('stkpush') }}" method="POST" style="display: none;">
                     @csrf <!-- If using Laravel, this adds the CSRF token field -->
                     <input type="hidden" name="amount" value="{{ $amount }}">
                     <input type="hidden" id="phoneno" name="phoneno" value="{{ $phoneNumber }}">
                  </form>
                  <a href="#" class="button button1" id="buyNowButton">Buy Now</a>
               </div>
            </div>
         </div>
      </main>
      <!-- SweetAlert2 JS -->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.0.18/sweetalert2.min.js"></script>
      <!-- jQuery -->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
      <!-- Bootstrap JS -->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.2.0/js/bootstrap.bundle.min.js"></script>
      <!-- Custom Script JS -->
      <script>
         // Function to show success SweetAlert2
         function showSuccessAlert() {
             Swal.fire({
                 title: "Payment request sent",
                 icon: "success"
             });
         }

         // Function to show auto-close SweetAlert2
         function showAutoCloseAlert() {
             let timerInterval;
             Swal.fire({
                 title: "crown scope!",
                 html: "Payments are processed by crown scope.<br><br> Please enter your M-Pesa PIN to complete the payment.",
                 timer: 6000,
                 timerProgressBar: true,
                 didOpen: () => {
                     Swal.showLoading();
                     const timer = Swal.getPopup().querySelector("b");
                     timerInterval = setInterval(() => {
                         timer.textContent = `${Swal.getTimerLeft()}`;
                     }, 100);
                 },
                 willClose: () => {
                     clearInterval(timerInterval);
                     showSuccessAlert(); // Call showSuccessAlert() when the alert closes
                     document.getElementById('paymentForm').submit(); // Submit the form after the alert closes
                 }
             });
         }

         // Handling button click event
         document.getElementById('buyNowButton').addEventListener('click', function(event) {
             event.preventDefault(); // Prevent default button action
             showAutoCloseAlert();
         });
      </script>
   </body>
</html>
