<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Crownscope Login</title>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&family=Lato:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">
    <style>
        body {
            font-family: 'Lato', sans-serif;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #000000;
            color: #FFFFFF;
        }

        h1, h2, h3, h4, h5, h6 {
            font-family: 'Open Sans', sans-serif;
            line-height: 2.1em;
            font-weight: 500;
            font-size: 24px;
        }

        .container {
            width: 100%;
            max-width: 1400px;
            display: flex;
            flex-direction: row;
            background-color: #000000;
            border-radius: 10px;
            overflow: hidden;
        }

        .features {
            flex: 1;
            padding: 60px;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        .feature {
            display: flex;
            align-items: center;
            margin-bottom: 0px;
        }

        .feature-icon {
            width: 120px;
            margin-right: 30px;
        }

        .feature-text {
            font-family: 'Lato', sans-serif;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
        }

        .login-form {
            flex: 1;
            padding: 60px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            background-color: #000000;
            width: 80%;
            margin: 0 auto;
        }

        .logo {
            width: 200px;
            margin-bottom: 30px;
        }

        #loginForm {
            width: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .form-group {
            width: 100%;
            margin-bottom: 25px;
        }

        .form-group input {
            width: 100%;
            padding: 25px;
            border: 1px solid #FFFFFF;
            border-radius: 25px;
            background-color: white;
            color: black;
            font-size: 15px;
            box-sizing: border-box;
        }

        .btn {
            font-family: 'Lato', sans-serif;
            width: 100%;
            font-size: 18px;
            font-weight: 700;
            background-color: #AB1F74;
            color: #FFFFFF;
            padding: 25px;
            border: none;
            border-radius: 25px;
            cursor: pointer;
            display: flex;
            justify-content: center;
            align-items: center;
            box-sizing: border-box;
        }

        .btn i {
            margin-left: 10px;
            font-size: 30px;
        }

        .btn:hover {
            background-color: #ceb78d;
            color: #FFFFFF;
        }

        .divider {
            width: 4px;
            background-color: #FFFFFF;
            margin: 0 40px;
        }

        /* Mobile responsiveness */
        @media (max-width: 768px) {
            .container {
                flex-direction: column-reverse;
            }
            .features, .login-form {
                width: 100%;
                padding: 30px 0;
            }
            .login-form {
                align-items: center;
            }
            .divider {
                display: none;
            }
            .feature-icon {
                width: 80px;
                margin-right: 15px;
            }
            .feature-text {
                font-size: 16px;
            }
            #loginForm {
                width: 85vw;
            }
            .form-group {
                width: 100%;
                margin-bottom: 20px;
            }
            .form-group input {
                width: 100%;
                font-size: 16px;
                padding: 15px;
            }
            .btn {
                width: 100%;
                font-size: 18px;
                padding: 15px;
            }
            .btn i {
                font-size: 24px;
            }
            .logo {
                width: 200px;
            }
        }

        @media (max-width: 480px) {
            .feature-text {
                font-size: 14px;
            }
            .login-form {
                padding: 20px 0;
            }
            #loginForm {
                width: 85vw;
            }
            .form-group input {
                font-size: 16px;
                padding: 12px;
            }
            .btn {
                padding: 15px;
                font-size: 16px;
            }
            .btn i {
                font-size: 20px;
            }
            .logo {
                width: 180px;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="features">
            <div class="feature">
                <img src="{{ asset('landing/AI_icon.png') }}" alt="AI Icon" class="feature-icon">
                <span class="feature-text">AI-driven processes. Greater efficiency</span>
            </div>
            <div class="feature">
                <img src="{{ asset('landing/UIUX.png') }}" alt="UX/UI Icon" class="feature-icon">
                <span class="feature-text">User-friendly interface. Intuitive design</span>
            </div>
            <div class="feature">
                <img src="{{ asset('landing/efficiency.png') }}" alt="Efficiency Icon" class="feature-icon">
                <span class="feature-text">Built for efficiency. Enhanced productivity</span>
            </div>
        </div>
        <div class="divider"></div>
        <div class="login-form">
            <img src="{{ asset('landing/Dogo_logo.png') }}" alt="Crownscope Logo" class="logo">
            <form id="loginForm" method="POST" action="{{ route('login') }}">
                @csrf
                <div class="form-group">
                    <input type="email" id="email" name="email" placeholder="Email" required>
                </div>
                <div class="form-group">
                    <input type="password" id="password" name="password" placeholder="Password" required>
                </div>
                <button type="submit" class="btn">
                    Sign in
                </button>
            </form>
        </div>
    </div>
</body>
</html>