


<style>

header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 20px;
        }
        .logo-container {
            margin-right: -50px;
            margin-top :-20px;
        }
        .logo {
            height: 150px;
        }
        .nav-container {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        nav {
            display: flex;
            justify-content: center; /* Center the navigation items */
            gap: 30px; /* Space between each menu item */
        }
        
        nav a {
            text-decoration: none;
            color: #333;
            font-size: 16px;
            position: relative;
            padding: 0 15px; /* Add padding around each link */
        }
        
        nav a:not(:last-child)::after {
            content: "";
            position: absolute;
            right: -18px; /* Position the separator */
            height: 20px; /* Height of the separator */
            width: 2px; /* Width of the separator */
            background-color: black; /* Black separator */
        }
        
        nav a:hover {
            color: #ab1f74;
        }

        .active {
    color: #ab1f74;
    text-decoration: underline;
    font-weight: bold;
}



        
        .home-link {
            color: #ab1f74;
            text-decoration: underline;
            font-weight: bold; /* Makes the text bold */
        }


        .notification-icon {
            width: 34px;
            max-width: 44px;
            margin-right: 100px;
        }
        .nav-underline {
            height: 3px;
            background-color: #ab1f74;
            margin-top: 20px;
            margin-bottom: 20px;
            width: 100%;
            max-width: 10000px;
        }
        .content {
            flex-grow: 1;
            display: grid;
            margin-top: -60px;
            grid-template-columns: minmax(150px, 10%) minmax(600px, 65%) minmax(250px, 23%);
            gap: 10px;
            padding: 20px;
            max-width: 2000px; /* Prevent excessive stretching on very large screens */
            
        }


        


        .notification-container {
    position: relative;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.notification-icon {
    width: 34px;
    max-width: 44px;
    margin-right: 100px;
}

.notification-dropdown {
    position: absolute;
    top: 50px;
    right: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 250px;
    display: none;
    z-index: 1;
}

.notification-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.notification-header h3 {
    margin: 0;
}

.notification-header .view-all {
    color: #ab1f74;
    text-decoration: none;
}

.notification-list {
    max-height: 300px;
    overflow-y: auto;
}

.notification-item {
    border-bottom: 1px solid #ccc;
    padding: 10px 0;
}

.notification-content {
    display: flex;
    align-items: center;
}

.notification-message-icon {
    width: 24px;
    margin-right: 10px;
}

.notification-date {
    font-size: 14px;
    color: #888;
}


.view-all-container {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.view-all {
    color: #ab1f74;
    text-decoration: none;
}






.notification-container {
    position: relative;
    display: inline-block; /* Ensures the icon and number are aligned correctly */
    cursor: pointer;
}



.notification-count {
    position: absolute;
    top: -5px; /* Adjust as needed to position vertically above the icon */
    left: -10px; /* Adjust as needed to position to the left of the icon */
    background-color: #ab1f74; /* Specific shade of red */
    color: #fff; /* White text for visibility */
    border-radius: 50%; /* Ensures the shape is perfectly circular */
    padding: 3px; /* Uniform padding to maintain circle shape */
    font-size: 10px; /* Suitable font size for visibility */
    height: 16px; /* Adjust height for smaller size */
    width: 16px; /* Adjust width to match height for perfect circle */
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 3px rgba(0,0,0,0.25); /* Subtle shadow for depth */
}








</style>










<header>
    <div class="logo-container">
        <a href="{{ url('admin/home') }}">
            <img src="{{ asset('images/Dogo_logo_white.png') }}" alt="Crownscope Logo" class="logo">
        </a>
    </div>
    <div class="nav-container">
        <nav>
        <a href="{{ url('admin/home') }}" class="{{ Request::is('admin/home') ? 'active' : '' }}">Home</a>
        <a href="{{ route('customers') }}" class="{{ Request::routeIs('customers') ? 'active' : '' }}">Customers</a>
            <a href="{{ route('admin.claims') }}" class="{{ Request::routeIs('admin.claims') ? 'active' : '' }}">Claims</a>
            <a href="{{ route('policy') }}" class="{{ Request::routeIs('policy') ? 'active' : '' }}">Policy Centre</a>
            <a href="{{ route('renewal') }}" class="{{ Request::routeIs('renewal') ? 'active' : '' }}">Renewals</a>
            <a href="#" class="{{ Request::routeIs('help') ? 'active' : '' }}">Help and Support</a>
        </nav>
        <div class="nav-underline"></div>
    </div>
    
 
<div class="notification-container" onclick="toggleNotificationDropdown()">
    <span class="notification-count">{{ $notificationCount ?? 0 }}</span>
    <img src="{{ asset('images/notification.png') }}" alt="Notifications" class="notification-icon">



    <div id="notification-dropdown" class="notification-dropdown">
        <div class="notification-header">
            <h3>Notifications</h3>
        </div>
        <div class="notification-list">
            @foreach ($latestClaims as $claim)
            <div class="notification-item">
                <div class="notification-content">
                    <img src="{{ asset('images/message.png') }}" alt="Message" class="notification-message-icon">
                    <div>
                        <p>{{ $claim->status === 'pending' ? 'Pending Claim' : 'New claim' }} - {{ $claim->claim_number }}</p>
                        <p class="notification-date">{{ $claim->date_filed->format('d/m/Y') }}</p>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
        <div class="view-all-container">
            <a href="#" class="view-all">View All</a>
        </div>
    </div>
</div>

</header>

<script>
var isNotificationDropdownOpen = false;

function toggleNotificationDropdown() {
    var dropdown = document.getElementById("notification-dropdown");
    if (!isNotificationDropdownOpen) {
        dropdown.style.display = "block";
        isNotificationDropdownOpen = true;
    } else {
        dropdown.style.display = "none";
        isNotificationDropdownOpen = false;
    }
}
</script>

