<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Customer Dashboard</title>

    <link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">

<script src="https://unpkg.com/leaflet/dist/leaflet.js"></script>
    <style>
        body {
            font-family: Lato, sans-serif;
            margin: 0;
            padding: 0;
        }
        /* Heading Styles */
        h1, h2, h3, h4, h5, h6 {
            font-family: "Open Sans", sans-serif;
            font-size: 24px; /* Use 18px for smaller headings */
            line-height: 2.1em;
            font-weight: 500;
        }
                        header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 20px;
        }
        .logo-container {
            margin-right: -50px;
            margin-top :-20px;
        }
        .logo {
            height: 150px;
        }
        .nav-container {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        nav {
            display: flex;
            justify-content: center; /* Center the navigation items */
            gap: 30px; /* Space between each menu item */
        }
        
        nav a {
            text-decoration: none;
            color: #333;
            font-size: 16px;
            position: relative;
            padding: 0 15px; /* Add padding around each link */
        }
        
        nav a:not(:last-child)::after {
            content: "";
            position: absolute;
            right: -18px; /* Position the separator */
            height: 20px; /* Height of the separator */
            width: 2px; /* Width of the separator */
            background-color: black; /* Black separator */
        }
        
        nav a:hover {
            color: #ab1f74;
        }
        
        .home-link {
            color: #ab1f74;
            text-decoration: underline;
            font-weight: bold; /* Makes the text bold */
        }

        .notification-icon {
            width: 34px;
            max-width: 44px;
            margin-right: 100px;
        }
        .nav-underline {
            height: 3px;
            background-color: #ab1f74;
            margin-top: 20px;
            margin-bottom: 20px;
            width: 100%;
            max-width: 10000px;
        }
        .main-content {
            margin-top: -80px;
            padding: 20px;
        }
        
        .customer-info {
            display: flex;
            align-items: center; /* Center-aligns content relative to profile image */
            padding: 20px;
            background-color: rgba(171, 31, 116, 0.1); /* 0.6 is 60% opacity, making it 40% transparent */
            margin-left: 20px; /* Padding from the edge */
            max-width: 2500px; /* Adjust as needed */
            border-radius: 10px;
            margin-top: 20px; /* Adds space below the underline */
        }


        
        .customer-photo {
            width: 150px;
            height: 150px;
            border-radius: 50%;
            margin-right: 10px;
        }
        .customer-details {
            text-align: left;
        }
        .tabs {
            display: flex;
            justify-content: flex-start; /* Aligns tabs to the start (left side) */
            background-color: #F1F1F1;
            padding-left: 20px; /* Adds space from the left edge */
            margin-left: 20px; /* Padding from the edge */
            padding-top: 10px; /* Optional: Adds some top padding */
            padding-bottom: 10px; /* Optional: Adds some bottom padding */
            margin-top: 20px; /* Adds space below the underline */
            border-radius: 10px;
            box-sizing: border-box; /* Ensures padding doesn't exceed the container width */
        }

        .tab {
            padding: 10px 20px;
            cursor: pointer;
            font-size: 1.2em;
        }
        .tab.active {
            border-bottom: 2px solid #ab1f74;
            font-weight: bold;
        }
        .main-content {
            margin-top: -100px;
            padding: 20px;
        }
        .content {
            display: flex;
            justify-content: space-between;
            padding: 20px;
            flex-wrap: wrap;
            padding-right: 0px;

        }
        .column {
            flex: 1;
            margin: 10px;
            padding: 10px;
            border: 1px solid #e0e0e0;
            border-radius: 4px;
            background-color: #f9f9f9;
            box-sizing: border-box;
        }
        .column-header {
            font-weight: bold;
            margin-bottom: 10px;
        }
        .activity-item {
            display: flex;
            align-items: center;
            margin-bottom: 10px;
        }
        .activity-photo {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            margin-right: 10px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .details-container {
            display: flex;
            align-items: flex-start;
            border: 1px solid #e0e0e0;
            border-radius: 4px;
            padding: 10px;
            background-color: #f9f9f9;
        }
        .details-content {
            margin-left: 20px;
        }
        .details-item {
            margin-bottom: 10px;
        }
        .details-icon {
            font-size: 24px;
        }
        .customer-details h4 {
            font-weight: normal; /* Removes bold styling */
            font-size: 1.25em; /* Increases font size */
            margin: 0; /* Optional: removes any default margin */
        }
        
        .customer-details {
            display: flex;
            flex-direction: column;
            gap: 0px; /* Space between each section (name, customer since, and contact info) */
        }
        
        .customer-details span {
            display: inline-flex;
            align-items: center;
            font-size: 1em;
            gap: 8px; /* Space between icon and text */
            margin-right: 20px; /* Space between spans */
        }
        
        .customer-details .contact-info {
            display: flex;
            gap: 0px; /* Space between phone and email */
        }
        
        .customer-details i {
            font-size: 1.7em; /* Icon size */
        }

        .claims-detail-view {
            display: none;
            padding: 20px;
        }
        .claims-detail-header {
            display: flex;
            justify-content: space-between;
            margin-bottom: 20px;
        }
        .claims-detail-tabs {
            display: flex;
            border-bottom: 1px solid #ccc;
            margin-bottom: 20px;
        }
        .claims-detail-tab {
            padding: 10px 20px;
            cursor: pointer;
        }
        .claims-detail-tab.active {
            font-weight: bold;
            border-bottom: 2px solid #000;
        }
        .claims-detail-content {
            display: flex;
            justify-content: space-between;
        }
        .claims-detail-left {
            flex: 1;
            padding-right: 20px;
            border-right: 1px solid #ccc;
        }
        .claims-detail-right {
            flex: 1;
            padding-left: 20px;
        }
        .claims-handler, .claims-customer {
            margin-bottom: 10px;
        }
        .claims-handler strong, .claims-customer strong {
            display: block;
        }
        .nudge-icons {
            display: flex;
            margin-top: 5px;
        }
        .nudge-icon {
            width: 24px;
            height: 24px;
            margin-right: 5px;
            background-color: #000;
            mask-size: cover;
            -webkit-mask-size: cover;
        }
        .email-icon {
            mask-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"/><polyline points="22,6 12,13 2,6"/></svg>');
            -webkit-mask-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"/><polyline points="22,6 12,13 2,6"/></svg>');
        }
        .phone-icon {
            mask-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"/></svg>');
            -webkit-mask-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"/></svg>');
        }
        @media (max-width: 768px) {
            .header-item {
                font-size: 1.5em;
            }
            .customer-info {
                flex-direction: column;
                text-align: center;
            }
            .customer-photo {
                margin: 0 0 10px 0;
            }
            .tabs {
                flex-direction: column;
                align-items: center;
            }
            .tab {
                font-size: 1em;
                padding: 8px 16px;
            }
            .details-container {
                flex-direction: column;
                align-items: center;
            }
            .details-content {
                margin-left: 0;
            }
            
        
        }
        @media (max-width: 480px) {
            .header-item {
                font-size: 1.2em;
            }
            .content {
                flex-direction: column;
            }
            .column {
                margin: 10px 0;
            }
        }
        .content {
            display: none; /* Hide all content sections by default */
        }
        .content.active {
            display: block; /* Show only the active content */
        }
        .action-button {
            background-color: transparent; /* Remove background color */
            color: black; /* Text color black */
            border: none;
            padding: 6px 12px;
            cursor: pointer;
            border-radius: 4px;
            text-decoration: underline; /* Underline the text */
            font-size: 1em; /* Adjust font size if necessary */
        }
        .btn-info{
            background-color: transparent; /* Remove background color */
            color: black; /* Text color black */
            border: none;
            padding: 6px 12px;
            cursor: pointer;
            border-radius: 4px;
            text-decoration: underline; /* Underline the text */
            font-size: 1em; /* Adjust font size if necessary */
            
        }
        .activity-table {
        width: 100%;
        table-layout: fixed;
        border-collapse: collapse;
    }

    .activity-table th,
    .activity-table td {
        padding: 8px;
        text-align: left;
        border-bottom: 1px solid #e0e0e0;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .activity-table th {
        background-color: #f5f5f5;
        font-weight: bold;
    }

    /* Adjust column widths as needed */
    .activity-table th:nth-child(1),
    .activity-table td:nth-child(1) { width: 15%; } /* Event */
    .activity-table th:nth-child(2),
    .activity-table td:nth-child(2) { width: 30%; } /* Description */
    .activity-table th:nth-child(3),
    .activity-table td:nth-child(3) { width: 15%; } /* Subject ID */
    .activity-table th:nth-child(4),
    .activity-table td:nth-child(4) { width: 15%; } /* Subject type */
    .activity-table th:nth-child(5),
    .activity-table td:nth-child(5) { width: 25%; } /* Created At */

    /* Responsive adjustments */
    @media (max-width: 768px) {
        .activity-table {
            font-size: 14px;
        }

        .activity-table th,
        .activity-table td {
            padding: 6px;
        }
    }

    @media (max-width: 480px) {
        .activity-table {
            font-size: 12px;
        }

        .activity-table th,
        .activity-table td {
            padding: 4px;
        }
    }

    
        .dashboard {
            display: grid;
            grid-template-columns: 250px 1fr 1fr 200px;
            gap: 20px;
            max-width: 3000px;
            margin: 0 auto;
            grid-template-rows: auto 1fr;
        }
        .products, .claims-section, .policies-section, .recent-activity, .expiring-section, .profile-section {
            background: #f5f5f5; /* Light grey background for the cards */
            padding: 20px;
            border-radius: 8px;
        }
    
        .products {
            
            padding: 20px;
            border-radius: 8px;
        }
    
        .products h2,
        .claims-section h2,
        .policies-section h2,
        .recent-activity h2,
        .expiring-section h2,
        .profile-section h3 {
            font-size: 16px;
            margin-bottom: 15px;
        }
    
        .claims-section h2,
        .policies-section h2 {
            margin-top: 33px;
        }
    
        .product-status {
            display: flex;
            gap: 10px;
            margin-bottom: 15px;
            justify-content: flex-end;
        }
    
        .status-item {
            display: flex;
            align-items: center;
            gap: 5px;
        }
    
        .status-dot {
            width: 11px;
            height: 11px;
        }
    
        .status-dot.active {
            background: #1FAB56;
        }
    
        .status-dot.expired {
            background: #ab1f74;
        }
    
        .product-icons {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 15px;
        }
    
        .product-icon {
            width: 60px;
            height: 60px;
            border-radius: 8px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    
        .claims-section, .policies-section {
            
            padding: 20px;
            border-radius: 8px;
        }
    
        .table-header {
            background: #e0e0e0;
            padding: 10px;
            margin-bottom: 12px;
            border-radius: 6px;
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            font-size: 10px;
            justify-items: center;
            font-weight: 500;
        }
    
        .table-row {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            padding: 10px;
            align-items: center;
            border-bottom: 1px solid #ddd; /* Light grey line under each row */
            justify-content: space-evenly;

        }
        
    
        .golf-icon {
            width: 52px;
            height: 52px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    
        .golf-icon.pink {
            background: #fce7f3;
        }
    
        .view-link {
            color: #ab1f74;
            text-decoration: none;
            font-size: 13px;
        }
    
        /* Add this CSS */
        .more-button {
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 12px 0;
            color: #666;
            font-size: 13px;
            cursor: pointer;
            gap: 4px;
        }

        .more-button i {
            font-size: 22px;
        }
    
        .main-bottom {
            display: grid;
            grid-template-columns: 63% 35%;
            gap: 20px;
            grid-column: span 3;
        }
        @media (min-width: 1300px) {
            .main-bottom {
            display: grid;
            grid-template-columns:  1.4fr 1fr;
            gap: 20px;
            grid-column: span 3;
        }
  
        }

    
        .recent-activity, .expiring-section {
            
            padding: 20px;
            border-radius: 8px;
        }
    
        /* Updated Recent Activity Styles */
        .recent-activity h2 {
            font-size: 16px;
            margin-bottom: 20px;
            font-weight: 600;
        }
    
        .note-input {
            display: flex;
            flex-direction: column;
            gap: 8px;
            margin-bottom: 20px;
            width: 100%;
        }
    
        .note-input-field {
            background: #f9fafb;
            border-radius: 8px;
            padding: 8px 12px;
            width: 98%;
        }
    
        .note-input-field input {
            width: 100%;
            padding: 8px;
            font-size: 14px;
            border: none;
            background: transparent;
            outline: none;
            color: #6b7280;
        }
    
        .note-input-field input::placeholder {
            color: #9ca3af;
        }
        
    
        .note-actions {
            display: flex;
            justify-content: space-between;
            width: 100%;
            align-items: center;
        }

        .note-actions .attachment-icon {
            color: #6b7280;
            cursor: pointer;
            margin-left: 12px;  /* Add some left margin to match the screenshot */
        }

        .note-actions .add-note-btn {
            background: rgba(171, 31, 116, 0.1);
            color: #ab1f74;
            border: none;
            padding: 8px 16px;
            font-size: 13px;
            border-radius: 6px;
            cursor: pointer;
            white-space: nowrap;
            margin-right: 12px;  /* Add some right margin to match the screenshot */
        }
    
        .activity-item {
            display: flex;
            gap: 12px;
            padding: 12px 0;
            align-items: flex-start;
        }
    
        .activity-content {
            flex: 1;
        }
    
        .activity-header {
            display: flex;
            gap: 8px;
            color: #6b7280;
            font-size: 13px;
            margin-bottom: 5px;
        }
    
        .activity-content .view-link {
            color: #ec4899;
            text-decoration: none;
            font-size: 13px;
            display: inline-block;
            margin-top: 4px;
        }
    
        .profile-section {
            padding: 20px;
            border-radius: 8px;
            grid-row: span 2;
        }
    
        .profile-content {
            text-align: center;
        }
    
        .profile-image {
            width: 110px;
            height: 110px;
            border-radius: 50%;
            margin: 18px auto;
            object-fit: cover;
            display: block;
        }
    
        .profile-title {
            font-size: 14px;
            font-weight: 500;
            margin-bottom: 18px;
            text-align: left;
        }
    
        .notification {
            display: flex;
            gap: 10px;
            align-items: flex-start;
            text-align: left;
        }
        /* Update the update-link styles */
.update-link {
    text-decoration: none;
    color: inherit;
    display: block;
    position: relative;
    margin-bottom: -1px;
}

/* Line above each item */
.update-link::before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    height: 1px;
    background-color: #8D779C;
}

/* Line below the last item */
.update-link:last-child::after {
    content: '';
    position: absolute;
    bottom: 10;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    height: 1px;
    background-color: #8D779C;
}
/* Hover effect */
.update-link:hover {
    background-color: #f8f8f8;
}

/* Remove border from the last item */
.update-link:last-child {
    border-bottom: none;
}
/* Targeting the hover state for the 'update-link' class */
.update-link:hover .update-text p strong {
    color: #ab1f74; /* Pink color on hover */
}


        .profile-pic {
            width: 50%;
            max-width: 100px;
            border-radius: 50%;
            margin-bottom: -10%;
        }
        
                .update-item {
            display: flex;
            align-items: center;
            margin-bottom: 5px;
            cursor: pointer;
            text-align: left; /* Align content to the left */
        }

.update-text {
            display: flex;
            flex-direction: column;
        }
        /* Adjust the font size of the text inside the update items */
        .update-text p {
            font-size: 10px; /* Reduced font size */
            margin: 2px 0; /* Adjusts the spacing between lines */
        }
        
        .update-text p strong {
            font-size: 14px; /* Slightly larger for emphasis */
        }
        
    
        .notification-avatar {
            width: 30px;
            height: 30px;
            border-radius: 50%;
            object-fit: cover;
        }
    
        .notification-content {
            font-size: 12px;
            line-height: 1.4;
        }
    
        .notification-content > div:first-child {
            font-weight: 500;
        }
    
        .product-icon img {
            max-width: 100%;
            max-height: 100%;
            object-fit: contain;
        }
    
        .notification-content > div {
            color: #666;
        }
    
        /* Profile image styles */
        .activity-item img {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            object-fit: cover;
        }
       
    .table-row {
        display: flex;
        align-items: center;
        margin: 5px 0;
        font-size:12px;
    }
    .more-button, .less-button {
        cursor: pointer;
        color: #007bff;
        display: flex;
        align-items: center;
        gap: 5px;
    }
    @media (min-width: 1440px) {
            
            nav a {
            font-size: 24px;
            }
            .dashboard {
            grid-template-columns: 170px 1fr 1fr 200px;
            }
            nav a:not(:last-child)::after {
                content: "";
                position: absolute;
                right: -18px; /* Position the separator */
                height: 35px; /* Height of the separator */
                width: 2px; /* Width of the separator */
                background-color: black; /* Black separator */
        }
        }
            








        .notification-container {
    position: relative;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.notification-icon {
    width: 34px;
    max-width: 44px;
    margin-right: 100px;
}

.notification-dropdown {
    position: absolute;
    top: 50px;
    right: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 250px;
    display: none;
    z-index: 1;
}

.notification-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.notification-header h3 {
    margin: 0;
}

.notification-header .view-all {
    color: #ab1f74;
    text-decoration: none;
}

.notification-list {
    max-height: 300px;
    overflow-y: auto;
}

.notification-item {
    border-bottom: 1px solid #ccc;
    padding: 10px 0;
}

.notification-content {
    display: flex;
    align-items: center;
}

.notification-message-icon {
    width: 24px;
    margin-right: 10px;
}

.notification-date {
    font-size: 14px;
    color: #888;
}


.view-all-container {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.view-all {
    color: #ab1f74;
    text-decoration: none;
}






.notification-container {
    position: relative;
    display: inline-block; /* Ensures the icon and number are aligned correctly */
    cursor: pointer;
}



.notification-count {
    position: absolute;
    top: -5px; /* Adjust as needed to position vertically above the icon */
    left: -10px; /* Adjust as needed to position to the left of the icon */
    background-color: #ab1f74; /* Specific shade of red */
    color: #fff; /* White text for visibility */
    border-radius: 50%; /* Ensures the shape is perfectly circular */
    padding: 3px; /* Uniform padding to maintain circle shape */
    font-size: 10px; /* Suitable font size for visibility */
    height: 16px; /* Adjust height for smaller size */
    width: 16px; /* Adjust width to match height for perfect circle */
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 3px rgba(0,0,0,0.25); /* Subtle shadow for depth */
}






        
    </style>
</head>
<body>
<header>
            <div class="logo-container">
                <a href="{{ url('admin/home') }}">
                    <img src="{{ asset('images/Dogo_logo_white.png') }}" alt="Crownscope Logo" class="logo">
                </a>
            </div>
            <div class="nav-container">
                <nav>
                    <a href="{{ url('admin/home') }}">Home</a>
                    <a href="{{ route('customers') }}"class="home-link">Customers</a>
                    <a href="{{ route('admin.claims') }}">Claims</a>
                    <a href="{{ route('policy') }}">Policy centre</a>
                    <a href="{{ route('renewal') }}">Renewals</a>
                    
                    <a href="#">Help and support</a>
                </nav>
                <div class="nav-underline"></div>
            </div>
            
            
<div class="notification-container" onclick="toggleNotificationDropdown()">
    <span class="notification-count">{{ $notificationCount ?? 0 }}</span>
    <img src="{{ asset('images/notification.png') }}" alt="Notifications" class="notification-icon">



    <div id="notification-dropdown" class="notification-dropdown">
        <div class="notification-header">
            <h3>Notifications</h3>
        </div>
        <div class="notification-list">
            @foreach ($latestClaims1 as $claim)
            <div class="notification-item">
                <div class="notification-content">
                    <img src="{{ asset('images/message.png') }}" alt="Message" class="notification-message-icon">
                    <div>
                        <p>{{ $claim->status === 'pending' ? 'Pending Claim' : 'New claim' }} - {{ $claim->claim_number }}</p>
                        <p class="notification-date">{{ $claim->date_filed->format('d/m/Y') }}</p>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
        <div class="view-all-container">
            <a href="#" class="view-all">View All</a>
        </div>
    </div>
</div>

        </header>


    <div class="main-content">
        <div class="customer-info">
            <img src="{{ asset('user-profile.png') }}" alt="Jane Goldberg" class="customer-photo">
            <div class="customer-details">
    <h4>{{ $user->first_name }} {{ $user->last_name }}</h4>
    <p>Customer since {{ \Carbon\Carbon::parse($user->created_at)->diffForHumans(['parts' => 2, 'join' => ', ']) }}</p>
    <div class="contact-info">
        <span>
    <img src="{{ asset('landing/phone-call.png') }}" alt="Phone Icon" style="width: 28px; height: 28px; vertical-align: middle;">
    {{ $user->phone }}
</span>

        <span><i class="fa-solid fa-envelope"></i> {{ $user->email }}</span>
    </div>
</div>

        </div>

        <div class="tabs">
            <div class="tab active" data-tab="summary">Overview</div>
            <div class="tab" data-tab="beneficiaries">Beneficiaries</div>
            <div class="tab" data-tab="policies">Policies</div>
            <div class="tab" data-tab="details">Details</div>
            <div class="tab" data-tab="claims">Claims</div>
        </div>

        <div id="summary-content" class="content active">
            
            <div class="dashboard">
        <div class="products">
            <div class="product-status">
                <div class="status-item">
                    <div class="status-dot active"></div>
                    <span>Active</span>
                </div>
                <div class="status-item">
                    <div class="status-dot expired"></div>
                    <span>Expired</span>
                </div>
            </div>
            <h2>Products</h2>
            <div class="product-icons">
            <div class="product-icons">
        @foreach ($covers as $cover)
            <div class="product-icon {{ strtolower($cover->cover_type) }}">
                @if ($cover->status === 'Active')
                    <img src="{{ asset('landing/' . strtolower(str_replace(' ', '_', $cover->cover_type)) . '_active.png') }}" alt="{{ $cover->cover_type }} Icon">
                  
                @else
                    <img src="{{ asset('landing/' . strtolower(str_replace(' ', '_', $cover->cover_type)) . '_expired.png') }}" alt="{{ $cover->cover_type }} Icon">
                  
                @endif
            </div>
        @endforeach
    </div>
            </div>
        </div>

        @php
    // Determine how many claims to show based on the query parameter
    $initialLimit = 1; // Number of claims to show initially
    $batchSize = 2; // Number of claims to reveal with each "More" click
    $totalClaims = $claims->count();
    $showCount = request('show') ? intval(request('show')) : $initialLimit;
@endphp

<div class="claims-section">

    <h2>Open Claims</h2>
    <div class="table-header">
        <div>Product</div>
        <div>Claim Number</div>
        <div>Amount</div>
        <div>Action</div>
    </div>

    <!-- Display claims up to the current limit -->
    @foreach ($claims->take($showCount) as $claim)
        <div class="table-row">
            <div class="product-icon {{ strtolower($claim->product_type) }}">
                <img src="{{ asset('landing/' . strtolower($claim->policy) . '.png') }}" alt="{{ $claim->product_type }} Icon">
            </div>
            <div>{{ $claim->claim_number }}</div>
            <div>{{ number_format($claim->amount, 2) }}</div>
            <div><a href="#" class="view-link">View</a></div>
        </div>
    @endforeach

    <!-- Show "More" button if there are more claims to reveal -->
    @if($showCount < $totalClaims)
        <a href="{{ request()->fullUrlWithQuery(['show' => $showCount + $batchSize]) }}" class="view-more">
            <div class="more-button">
                <span>More</span>
                <i class="bi bi-chevron-down"></i>
            </div>
        </a>

    @endif

    <!-- Show "Less" button if more than the initial limit is displayed -->
    @if($showCount > $initialLimit)
        <div class="more-button">
            <a href="{{ request()->fullUrlWithQuery(['show' => $initialLimit]) }}" class="view-more">
                Less
            </a>
        </div>
    @endif
</div>





@php
    use Carbon\Carbon;

    // Calculate the date one week ago
    $oneWeekAgo = Carbon::now()->subWeek();
    
    // Filter covers created within the past week
    $latestCovers = $covers->filter(function ($cover) use ($oneWeekAgo) {
        return $cover->created_at >= $oneWeekAgo;
    });

    // Determine how many policies to show initially and batch size
    $initialLimit = 1; // Number of policies to show initially
    $batchSize = 2; // Number of policies to reveal with each "More" click
    $totalLatestPolicies = $latestCovers->count();
    $showLatestPoliciesCount = request('showLatestPolicies') ? intval(request('showLatestPolicies')) : $initialLimit;
@endphp

<div class="policies-section">
    <h2>Latest Policies</h2>
    <div class="table-header">
        <div>Product</div>
        <div>Policy Number</div>
        <div>Premium</div>
        <div>Action</div>
    </div>

    <!-- Display policies created within the past week, up to the current limit -->
    @foreach ($latestCovers->take($showLatestPoliciesCount) as $policy)
        <div class="table-row">
            <div class="product-icon {{ strtolower($policy->cover_type) }}">
                <img src="{{ asset('landing/' . strtolower($policy->cover_type) . '_active.png') }}" alt="{{ $policy->cover_type }} Icon">
            </div>
            <div>PER/20240908/MzPuGW</div>
            <div>{{ number_format($policy->premium, 2) }}</div>
            <div><a href="#" class="view-link">View</a></div>
        </div>
    @endforeach

    <!-- Show "More" button if there are more policies to reveal -->
    @if($showLatestPoliciesCount < $totalLatestPolicies)
        <a href="{{ request()->fullUrlWithQuery(['showLatestPolicies' => $showLatestPoliciesCount + $batchSize]) }}" class="view-more">
            <div class="more-button">
                <span>More</span>
                <i class="bi bi-chevron-down"></i>
            </div>
        </a>

    @endif

    <!-- Show "Less" button if more than the initial limit is displayed -->
    @if($showLatestPoliciesCount > $initialLimit)
        <div class="more-button">
            <a {{ request()->fullUrlWithQuery(['showLatestPolicies' => $initialLimit]) }}" class="view-more">
                Less
            </a>
        </div>
    @endif
</div>

<style>
    .table-row {
        display: flex;
        align-items: center;
        margin: 5px 0;
    }
    .more-button, .less-button {
        cursor: pointer;
        color: #007bff;
        display: flex;
        align-items: center;
        gap: 5px;
    }
</style>


        <div class="profile-section">
        <img src="{{ asset('/landing/Prince_avatar.png') }}" alt="Profile" class="profile-image">
        <h3>Latest from Prince</h3>

@foreach ($latestClaims1 as $claim)
    <a href="/claims/{{ $claim->claim_number }}" class="update-link">
        <div class="update-item">
            <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Profile picture" class="notification-avatar" />
            <div class="update-text">
                <p><strong>{{ $claim->status === 'pending' ? 'Pending Claim' : 'New claim' }}</strong></p>
                <p>{{ $claim->claim_number }}</p>
                <p>{{ $claim->date_filed->format('d F Y | H:i') }}</p>
            </div>
        </div>
    </a>
@endforeach

        </div>

        <div class="main-bottom">
            <div class="recent-activity">
                <h2>Recent activity</h2>
                <form action="{{ route('notes.store', ['user_id' => $user->id]) }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="note-input">
                <div class="note-input-field">
                    <input type="text" name="note" placeholder="Type notes here" required>
                </div>
                <div class="note-actions">
                    <label for="file-upload" class="attachment-icon">
                        <svg width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2">
                            <path d="M21.44 11.05l-9.19 9.19a6 6 0 0 1-8.49-8.49l9.19-9.19a4 4 0 0 1 5.66 5.66l-9.2 9.19a2 2 0 0 1-2.83-2.83l8.49-8.48"></path>
                        </svg>
                    </label>
                    <input type="file" id="file-upload" name="file" style="display: none;">
                    <button type="submit" class="add-note-btn">Add note</button>
                </div>
            </div>
        </form>




              
        @foreach ($notes as $note)
            <div class="activity-item">
                <img src="{{ asset('user-profile.png') }}" alt="User Icon" style="width: 40px; height: 40px; border-radius: 50%;">
                <div class="activity-content">
                    <div class="activity-header">
                        <span>{{ $note->user->first_name }}</span>
                        <span>on {{ $note->created_at->format('j F Y') }} at {{ $note->created_at->format('H:i') }}</span>
                    </div>
                    <div>{{ $note->note }}</div>
                    @if ($note->file)
                        <a href="{{ asset('storage/' . $note->file) }}" class="view-link" target="_blank">View Attachment</a>
                    @endif
                </div>
            </div>
        @endforeach
            </div>















            
            @php
  

    // Filter covers to include only those expiring within the next week
    $expiringCovers = $covers->filter(function ($cover) {
        return $cover->expiry_date && Carbon::parse($cover->expiry_date)->isBetween(Carbon::now(), Carbon::now()->addWeek());
    });

    // Determine how many policies to show initially and batch size
    $initialLimit = 1; // Number of policies to show initially
    $batchSize = 2; // Number of policies to reveal with each "More" click
    $totalExpiringPolicies = $expiringCovers->count();
    $showExpiringPoliciesCount = request('showExpiringPolicies') ? intval(request('showExpiringPolicies')) : $initialLimit;
@endphp

<div class="expiring-section">
    <h2>Expiring Policies</h2>
    <div class="table-header">
        <div>Product</div>
        <div>Policy Number</div>
        <div>Expiring</div>
        <div>Action</div>
    </div>

    <!-- Display expiring policies up to the current limit -->
    @foreach ($expiringCovers->take($showExpiringPoliciesCount) as $policy)
        <div class="table-row">
            <div class="product-icon {{ strtolower($policy->cover_type) }}">
                <img src="{{ asset('landing/' . strtolower($policy->cover_type) . ' insurance expired.png') }}" alt="{{ $policy->cover_type }} Icon">
            </div>
            <div>{{ $policy->policy_number }}</div>
            <div>{{ Carbon::parse($policy->expiry_date)->format('d F Y') }}</div> <!-- Display formatted expiry date -->
            <div><a href="#" class="view-link">View</a></div>
        </div>
    @endforeach

    <!-- Show "More" button if there are more policies to reveal -->
    @if($showExpiringPoliciesCount < $totalExpiringPolicies)
        <a href="{{ request()->fullUrlWithQuery(['showExpiringPolicies' => $showExpiringPoliciesCount + $batchSize]) }}" class="view-more">
            <div class="more-button">
                <span>More</span>
                <i class="bi bi-chevron-down"></i>
            </div>
        </a>

    @endif

    <!-- Show "Less" button if more than the initial limit is displayed -->
    @if($showExpiringPoliciesCount > $initialLimit)
        <div class="more-button">
            <a href="{{ request()->fullUrlWithQuery(['showExpiringPolicies' => $initialLimit]) }}" class="view-more">
                Less
            </a>
        </div>
    @endif
</div>
<style>
    .table-row {
        display: flex;
        align-items: center;
        margin: 5px 0;
    }
    .more-button, .less-button {
        cursor: pointer;
        text-decoration: none;
        color: black;
        display: flex;
        align-items: center;
        gap: 5px;
    }
    a.view-more {
        text-decoration: none;
        color: black;
    }
    
    a.view-more .more-button,
    a.view-more .more-button span,
    a.view-more .more-button i {
        color: black;
    }
    .more-button i {
        font-size: 22px;
        margin-top: -8px;
    }

</style>

        </div>
    </div>
        </div>


        <div id="beneficiaries-content" class="content">
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Relationship</th>
                        <th>Phone</th>
                        <th>Date added</th>
                        <th>Passport number</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($beneficiaries as $beneficiary)
                        <tr>
                            <td>{{ $beneficiary['name'] }}</td>
                            <td>{{ $beneficiary['relationship'] ?? 'N/A' }}</td>
                            <td>{{ $beneficiary['phone'] ?? 'N/A' }}</td>
                            <td>{{ $beneficiary['date_added'] ?? 'N/A' }}</td>
                            <td>{{ $beneficiary['passport'] ?? 'N/A' }}</td>
                            <td><a href="#">Edit</a></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>

        <div id="policies-content" class="content">
            <table>
                <thead>
                    <tr>
                        <th>Cover</th>
                        <th>Policy number</th>
                        <th>Date of issue</th>
                        <th>Date of expire</th>
                        <th>Autorenew</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($covers as $cover)
                    <tr>
                        <td>{{ $cover->cover_type }}</td>
                        <td>{{ $cover->policy_number }}</td>
                        <td>{{ \Carbon\Carbon::parse($cover->created_at)->format('d/m/Y') }}</td>
                        <td>{{ \Carbon\Carbon::parse($cover->expiry_date)->format('d/m/Y') }}</td>
                        <td>{{ $cover->autorenew ? 'Yes' : 'No' }}</td>
                        <td><button class="action-button">view</button></td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>

        <div id="details-content" class="content">
            <div class="details-container">
                <img src="{{ asset('user-profile.png') }}" alt="Profile" class="customer-photo">
                <div class="details-content">
                    @if ($userDetails)
                        <div class="details-item">
                            <span class="details-icon">📅</span>
                            <span>Date of Birth: {{ \Carbon\Carbon::parse($userDetails->date_of_birth)->format('d/m/Y') }}</span>
                        </div>
                        <div class="details-item">
                            <span class="details-icon">📍</span>
                            <span>Address: <span id="address"></span></span>
                        </div>
                        <div class="details-item">
                            <span class="details-icon">🆔</span>
                            <span>ID: {{ $userDetails->id_number }}</span>
                        </div>
                    @endif
                    @if ($user)
                        <div class="details-item">
                            <span class="details-icon">📧</span>
                            <span>Email: {{ $user->email }}</span>
                        </div>
                        <div class="details-item">
                            <span class="details-icon">📞</span>
                            <span>Phone: {{ $user->phone }}</span>
                        </div>
                    @endif
                </div>
            </div>
        </div>

        <div id="claims-content" class="content">
            <table>
                <thead>
                    <tr>
                        <th>Policy</th>
                        <th>Claim number</th>
                        <th>Date filed</th>
                        <th>Last updated</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($claims as $claim)
                    <tr>
                        <td>{{ $claim->policy }}</td>
                        <td>{{ $claim->claim_number }}</td>
                        <td>{{ $claim->date_filed }}</td>
                        <td>{{ $claim->last_updated }}</td>
                        <td>{{ $claim->status }}</td>
                        <td>
                            <button class="btn btn-info" onclick="showClaimDetail('{{ $claim->claim_number }}', '{{ $claim->policy }}', '{{ $claim->status }}', '{{ $claim->date_filed }}', '{{ $user->first_name }} {{ $user->last_name }}', 'Handler Name')">View</button>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>

        <div id="claims-detail-view" class="content">
            <div class="claims-detail-header">
                <h2 id="claim-policy"></h2>
                <div>
                    <span>Status: <span id="claim-status"></span></span>
                    <span>Date filed: <span id="claim-date-filed"></span></span>
                </div>
            </div>
            <div class="claims-detail-content">
                <div class="claims-detail-left">
                    <p><a href="#" id="view-incident-summary">View incident summary</a></p>
                    <p><a href="#">View documents submitted</a></p>
                </div>
                <div class="claims-detail-right">
                    <div class="claims-handler">
                        <span>Claims handler</span>
                        <strong id="claim-handler"></strong>
                    </div>
                    <div>
                        <span>Customer</span>
                        <strong id="claim-customer"></strong>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
    document.addEventListener('DOMContentLoaded', function() {
        const tabs = document.querySelectorAll('.tab');
        const contents = document.querySelectorAll('.content');

        tabs.forEach(tab => {
            tab.addEventListener('click', () => {
                // Remove active class from all tabs and contents
                tabs.forEach(t => t.classList.remove('active'));
                contents.forEach(c => c.classList.remove('active'));

                // Add active class to clicked tab
                tab.classList.add('active');

                // Show corresponding content
                const contentId = tab.getAttribute('data-tab') + '-content';
                document.getElementById(contentId).classList.add('active');

                // Hide claims detail view when switching tabs
                document.getElementById('claims-detail-view').classList.remove('active');
            });
        });
    });

    function showClaimDetail(claimNumber, policy, status, dateFiled, customer, handler) {
        // Hide the claims list
        document.getElementById('claims-content').classList.remove('active');

        // Update the claim details
        document.getElementById('claim-policy').innerText = claimNumber;
        document.getElementById('claim-status').innerText = status;
        document.getElementById('claim-date-filed').innerText = dateFiled;
        document.getElementById('claim-customer').innerText = customer;
        document.getElementById('claim-handler').innerText = handler;

        const baseUrl = "{{ route('conversations.show', ['claim_number' => 'PLACEHOLDER']) }}";
        const encodedClaimNumber = btoa(claimNumber);
        const url = baseUrl.replace('PLACEHOLDER', encodedClaimNumber);
        document.getElementById('view-incident-summary').href = url;

        // Show the claim detail section
        document.getElementById('claims-detail-view').classList.add('active');
    }

    // Function to reverse geocode using Leaflet.js
    function reverseGeocode(lat, lon) {
        const url = `https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat=${lat}&lon=${lon}`;

        fetch(url)
            .then(response => response.json())
            .then(data => {
                const city = data.address.city || data.address.town || data.address.village;
                document.getElementById('address').innerText = city;
            })
            .catch(error => {
                console.error('Error:', error);
            });
    }

    // Trigger reverse geocoding
    @if($location)
        reverseGeocode({{ $location['latitude'] }}, {{ $location['longitude'] }});
    @endif
    </script>
</body>
    </html>


    <script>
var isNotificationDropdownOpen = false;

function toggleNotificationDropdown() {
    var dropdown = document.getElementById("notification-dropdown");
    if (!isNotificationDropdownOpen) {
        dropdown.style.display = "block";
        isNotificationDropdownOpen = true;
    } else {
        dropdown.style.display = "none";
        isNotificationDropdownOpen = false;
    }
}
</script>