<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Forgot Password</title>
    <link href="https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap" rel="stylesheet">
    <style>
        body {
            margin: 0;
            padding: 0;
            background-color: #000;
            font-family: 'Lato', Sans-serif;
            color: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            width: 100%;
            max-width: 600px;
            padding: 20px;
            border-radius: 20px;
            box-shadow: 0 0 10px rgba(255, 255, 255, 0.1);
            text-align: center;
        }
        .logo img {
            width: 200px;
            height: auto;
            margin-bottom: 20px;
        }
        .text-sm {
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
            margin-bottom: 1rem;
            text-align: left;
        }
        label {
            display: block;
            margin-bottom: 0.5rem;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
            text-align: left;
        }
        input {
            width: 100%;
            padding: 10px;
            margin-bottom: 1rem;
            border: 1px solid #555;
            border-radius: 4px;
            background-color: white;
            color: black;
            box-sizing: border-box;
        }
        .button {
            padding: 10px 20px;
            background-color: #AB1F74;
            color: #fff;
            border: none;
            border-radius: 20px;
            font-size: 18px;
            font-weight: 700;
            cursor: pointer;
            transition: background-color 0.3s;
            display: inline-block;
            text-align: center;
        }
        .button:hover {
            background-color: #8e1960;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="logo">
            <a href="/">
                <img src="{{ asset('landing/Dogo_logo.png') }}" alt="Application Logo">
            </a>
        </div>
        <div class="text-sm">
            {{ __('Forgot your password? No problem. Just let us know your email address and we will email you a password reset link that will allow you to choose a new one.') }}
        </div>
        <!-- Session Status -->
        <div class="text-sm">
            <x-auth-session-status class="mb-4" :status="session('status')" />
        </div>
        <!-- Validation Errors -->
        <div class="text-sm">
            <x-auth-validation-errors class="mb-4" :errors="$errors" />
        </div>
        <form method="POST" action="{{ route('password.email') }}">
            @csrf
            <div class="form-group">
                <label for="email">{{ __('Email') }}</label>
                <input id="email" type="email" name="email" :value="old('email')" required autofocus>
            </div>
            <div class="form-group">
                <button class="button">
                    {{ __('Email password reset link') }}
                </button>
            </div>
        </form>
    </div>
</body>
</html>
