@extends('layouts.auth')
@section('content')
<div class="flex-1 h-full max-w-4xl mx-auto overflow-hidden bg-white rounded-lg shadow-xl dark:bg-gray-800">
    <div class="flex flex-col overflow-y-auto md:flex-row">
        <div class="h-32 md:h-auto md:w-1/2">
            <!-- Add any additional content if needed -->
        </div>
        <div class="flex items-center justify-center p-6 sm:p-12 md:w-1/2">
            <div class="w-full">
                <!-- Validation Errors -->
                <x-auth-validation-errors class="mb-4" :errors="$errors"/>

                <h1 class="mb-4 text-xl font-semibold text-gray-700 dark:text-gray-200" style="font-family: 'Open Sans', Sans-serif; font-size: 24px; line-height: 2.1em; font-weight: 500;">Create account</h1>
                <form method="POST" action="{{ route('register') }}">
                    @csrf

                    <!-- Hidden fields for URL parameters -->
                    <input type="hidden" name="coverage" value="{{ request()->query('coverage') }}">
                    <input type="hidden" name="over19" value="{{ request()->query('over19') }}">
                    <input type="hidden" name="under19" value="{{ request()->query('under19') }}">
                    <input type="hidden" name="amount" value="{{ request()->query('amount') }}">

                    <label class="block text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">KRA PIN</span>
                        <input type="text" name="kra_pin" value="{{ old('kra_pin') }}" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">First Name</span>
                        <input type="text" name="first_name" value="{{ old('first_name') }}" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Middle Name</span>
                        <input type="text" name="middle_name" value="{{ old('middle_name') }}" class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Last Name</span>
                        <input type="text" name="last_name" value="{{ old('last_name') }}" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Email</span>
                        <input type="email" name="email" value="{{ old('email') }}" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Phone</span>
                        <input type="text" name="phone" value="{{ old('phone') }}" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Date of Birth</span>
                        <input type="date" name="dob" value="{{ old('dob') }}" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Password</span>
                        <input type="password" name="password" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Confirm Password</span>
                        <input type="password" name="password_confirmation" required class="block w-full mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:text-gray-300 dark:focus:shadow-outline-gray form-input">
                    </label>

                    <label class="block mt-4 text-sm" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                        <span class="text-gray-700 dark:text-gray-400">Is Paid</span>
                        <input type="checkbox" name="ispaid" value="1" class="block mt-1 text-sm dark:border-gray-600 dark:bg-gray-700 focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:focus:shadow-outline-gray form-checkbox">
                    </label>

                    <div class="flex mt-6 text-sm">
                        <label class="flex items-center dark:text-gray-400" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                            <input type="checkbox" class="text-purple-600 form-checkbox focus:border-purple-400 focus:outline-none focus:shadow-outline-purple dark:focus:shadow-outline-gray">
                            <span class="ml-2">I agree to the <span class="underline">privacy policy</span></span>
                        </label>
                    </div>

                    <button type="submit" class="block w-full px-4 py-2 mt-4 text-sm font-medium leading-5 text-center text-white bg-purple-600 border border-transparent rounded-lg hover:bg-purple-700 focus:outline-none focus:shadow-outline-purple" style="font-family: 'Lato', Sans-serif; font-size: 18px; font-weight: 700; background-color: #AB1F74; hover:bg-color: #ceb78d;">checkout</button>
                </form>

                <hr class="my-8"/>

                <p class="mt-4" style="font-family: 'Lato', Sans-serif; font-size: 15px; line-height: 2.1em; font-weight: 400;">
                    <a class="text-sm font-medium text-purple-600 dark:text-purple-400 hover:underline" href="{{ route('login') }}">
                        {{ __('Already registered? login') }}
                    </a>
                </p>
            </div>
        </div>
    </div>
</div>
@endsection
