<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reset Password</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&family=Lato:wght@400;700&display=swap');

        body {
            font-family: 'Lato', sans-serif;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
            background-color: #000000;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            color: #ffffff;
        }

        .container {
            width: 100%;
            max-width: 400px;
            padding: 20px;
        }

        .auth-card {
            background-color: #000000;
            padding: 2rem;
            border-radius: 8px;
            box-shadow: 0 4px 6px rgba(255, 255, 255, 0.1);
        }

        .logo {
            text-align: center;
            margin-bottom: 2rem;
        }

        .logo img {
            width: 150px;
        }

        .form-group {
            margin-bottom: 1rem;
        }

        .form-input {
            width: 100%;
            padding: 10px;
            border: 1px solid #e2e8f0;
            border-radius: 5px;
            font-family: 'Lato', sans-serif;
            font-size: 15px;
            background-color: #ffffff;
            color: #000000;
        }

        .btn {
            font-family: 'Lato', sans-serif;
            font-size: 18px;
            font-weight: 700;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            width: 100%;
        }

        .btn-primary {
            background-color: #AB1F74;
            color: white;
        }

        .btn-primary:hover {
            background-color: #ceb78d;
        }

        .alert {
            padding: 10px;
            margin-bottom: 1rem;
            border-radius: 5px;
        }

        .alert-danger {
            background-color: #f8d7da;
            border-color: #f5c6cb;
            color: #721c24;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="auth-card">
            <div class="logo">
                <a href="/">
                    <img src="{{ asset('images/Dogo Final logo.png') }}" alt="Logo" class="w-32 h-auto">
                </a>
            </div>

            <x-auth-validation-errors class="mb-4" :errors="$errors"/>
            <form method="POST" action="{{ route('password.update') }}">
                @csrf

                <input type="hidden" name="token" value="{{ $request->route('token') }}">

                <div class="form-group">
                    <input id="email" class="form-input" type="email" name="email" value="{{ old('email', $request->email) }}" required autofocus placeholder="Email">
                </div>

                <div class="form-group">
                    <input id="password" class="form-input" type="password" name="password" required placeholder="Password">
                </div>

                <div class="form-group">
                    <input id="password_confirmation" class="form-input" type="password" name="password_confirmation" required placeholder="Confirm Password">
                </div>

                <div class="form-group">
                    <button type="submit" class="btn btn-primary">
                        Reset Password
                    </button>
                </div>
            </form>
        </div>
    </div>
</body>
</html>
