<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipt Template</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            max-width: 800px;
            margin: 0 auto;
            padding: 20px;
            color: #333;
        }

        .header {
            display: table;
            width: 100%;
            margin-bottom: 30px;
        }

        .logo, .receipt-title {
            display: table-cell;
            vertical-align: middle;
        }

        .logo {
            width: 50%;
        }

        .logo img {
            max-width: 200px;
            height: auto;
        }

        .receipt-title {
            width: 50%;
            text-align: right;
            font-size: 24px;
            font-weight: bold;
            color: #333;
        }

        .info-container {
            width: 100%;
            margin-bottom: 30px;
        }

        .insured-info, .invoice-details {
            display: inline-block;
            vertical-align: top;
            width: 48%;
        }

        .insured-info {
            text-align: left;
        }

        .invoice-details {
            text-align: right;
        }

        .description-table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 30px;
        }

        .description-table th, .description-table td {
            border: 1px solid #ddd;
            padding: 10px;
            text-align: left;
        }

        .description-table th {
            background-color: #4a0e4e;
            color: white;
        }

        .stamp-and-pricing {
            width: 100%;
            margin-top: 30px;
        }

        .paid-stamp, .pricing {
            display: inline-block;
            vertical-align: top;
            width: 48%;
        }

        .paid-stamp {
            text-align: left;
        }

        .paid-stamp img {
            max-width: 200px;
            height: auto;
        }

        .pricing {
            text-align: right;
        }

        .pricing-table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0 5px;
        }

        .pricing-table td {
            padding: 5px 0;
        }

        .pricing-table td:last-child {
            text-align: right;
        }

        .pricing-table .total {
            background-color: #4a0e4e;
            color: white;
            font-weight: bold;
        }

        .pricing-table .total td {
            padding: 10px 5px;
        }
    </style>
</head>
<body>
    <div class="header">
        <div class="logo">
            <img src="{{ $logoSrc }}" alt="Company Logo">
        </div>
        <div class="receipt-title">RECEIPT</div>
    </div>

    <div class="info-container">
        <div class="insured-info">
            <p><strong>Insured:</strong></p>
            <p>{{ $user->first_name }} {{ $user->middle_name }} {{ $user->last_name }} </p>

            <p><strong>Telephone number:</strong> {{ $user->phone }}</p>
            <p><strong>Email:</strong> {{ $user->email }}</p>
        </div>
        <div class="invoice-details">
        <p><strong>Invoice No:</strong> 776-348</p>
            <p><strong>Date:</strong> {{ \Carbon\Carbon::now()->format('d F Y') }}</p>
            <p><strong>Policy No:</strong> 809211</p>
        </div>
    </div>

    <table class="description-table">
        <tr>
            <th>Description</th>
            <th>Quantity</th>
        </tr>
        <tr>
        <td>{{ $golfer->cover_type }} {{ $golfer->package }} package</td>
        <td>1</td>
        </tr>
    </table>

    <div class="stamp-and-pricing">
        <div class="paid-stamp">
            <img src="{{ $stampSrc }}" alt="Paid Stamp">
        </div>
        <div class="pricing">
            <table class="pricing-table">
                <tr>
                    <td>Premium</td>
                    <td>{{ number_format($golfer->premium, 2) }}</td>                </tr>
                <tr>
                    <td>Stamp duty</td>
                    <td>40</td>
                </tr>
                <tr>
                    <td>PHC Fund</td>
                    <td>5</td>
                </tr>
                <tr>
                    <td>Training levy</td>
                    <td>7</td>
                </tr>
                <tr class="total">
                    <td>Total:</td>
                    <td>{{ number_format($golfer->premium, 2) }}</td>                </tr>
            </table>
        </div>
    </div>
</body>
</html>
