<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accident Overview</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&family=Lato:wght@400;700&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <!-- Bootstrap CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">

<!-- Bootstrap JS (necessary for modals) -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <style>
        body {
            background-color: #000;
            color: #fff;
            font-family: Lato, sans-serif;
        }
        .container {
            padding-top: 10px;
            width: 100%;
            max-width: 600px; /* Adjust max-width for mobile */
            margin: 0 auto; /* Center the container on larger screens */
        }
        @media (min-width: 768px) {
            .container {
                width: 65%; /* Adjust for PC with 65% width */
            }
        }
        .header {
            margin-bottom: 30px;
            position: relative; /* Relative positioning for the back button */
        }
        .logo {
            text-align: center;
        }
        .logo img {
            height: 80px;
        }

        .back-button {
            position: absolute;
            top: 20px;
            right: 20px; /* Change left to right */
            background-color: white;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
        }

        .back-button i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-button:hover {
            background-color: #ceb78d;
        }
        .golf-image {
            text-align: center;
            margin-bottom: 30px;
        }
        .golf-image img {
            width: 150px;
            height: 150px;
        }
       
        .info {
            margin-bottom: 15px;
            font-size: 15px; /* Adjusted for body font size */
            line-height: 2.1em;
            padding-left: 30px; /* Moves content 30px from the left */
        }
        .report-button {
            background-color: #AB1F74;
            color: #fff;
            border: none;
            border-radius: 20px; /* Rounded edges */
            padding: 10px 20px;
            font-size: 18px;
            font-weight: 700;
            position: fixed;
            bottom: 20px;
            cursor: pointer;
            text-align: center;
        }
        .report-button:hover {
            background-color: #ceb78d;
        }
        .avatar {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            position: fixed;
            bottom: 20px;
            right: 20px;
            overflow: hidden;
        }
        .avatar img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        .tabs {
            display: flex;
            margin-bottom: 20px;
            border-bottom: 1px solid #333;
        }
        .tab {
            flex: 1;
            text-align: center;
            padding: 10px 0;
            font-size: 14px;
            color: #888;
        }
        .tab.active {
            color: #ab1f74;
            border-bottom: 2px solid #ab1f74;
        }
        .download-links {
            font-size: 12px;
            margin-bottom: 30px;
        }
        .download-links a {
            color: #4a90e2;
            text-decoration: none;
            margin-right: 15px;
        }
        .content-wrapper {
            flex-grow: 1;
            overflow-y: auto;
            padding-bottom: 80px; /* Adjust based on your button height */
        }
        .coverage-item, .exclusion-item {
            margin-bottom: 30px;
            text-align: center;
        }
        .coverage-item img, .exclusion-item img {
            width: 100px;
            height: 100px;
            margin-bottom: 10px;
        }
        .coverage-item h3, .exclusion-item h3 {
            margin: 0;
            font-size: 22px;
            font-weight: normal;
        }
        .coverage-item p {
            margin: 5px 0;
            font-size: 14px;
        }
        .coverage-item p:first-of-type {
            color: #fff;
            font-size: 18px;
            font-weight: bold;
        }
        .coverage-item p:last-of-type, .exclusion-item p {
            color: #888;
        }
        .page {
            display: none;
        }
        .page.active {
            display: block;
        }




        
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
        <button class="back-button" onclick="window.location.href='{{ url('activecovers') }}'">
        <i class="fas fa-arrow-left"></i> </button>
            <div class="logo">
                <img src="{{ asset('images/Dogo Final logo.png') }}" alt="logo">
            </div>
        </div>
        <div class="tabs">
            <div class="tab" onclick="showPage('overview')">Overview</div>
            <div class="tab active" onclick="showPage('details')">Details of cover</div>
            <div class="tab" onclick="showPage('exclusions')">Exclusions</div>
        </div>
        
        <div id="overview" class="page">
            <div class="golf-image">
                <img src="{{ asset('personalaccident/whatscovered/permanenttotaldisability.png') }}" alt="accident image">
            </div>
            @if ($package)
            <div class="info">Package: {{ $package }}</div>
            <div class="info">Premium: Ksh {{ number_format($premium, 2) }} Annual</div>
            <div class="info">Expires: {{ $expiry_date }}</div>
            <div class="info">
                Autorenew? {{ $autorenew ? 'On' : 'Off' }}
                <a href="activecovers" style="color: #ab1f74;">
                    (turn {{ $autorenew ? 'off' : 'on' }})
                </a>
            </div>
            @else
            <div class="info">No package selected</div>
            @endif
        </div>

        <div id="details" class="page active">
            <div class="download-links">
                <a href="#">Download receipt</a>
                <a href="#">Download schedule of benefits</a>
            </div>
            
            @php
    
            $coverageImages = [
    'Death' => 'personalaccident/whatscovered/Iconfordeath.png',
    'Permanent Total Disability' => 'personalaccident/whatscovered/permanenttotaldisability.png',
    'Temporary Total Disability' => 'personalaccident/whatscovered/temporarytotaldisability.png',
    'Medical Expenses' => 'personalaccident/whatscovered/medicalexpenses.png',
    'Last Expense' => 'personalaccident/whatscovered/lastexpense.png',
    'Artificial Limbs' => 'personalaccident/whatscovered/artificiallimbs.png',
    'Dental' => 'personalaccident/whatscovered/dental.png',
    'Optical' => 'personalaccident/whatscovered/optical.png',
    'Wheelchair' => 'personalaccident/whatscovered/wheelchair.png',
    'Hearing Aid' => 'personalaccident/whatscovered/hearingaid.png',
    'Local Evacuation' => 'personalaccident/whatscovered/localevacuation.png',
    'Ambulance Expenses' => 'personalaccident/whatscovered/ambulanceservices.png',
    'Rehabilitation' => 'personalaccident/whatscovered/Rehabilitation.png',
];

@endphp









@foreach ($coverages as $key => $value)
    @if (isset($coverageImages[$key])) <!-- Only show coverages that have a hardcoded image -->
        <div class="coverage-item">
            <!-- Display the hardcoded coverage image -->
            <img src="{{ asset($coverageImages[$key]) }}" alt="{{ $key }}">


            <h5>{{ $key }}</h5>
            <!-- Display the coverage amount formatted as currency -->
            <p>KSh {{ number_format($value, 2, '.', ',') }}</p>

            <!-- Display coverage type -->
            
        </div>
    @endif
@endforeach



</div>


<div id="exclusions" class="page">



<!-- Add more exclusions here based on the provided information -->
<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/intentional.png') }}" alt="">
    <h5>Intentional Self-Inflicted Injury</h5>
    <p>Intentional self-inflicted injury is not covered under the policy.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/suicide.png') }}" alt="">
    <h5>Suicide</h5>
    <p>Suicide or any attempt thereof is excluded from coverage.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/insanity.png') }}" alt="">
    <h5>Insanity</h5>
    <p>Claims related to insanity are not covered.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/criminalact.png') }}" alt="">
    <h5>Own Criminal Act</h5>
    <p>Injuries sustained during criminal acts or fighting (except in self-defense) are excluded.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/drugs.png') }}" alt="">
    <h5>Under the Influence</h5>
    <p>Injuries while under the influence of drugs not prescribed by a doctor are excluded.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/pregnancy.png') }}" alt="">
    <h5>Pregnancy & Childbirth</h5>
    <p>Claims arising from pregnancy, childbirth, miscarriage, and abortion are not covered.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/infection.png') }}" alt="">
    <h5>Infections</h5>
    <p>Bacterial, viral, or fungal infections, unless caused by an accident, are excluded.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/pre_existing_condition.png') }}" alt="">
    <h5>Pre-Existing Conditions</h5>
    <p>Any pre-existing or recurring illness or condition is not covered under the policy.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/aerial_device.png') }}" alt="">
    <h5>Aerial Device</h5>
    <p>Accidents occurring while using an aerial device (except as a passenger) are excluded.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/dangeroussports.png') }}" alt="">
    <h5>Dangerous Sports</h5>
    <p>Engagement in dangerous sports such as bungee jumping is not covered.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/cosmetics.png') }}" alt="">
    <h5>Elective or Cosmetic Surgery</h5>
    <p>Elective or cosmetic surgery and associated treatments are excluded.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/militaryservice.png') }}" alt="">
    <h5>Military Service</h5>
    <p>Active service in any military function is not covered.</p>
</div>

<div class="exclusion-item">
    <img src="{{ asset('personalaccident/exclusions/war.png') }}" alt="">
    <h5>War & Terrorism</h5>
    <p>Claims arising from war, strikes, or acts of terrorism are excluded.</p>
</div>

</div>


    <div class="report-claim-container">
    <a href="/chatbot" class="make-claim-link">
        <button class="report-button">Report claim</button>
        </a>
        <img src="{{ asset('images/Prince AI avatar.png') }}" alt="User Avatar" class="avatar">
    </div>

    <script>
        function showPage(pageId) {
            const pages = document.querySelectorAll('.page');
            pages.forEach(page => page.classList.remove('active'));
            document.getElementById(pageId).classList.add('active');

            const tabs = document.querySelectorAll('.tab');
            tabs.forEach(tab => tab.classList.remove('active'));
            event.target.classList.add('active');
        }
    </script>
</body>
</html>
