<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.5/font/bootstrap-icons.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&family=Lato:wght@400;700&display=swap">
    <title>Insurance Dashboard</title>
    <style>
body, html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: black;
    color: white;
    height: 100%;
}

.container {
    max-width: 100%;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    justify-content: space-between;
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 0px;
    position: relative; /* Add this to make positioning relative to the header */

}

.logo img {
    width: 100px;
    margin-bottom: 10px;
}

.header-content {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.user-info {
    display: flex;
    align-items: center;
}

.user-info img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    margin-right: 10px;
}

.greeting {
    font-family: 'Open Sans', sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 1em;
    text-align: left;
}

.username {
    font-family: 'Open Sans', sans-serif;
    font-size: 18px;
    font-weight: 500;
    text-align: left;
}

.icons {
    display: flex;
    gap: 15px;
}

.icon-large {
    font-size: 2.0rem;
}

.stats {
    display: flex;
    justify-content: space-around;
    margin-bottom: 20px;
}

.stat-circle {
    width: 180px;
    height: 180px;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 0.9em;
}

.active-covers {
    background-color: white;
    color: black;
    font-size: 18px;
    font-weight: bold;
}

.open-claims {
    background-color: #AB1F74;
    font-size: 18px;
    font-weight: bold;
}

.stat-number {
    font-size: 2em;
    font-weight: bold;
}

.quick-actions {
    margin-bottom: 0px;
    position: relative;
}

.quick-actions h2 {
    margin-bottom: 10px;
    font-family: 'Open Sans', sans-serif;
    font-size: 24px;
    font-weight: 500;
    line-height: 2.1em;
}

.scroll-container {
    position: relative;
    display: flex;
    align-items: center;
    overflow: hidden;
    padding: 0 50px;
}

.scroll-indicator {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
    background-color: transparent;
    border: 2px solid white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    cursor: pointer;
    color: white;
    z-index: 10;
}

.scroll-left {
    left: 0px;
}

.scroll-right {
    right: 0px;
}

.action-scroll-container {
    display: flex;
    align-items: center;
    overflow-x: auto;
    flex: 1;
}

.action-scroll-container::-webkit-scrollbar {
    display: none;
}

.action-buttons {
            display: flex;
            gap: 0px;
            padding: 10px 0;
        }

        .action-button {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
            flex-shrink: 0;
        }

        .action-icon {
            position: relative;
            width: 115px;
            height: 115px;
            border-radius: 50%;
            margin-bottom: 0px;
            background-size: cover;
            background-position: center;
        }
        .info-icon {
    position: absolute;
    top: 5px;
    right: 5px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #AB1F74;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-style: italic;
    font-weight: bold;
    font-size: 14px;
    z-index: 10;
}

.coverage-info {
    text-align: center;
    margin-top: 10px;
}

.coverage-name {
    font-weight: bold;
}

.auto-renew-info {
    font-size: 0.8em;
    color: #888;
}

.cancel-link {
    color: #AB1F74;
    text-decoration: none;
    font-size: 0.8em;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.icon-link {
    display: inline-block;
    text-decoration: none;
}

.icon-link .icon-large {
    cursor: pointer;
    color: white;
}

.bottom-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
}

.make-claim {
    background-color: #AB1F74;
    color: white;
    border: none;
    padding: 20px 40px;
    border-radius: 50px;
    font-family: 'Lato', sans-serif;
    font-size: 18px;
    font-weight: 700;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.make-claim:hover {
    background-color: #ceb78d;
}

.avatar {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

@media (min-width: 768px) {
    .container {
        max-width: 768px;
        margin: 0 auto;
    }

    .stats {
        justify-content: center;
        gap: 40px;
    }
}

@media (max-width: 767px) {
    .scroll-container {
        padding: 0 10px;
    }

    .scroll-left, .scroll-right {
        width: 30px;
        height: 30px;
        font-size: 16px;
    }

    .logo {
        margin-bottom: 0;
    }

    .header {
        margin-top: 0;
    }

    .user-info {
        margin-top: 0;
    }
    .username {
        text-transform: lowercase;
    }
}





.tooltip-text {
    visibility: hidden;
    width: 200px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    top: 125%; /* Adjust this value to move the tooltip below the icon */
    left: 50%;
    margin-left: -100px; /* Adjust to center the tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip-text::after {
    content: "";
    position: absolute;
    bottom: 100%; /* Position the arrow at the top of the tooltip */
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent #555 transparent; /* Arrow pointing down */
}

.info-icon:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}


.back-button {
            position: absolute;
            top: 20px;
            right: 20px; /* Change left to right */
            background-color: white;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
        }

        .back-button i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-button:hover {
            background-color: #ceb78d;
        }



    </style>
</head>
<body>
    <div class="container">
        <header>
        <button class="back-button" onclick="window.location.href='{{ url('dashboard') }}'">
        <i class="fas fa-arrow-left"></i> </button>
            <div class="logo">
                <img src="{{ asset('images/Dogo Final logo.png') }}" alt="Logo">
            </div>
            <div class="header-content">
                <div class="user-info">
                    @if ($selfiePath && $selfieExists)
                        <img src="{{ asset($selfiePath) }}" alt="User Image" />
                    @else
                        <img src="{{ asset('images/Prince AI avatar.png') }}" alt="Default Avatar">
                    @endif
                    <div>
                        <div id="greeting" class="greeting"></div>
                    <div id="username" class="username"></div>
                    </div>
                </div>
                <div class="icons">
                    
                    <!-- Badge -->
                    
                    <a href="{{ url('dashboard') }}" class="icon-link">
                        <div class="bi bi-list icon-large"></div>
                    </a>

            </div>
        </header>

        @if($activeRenters->isNotEmpty() || $activeGolfers->isNotEmpty() || $activeTravel->isNotEmpty() || $activeDomestics->isNotEmpty() || $activeAccidents->isNotEmpty())
            <div class="stats">
                <div class="scroll-container">
                    <div class="scroll-indicator scroll-left">&lt;</div>
                    <div class="action-scroll-container">
                        <div class="action-buttons">
                           @foreach($activeRenters as $cover)
                            <div class="action-button">
    <a href="{{ url('rentersoverview') }}" class="icon-link">
        <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_domestic_package_dashboard.png') }}');">
            <div class="info-icon">i
                <span class="tooltip-text">This is a brief description of the renters/domestic coverage.</span>
            </div>
        </div>
    </a>
    <div class="coverage-info">
        <div class="coverage-name">Domestic Package</div>
        <div class="auto-renew-info">{{ $cover->countdown }}</div>
        <form action="{{ route('auto-renew.toggle') }}" method="POST">
            @csrf
            <input type="hidden" name="cover_type" value="renters">
            <input type="hidden" name="cover_id" value="{{ $cover->id }}">
            <button type="submit" class="cancel-link">{{ $cover->actionText }}</button>
        </form>
    </div>
</div>
<script>
document.querySelectorAll('.info-icon').forEach(function(icon) {
    icon.addEventListener('click', function() {
        let tooltip = this.querySelector('.tooltip-text');
        tooltip.style.visibility = tooltip.style.visibility === 'visible' ? 'hidden' : 'visible';
        tooltip.style.opacity = tooltip.style.opacity === '1' ? '0' : '1';
    });
});

    </script>
                            @endforeach
                            @foreach($activeGolfers as $cover)
                                <div class="action-button">
                                    <a href="{{ url('golfersoverview') }}" class="icon-link">
                                        <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_golfers_on_dashboard.png') }}');">
                                            <div class="info-icon">i</div>
                                        </div>
                                    </a>
                                    <div class="coverage-info">
                                        <div class="coverage-name">Golfers</div>
                                        <div class="auto-renew-info">{{ $cover->countdown }}</div>
                                        <form action="{{ route('auto-renew.toggle') }}" method="POST">
                                            @csrf
                                            <input type="hidden" name="cover_type" value="golfers">
                                            <input type="hidden" name="cover_id" value="{{ $cover->id }}">
                                            <button type="submit" class="cancel-link">{{ $cover->actionText }}</button>
                                        </form>
                                    </div>
                                </div>
                            @endforeach





                            @foreach($activeAccidents as $cover)
                    <div class="action-button">
                        <a href="{{ url('accidentoverview') }}" class="icon-link">
                            <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_personal_accident_dashboard.png') }}');">
                                <div class="info-icon">i</div>
                            </div>
                        </a>
                        <div class="coverage-info">
                            <div class="coverage-name">Accident</div>
                            <div class="auto-renew-info">{{ $cover->countdown }}</div>
                            <form action="{{ route('auto-renew.toggle') }}" method="POST">
                                @csrf
                                <input type="hidden" name="cover_type" value="accident">
                                <input type="hidden" name="cover_id" value="{{ $cover->id }}">
                                <button type="submit" class="cancel-link">{{ $cover->actionText }}</button>
                            </form>
                        </div>
                    </div>
                    @endforeach









                            @foreach($activeTravel as $cover)
                                <div class="action-button">
                                    <a href="{{ url('traveloverview') }}" class="icon-link">
                                        <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_travel_on_dashboard.png') }}');">
                                            <div class="info-icon">i</div>
                                        </div>
                                    </a>
                                    <div class="coverage-info">
                                        <div class="coverage-name">Travel</div>
                                        <div class="auto-renew-info">{{ $cover->countdown }}</div>
                                        <form action="{{ route('auto-renew.toggle') }}" method="POST">
                                            @csrf
                                            <input type="hidden" name="cover_type" value="travel">
                                            <input type="hidden" name="cover_id" value="{{ $cover->id }}">
                                            <button type="submit" class="cancel-link">{{ $cover->actionText }}</button>
                                        </form>
                                    </div>
                                </div>
                            @endforeach
                            @foreach($activeDomestics as $cover)
                                <div class="action-button">
                                    <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_domestic_package_dashboard.png') }}');">
                                        <div class="info-icon">i</div>
                                    </div>
                                    <div class="coverage-info">
                                        <div class="coverage-name">Domestic</div>
                                        <div class="auto-renew-info">{{ $cover->countdown }}</div>
                                        <form action="{{ route('auto-renew.toggle') }}" method="POST">
                                            @csrf
                                            <input type="hidden" name="cover_type" value="domestics">
                                            <input type="hidden" name="cover_id" value="{{ $cover->id }}">
                                            <button type="submit" class="cancel-link">{{ $cover->actionText }}</button>
                                        </form>
                                    </div>
                                </div>
                            @endforeach
                            @foreach($activeMedical as $cover)
                                <div class="action-button">
                                    <a href="{{ url('medicaloverview') }}" class="icon-link">
                                        <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_medical_on_dashboard.png') }}');">
                                            <div class="info-icon">i</div>
                                        </div>
                                    </a>
                                    <div class="coverage-info">
                                        <div class="coverage-name">Medical</div>
                                        <div class="auto-renew-info">{{ $cover->countdown }}</div>
                                        <form action="{{ route('auto-renew.toggle') }}" method="POST">
                                            @csrf
                                            <input type="hidden" name="cover_type" value="medical">
                                            <input type="hidden" name="cover_id" value="{{ $cover->id }}">
                                            <button type="submit" class="cancel-link">{{ $cover->actionText }}</button>
                                        </form>
                                    </div>
                                </div>
                            @endforeach
                          
                        </div>
                    </div>
                    <div class="scroll-indicator scroll-right">&gt;</div>
                </div>
            </div>
        @else
            <div class="no-covers-message">
                Uh oh, it looks like you haven't taken out any covers yet. Here are a few you can try:
            </div>
        @endif

        <div class="quick-actions">
            <h2>Have you checked this out?</h2>
            <div class="scroll-container">
                <div class="scroll-indicator scroll-left">&lt;</div>
                <div class="action-scroll-container">
                    <div class="action-buttons">
                        <div class="action-button">
                            <a href="{{ url('golfersprince') }}" class="icon-link">
                                <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_golfers_on_dashboard.png') }}');"></div>
                            </a>
                        </div>
                        <div class="action-button">
                            <a href="{{ url('medicalprince') }}" class="icon-link">
                                <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_medical_on_dashboard.png') }}');"></div>
                            </a>
                        </div>
                        <div class="action-button">
                        <a href="/travelprince" class="icon-link">
                            <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_travel_on_dashboard.png') }}');"></div>
                            </a>
                        </div>
                        <div class="action-button">
                            <a href="/princecover" class="icon-link">
                                <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_domestic_package_dashboard.png') }}');"></div>
                            </a>
                        </div>
                        <div class="action-button">
                        <a href="/accident-details" class="icon-link">
                            <div class="action-icon" style="background-image: url('{{ asset('images/Icon_for_personal_accident_dashboard.png') }}');"></div>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="scroll-indicator scroll-right">&gt;</div>
            </div>
        </div>

        <div class="bottom-content">
            <a href="/chatbot" class="make-claim-link">
                <button class="make-claim">Make claim</button>
            </a>
            <img src="{{ asset('images/Prince AI avatar.png') }}" alt="Avatar" class="avatar">
        </div>
    </div>

    <script>
    // Function to get the time of day and return appropriate greeting
         function getGreeting() {
            const now = new Date();
            const hours = now.getHours();

            if (hours < 12) {
                return "Good morning";
            } else if (hours < 18) {
                return "Good afternoon";
            } else {
                return "Good evening";
            }
        }

        // Function to update the greeting and username
        function updateGreetingAndUsername() {
            const user = { first_name: "{{ $user->first_name }}" }; // Replace with actual user data
            const greetingElement = document.getElementById('greeting');
            const usernameElement = document.getElementById('username');

            // Update the greeting
            greetingElement.textContent = getGreeting() + ',';

            // Ensure the username is in uppercase
            const uppercaseName = user.first_name.toUpperCase();
            usernameElement.textContent = uppercaseName + ' 👋';
        }

        // Call the function to update greeting and username on page load
        updateGreetingAndUsername();
        const scrollContainer = document.querySelector('.action-scroll-container');
        const scrollLeftBtn = document.querySelector('.scroll-left');
        const scrollRightBtn = document.querySelector('.scroll-right');

        scrollLeftBtn.addEventListener('click', () => {
            scrollContainer.scrollBy({ left: -100, behavior: 'smooth' });
        });

        scrollRightBtn.addEventListener('click', () => {
            scrollContainer.scrollBy({ left: 100, behavior: 'smooth' });
        });
    </script>

    <script>
        window.onload = function() {
            fetch('/storage_link')
                .then(response => response.text())
                .then(data => console.log(data))
                .catch(error => console.error('Error:', error));
        };
    </script>

    <script>
        window.onload = function() {
            fetch('/check-user-details')
                .then(response => response.text())
                .then(data => console.log(data))
                .catch(error => console.error('Error:', error));
        };
    </script>
</body>
</html>
