<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CrowneScope Insurance Coverage</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <style>
        body {
            background-color: #000;
            color: #fff;
            font-family: Arial, sans-serif;
            overflow: hidden;
        }
        .navbar {
            background-color: #000;
            padding: 10px 15px;
        }
        .navbar-brand {
            position: absolute;
            left: 50%;
            transform: translateX(-50%);
        }
        .navbar-brand img {
            height: 30px;
        }
        .navbar-icons {
            display: flex;
            justify-content: flex-end;
        }
        .navbar-icons i {
            font-size: 1.5rem;
            margin-left: 15px;
        }
        .coverage-item {
            background-color: #e0a5c8;
            border-radius: 10px;
            padding: 15px;
            margin-bottom: 10px;
            text-align: center;
        }
        .report-btn {
            background-color: #AB1F74;
            border: none;
            border-radius: 25px;
            padding: 5px 10px;
            font-family: "Lato", Sans-serif;
            font-size: 18px;
            font-weight: 700;
            position: fixed;
            bottom: 20px;
            left: 20px;
        }
        .missing-item {
            background-color: transparent;
            border-radius: 10px;
            padding: 15px;
            margin-bottom: 10px;
            text-align: center;
        }
        .coverage-item img, .missing-item img {
            width: 120px;
            height: 120px;
            margin-bottom: 10px;
        }
        .report-claim-container {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-top: 20px;
        }
        .avatar {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            object-fit: cover;
            position: fixed;
            bottom: 20px;
            right: 20px;
        }
        h1, h2 {
            margin-top: 20px;
            margin-bottom: 15px;
        }
        .scrollable {
            max-height: 300px;
            overflow-y: auto;
        }
        .link-below {
            margin-top: 10px;
        }
        .coverage-item {
    position: relative;
    background-color: #e0a5c8;
    border-radius: 10px;
    padding: 15px;
    margin-bottom: 10px;
    text-align: center;
}

.coverage-item img {
    width: 60px;
    height: 60px;
    margin-bottom: 10px;
}

.countdown {
    font-size: 0.8rem;
    margin-top: 5px;
    color: #000;
}

.cancel-renewal {
    position: absolute;
    bottom: 5px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 0.8rem;
    color: #AB1F74;
    text-decoration: none;
}

@media (max-width: 576px) {
    .col-4 {
        width: 33.33%;
    }

    .countdown {
    font-size: 0.8rem;
    color: #fff; /* Ensuring the text is white */
}

}

    </style>
</head>
<body>
    <nav class="navbar">
        <div class="container-fluid px-0">
            <a class="navbar-brand" href="#">
                <img src="{{ asset('Original-size-Crown-scope-1.png') }}" alt="CrowneScope">
            </a>
            <a href="/dashboard">
                <div class="navbar-icons">
                    <i class="bi bi-arrow-left"></i>
                </div>
            </a>
        </div>
    </nav>

    <div class="container mt-3">
        <h1>Here's where you're covered</h1>
        
        <div class="row g-3 mt-2 scrollable">
            <div class="col-4">
                <div class="coverage-item">
                    <img src="{{ asset('golf.png') }}" alt="Golf">
                </div>
                <p>Autorenews</p>
                <small class="countdown" data-days="30"></small>                <div class="link-below">
                    <a style="color :rgb(233 71 169);"href="#">Cancel renewal</a>
                </div>
            </div>
            <div class="col-4">
                <div class="coverage-item">
                    <img src="{{ asset('medical.png') }}" alt="Medical">

                </div>
                                    <p>Autorenews</p>
                                    <small class="countdown" data-days="60"></small>                <div class="link-below">
                    <a style="color :rgb(233 71 169);"href="#">Cancel renewal</a>
                </div>
            </div>
            <div class="col-4">
                <a href="/overview" style="text-decoration: none; color: inherit;">
                    <div class="coverage-item">
                        <img src="{{ asset('travel.png') }}" alt="Travel">
                        
                    </div>
                </a>
                <p>Autorenews</p>
                <small class="countdown" data-days="80"></small>                <div class="link-below">
                    <a style="color :rgb(233 71 169);"href="#">Cancel renewal</a>
                </div>
            </div>
        </div>

        <h2>You're missing these</h2>
        <div class="row g-3 scrollable">
            <div class="col-4">
                <a href="/princecover" class="missing-item">
                    <img src="{{ asset('building.png') }}" alt="Building">
                    <p>renters</p>
                </a>
            </div>
            <div class="col-4">
                <div class="missing-item">
                    <img src="{{ asset('pet.png') }}" alt="Pet">
                    <p>Get pets</p>
                </div>
            </div>
            <div class="col-4">
                <div class="missing-item">
                    <img src="{{ asset('car.png') }}" alt="Car">
                    <p>Get car</p>
                </div>
            </div>
        </div>

        <div class="report-claim-container">
            <button class="btn btn-primary btn-lg report-btn" onclick="window.location.href='report_claim_url'">Report claim</button>
            <img src="{{ asset('chat-profile.png') }}" alt="User Avatar" class="avatar">
        </div>
    </div>
</body>
</html>
<script>
document.addEventListener('DOMContentLoaded', function() {
    const countdownElements = document.querySelectorAll('.countdown');
    
    countdownElements.forEach(element => {
        const days = parseInt(element.getAttribute('data-days'), 10);
        const countDownDate = new Date().getTime() + (days * 24 * 60 * 60 * 1000);
        
        const countdownFunction = setInterval(function() {
            const now = new Date().getTime();
            const distance = countDownDate - now;
            
            const days = Math.floor(distance / (1000 * 60 * 60 * 24));
            const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            const seconds = Math.floor((distance % (1000 * 60)) / 1000);
            
            element.innerHTML = ` ${days}d ${hours}h ${minutes}m ${seconds}s`;
            
            if (distance < 0) {
                clearInterval(countdownFunction);
                element.innerHTML = 'EXPIRED';
            }
        }, 1000);
    });
});

</script>
