<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Crownscope Insurance</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body {
            background-color: #000;
            color: #fff;
            font-family: Lato, sans-serif;
        }
        .container {
            padding-top: 10px;
            width: 100%;
            max-width: 600px; /* Adjust max-width for mobile */
            margin: 0 auto; /* Center the container on larger screens */
        }
        @media (min-width: 768px) {
            .container {
                width: 65%; /* Adjust for PC with 65% width */
            }
        }
        .header {
            margin-bottom: 30px;
            position: relative; /* Relative positioning for the back button */
        }
        .logo {
            text-align: center;
        }
        .logo img {
            height: 80px;
        }

        .back-button {
            position: absolute;
            top: 20px;
            right: 20px; /* Change left to right */
            background-color: white;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
        }

        .back-button i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-button:hover {
            background-color: #ceb78d;
        }


        .tabs {
            display: flex;
            margin-bottom: 20px;
            border-bottom: 1px solid #333;
        }

        .tab {
            flex: 1;
            text-align: center;
            padding: 10px 0;
            font-size: 14px;
            color: #888;
            cursor: pointer;
        }

        .tab.active {
            color: #ab1f74;
            border-bottom: 2px solid #ab1f74;
        }

        .download-links {
            font-size: 12px;
            margin-bottom: 30px;
        }

        .download-links a {
            color: #4a90e2;
            text-decoration: none;
            margin-right: 15px;
        }

        .page {
            display: none;
        }

        .page.active {
            display: block;
        }

        .image-grid {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
        }

        .image-item {
            text-align: center;
        }

        .image-item img {
            width: 100px;
            height: 100px;
            margin-bottom: 10px;
        }

        .image-item p {
            margin: 0;
            font-size: 12px;
            color: #fff;
        }

        .report-button {
            background-color: #AB1F74;
            color: #fff;
            border: none;
            border-radius: 20px; /* Rounded edges */
            padding: 10px 20px;
            font-size: 18px;
            font-weight: 700;
            position: fixed;
            bottom: 20px;
            cursor: pointer;
            text-align: center;
        }
        .report-button:hover {
            background-color: #ceb78d;
        }
        .avatar {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            position: fixed;
            bottom: 20px;
            right: 20px;
            overflow: hidden;
        }
        .avatar img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        .info-item {
            margin-bottom: 15px;
            font-size: 16px;
            padding-left: 30px;
        }

        .info-item span {
            font-weight: bold;
        }

        .overview-icon {
            text-align: center;
            margin-bottom: 30px;
        }

        .overview-icon img {
            width: 150px;
            height: 150px;
        }

        .modal {
            display: none;
            position: fixed;
            z-index: 1;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0,0,0,0.4);
        }

        .modal-content {
            background-color: #333;
            margin: 15% auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
            color: #fff;
        }

        .close {
            color: #aaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: #fff;
            text-decoration: none;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
        <button class="back-button" onclick="window.location.href='{{ url('activecovers') }}'">
        <i class="fas fa-arrow-left"></i> </button>
            <div class="logo">
            <img src="{{ asset('images/Dogo Final logo.png') }}" alt="logo">
            </div>
        </div>
        <div class="tabs">
            <div class="tab active" onclick="showPage('overview')">Overview</div>
            <div class="tab" onclick="showPage('details')">Details of cover</div>
            <div class="tab" onclick="showPage('exclusions')">Exclusions</div>
        </div>
        
        <div class="download-links">
            <a href="#">Download receipt</a>
            <a href="#">Download schedule of benefits</a>
        </div>

        <div id="overview" class="page active">
            <div class="overview-icon">
                <img src="{{ asset('medical/Individual medical cover.png') }}" alt="Medical Icon">
            </div>
            <div class="info-item">
                <span>Policy:</span> Individual medical
            </div>
            <div class="info-item">
                <span>Premium:</span> (set based on parameters)
            </div>
            <div class="info-item">
                <span>Expires:</span> 22/05/2025
            </div>
            <div class="info-item">
                <span>Autorenew?</span> On (<a href="#">turn off</a>)
            </div>
        </div>
        
        <div id="details" class="page">
            <div class="image-grid">
                <div class="image-item" onclick="showModal('Air ticket for travel for hospitalisation', 'Covers your plane ticket in case treatment is cheaper outside of Kenya')">
                    <img src="{{ asset('medical/What_s covered/Air ticket for travel for hospitalisation.png') }}" alt="Air ticket for travel for hospitalisation">
                </div>
                <div class="image-item" onclick="showModal('Ayurvedic treatment', 'Treatment using Ayurveda')">
                    <img src="{{ asset('medical/What_s covered/Ayurvedic treatment.png') }}" alt="Ayurvedic treatment">
                </div>
                <div class="image-item" onclick="showModal('Dental operation', 'Optical and dental treatment following an accident')">
                    <img src="{{ asset('medical/What_s covered/dental operation.png') }}" alt="Dental operation">
                    
                </div>
                <div class="image-item" onclick="showModal('Diagnostic and surgical procedures whilst admitted', 'Diagnostic and surgical procedures including Pathology, X-ray, ultrasound, ECG, MRI, CT scan etc whilst admitted')">
                    <img src="{{ asset('medical/What_s covered/Diagnostic and surgical procedures whilst admitted.png') }}" alt="Diagnostic and surgical procedures whilst admitted">
                </div>
                <div class="image-item" onclick="showModal('Emergency evacuation services', 'Emergency air evacuation and/or road ambulance services leading to an admission')">
                    <img src="{{ asset('medical/What_s covered/Emergency evacuation services.png') }}" alt="Emergency evacuation services">
                </div>
                <div class="image-item" onclick="showModal('External Appliances on application', 'External appliances on prescription (wheelchairs, walking frames, crutches and all assistive devices for people with disabilities)')">
                    <img src="{{ asset('medical/What_s covered/External Appliances on application.png') }}" alt="External Appliances on application">
                </div>
                <div class="image-item" onclick="showModal('Follow up hospitalisation', 'Post-hospitalisation following an illness or accident - visit/follow-ups within 30 days after discharge (reimbursement only)')">
                    <img src="{{ asset('medical/What_s covered/Follow up hospitalisation.png') }}" alt="Follow up hospitalisation">
                </div>
                <div class="image-item" onclick="showModal('Home nursing where needed', 'Home nursing (on doctor’s recommendation) up to 30 days after discharge')">
                    <img src="{{ asset('medical/What_s covered/Home nursing where needed.png') }}" alt="Home nursing where needed">
                </div>
                <div class="image-item" onclick="showModal('Hospital bed', 'Bed charges (subject to NHIF rebate)')">
                    <img src="{{ asset('medical/What_s covered/hospital bed.png') }}" alt="Hospital bed">
                </div>
                <div class="image-item" onclick="showModal('Last expense cover', 'Last expense cover - any one death in the family')">
                    <img src="{{ asset('medical/What_s covered/Last expense cover.png') }}" alt="Last expense cover">
                </div>
                <div class="image-item" onclick="showModal('Lodging fee for adult accompanying child under 12', 'Lodging fee for a parent/guardian accompanying a child below 12 years of age')">
                    <img src="{{ asset('medical/What_s covered/Lodging fee for adult accompanying child under 12.png') }}" alt="Lodging fee for adult accompanying child under 12">
                </div>
                <div class="image-item" onclick="showModal('Maternity condition', 'Maternity-related complications and first-ever emergency Cesarean Section only')">
                    <img src="{{ asset('medical/What_s covered/maternity condition.png') }}" alt="Maternity condition">
                </div>
                <div class="image-item" onclick="showModal('Neo natal', 'Neo-natal, Pre-maturity and congenital conditions')">
                    <img src="{{ asset('medical/What_s covered/neo natal .png') }}" alt="Neo natal">
                </div>
                <div class="image-item" onclick="showModal('Nursing care, ICU', 'Nursing care, ICU/HDU and theatre charges')">
                    <img src="{{ asset('medical/What_s covered/Nursing care, ICU, .png') }}" alt="Nursing care, ICU">
                </div>
                <div class="image-item" onclick="showModal('Opthamology and cataract', 'In-patient Opthamology resulting from an illness excluding eye surgery. Includes operation for a cataract')">
                    <img src="{{ asset('medical/What_s covered/opthamology and cataract.png') }}" alt="Opthamology and cataract">
                </div>
                <div class="image-item" onclick="showModal('Pre existing illness', 'Newly-diagnosed chronic conditions and declared pre-existing conditions. Pain management, organ transplant and HIV are examples of related conditions.')">
                    <img src="{{ asset('medical/What_s covered/Pre existing illness.png') }}" alt="Pre existing illness">
                </div>
                <div class="image-item" onclick="showModal('Psychiatry', 'Psychiatry and psychotherapy illness')">
                    <img src="{{ asset('medical/What_s covered/psychiatry.png') }}" alt="Psychiatry">
                </div>
                <div class="image-item" onclick="showModal('Specialists, Physicians', 'Specialists, physicians, surgeons and anaesthetic fees')">
                    <img src="{{ asset('medical/What_s covered/Specialists, Physicians, .png') }}" alt="Specialists, Physicians">
                </div>
            </div>
        </div>

        <div id="exclusions" class="page">
    <div class="image-grid">
        <div class="image-item" onclick="showModal('Alcohol or substance abuse', 'Alcohol and/or substance abuse')">
            <img src="{{ asset('medical/Exclusions/Alcohol or substance abuse.png') }}" alt="Alcohol or substance abuse">
        </div>
        <div class="image-item" onclick="showModal('Alternative medicine excluding Ayurveda', 'Alternative medicine excluding Ayurveda')">
            <img src="{{ asset('medical/Exclusions/alternative medicine excluding ayurveda.png') }}" alt="Alternative medicine excluding Ayurveda">
        </div>
        <div class="image-item" onclick="showModal('Cosmetic or beauty treatment', 'Cosmetic or beauty treatment in nature in cure clinics or health hydros')">
            <img src="{{ asset('medical/Exclusions/Cosmetic or beauty treatment.png') }}" alt="Cosmetic or beauty treatment">
        </div>
        <div class="image-item" onclick="showModal('Diagnostic equipment', 'Diagnostic equipment and/or specialised surgical devices and gadgets')">
            <img src="{{ asset('medical/Exclusions/Diagnostic equipment .png') }}" alt="Diagnostic equipment">
        </div>
        <div class="image-item" onclick="showModal('Donor screening, treatment including transplant', 'All expenses related to donor screening, treatment, including surgery to remove organs from donor')">
            <img src="{{ asset('medical/Exclusions/Donor screening, treatment including transplant.png') }}" alt="Donor screening, treatment including transplant">
        </div>
        <div class="image-item" onclick="showModal('Fertility treatment', 'Family planning and fertility treatment including any form of assisted conception and complications for example costs of treatment related to infertility and impotence, hormonal imbalance and Hormone Replacement Therapy')">
            <img src="{{ asset('medical/Exclusions/Fertility treatment.png') }}" alt="Fertility treatment">
        </div>
        <div class="image-item" onclick="showModal('Fitting a prosthetic except for wheelchair', 'Cost of providing, maintaining or fitting an external prosthesis or appliance or other equipment, medical or otherwise , except for wheelchairs, walking frames and crutches')">
            <img src="{{ asset('medical/Exclusions/Fitting a prosthetic except for wheelchair.png') }}" alt="Fitting a prosthetic except for wheelchair">
        </div>
        <div class="image-item" onclick="showModal('Intentional self-injury', 'Intentional self-injury, suicide or attempted suicide or any bodily injury or illness wilfully self-inflicted or due to negligence')">
            <img src="{{ asset('medical/Exclusions/intentional self-injury, .png') }}" alt="Intentional self-injury">
        </div>
        <div class="image-item" onclick="showModal('Non-declared pre-existing conditions', 'Non-declared pre-existing conditions')">
            <img src="{{ asset('medical/Exclusions/Non declared pre existing conditions.png') }}" alt="Non-declared pre-existing conditions">
        </div>
        <div class="image-item" onclick="showModal('Obesity and weight loss treatment', 'Expenses related to weight loss/gain including obesity')">
            <img src="{{ asset('medical/Exclusions/Obesity and weight loss treatement.png') }}" alt="Obesity and weight loss treatment">
        </div>
        <div class="image-item" onclick="showModal('Outpatient treatment including maternity, dental and optical', 'Outpatient-related expenses including maternity, dental and optical')">
            <img src="{{ asset('medical/Exclusions/Outpatient treatment including maternity, dental and optical.png') }}" alt="Outpatient treatment including maternity, dental and optical">
        </div>
        <div class="image-item" onclick="showModal('Participation in hazardous sports', 'Participation in hazardous sports such as bungee jumping or paragliding')">
            <img src="{{ asset('medical/Exclusions/Participation in hazardous sport e.g. bungee jumping.png') }}" alt="Participation in hazardous sports">
        </div>
        <div class="image-item" onclick="showModal('Self-referred or self-prescribed treatment', 'Self-referred or self-prescribed treatment')">
            <img src="{{ asset('medical/Exclusions/self-referred or prescribed treatmenet.png') }}" alt="Self-referred or self-prescribed treatment">
        </div>
        <div class="image-item" onclick="showModal('Treatment from nuclear contamination', 'medical treatment directly or indirectly as a result of contamination by radioactivity from nuclear fuel, waste or fission')">
            <img src="{{ asset('medical/Exclusions/treatement from nuclear.png') }}" alt="Treatment from nuclear contamination">
        </div>
        <div class="image-item" onclick="showModal('Treatment from natural disaster', 'Any expenses incurred as a result of natural calamities such as volcanic eruptions, earthquakes and typhoons')">
            <img src="{{ asset('medical/Exclusions/Treatment from natural disaster such as volcanic eruption.png') }}" alt="Treatment from natural disaster">
        </div>
        <div class="image-item" onclick="showModal('Treatment from pandemic', 'Claims arising or associated with Epidemics or Pandemics or unknown diseases unless purchased')">
            <img src="{{ asset('medical/Exclusions/Treatment from pandemic.png') }}" alt="Treatment from pandemic">
        </div>
        <div class="image-item" onclick="showModal('United States, Canada and UK', 'Expenses/claims incurred in the USA, UK and/or Canada')">
            <img src="{{ asset('medical/Exclusions/United States and Canada and UK.png') }}" alt="United States, Canada and UK">
        </div>
        <div class="image-item" onclick="showModal('War and kindred risks', 'War and kindred risks including naval, military or air force operations and expenses incurred in connection with participation in riots, strikes and civil commotion')">
            <img src="{{ asset('medical/Exclusions/War and Kindred risks.png') }}" alt="War and kindred risks">
        </div>
    </div>
</div>


        <a href="/chatbot" class="make-claim-link">
        <button class="report-button">Report Claim</button>
        </a>
        <div class="avatar">
            <img src="{{ asset('images/Prince AI avatar.png') }}" alt="Avatar">
        </div>
    </div>

    <div id="infoModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal()">&times;</span>
            <h2 id="modalTitle"></h2>
            <p id="modalDescription"></p>
        </div>
    </div>

    <script>
        function showPage(pageId) {
            const pages = document.querySelectorAll('.page');
            pages.forEach(page => {
                page.classList.remove('active');
            });

            const tabs = document.querySelectorAll('.tab');
            tabs.forEach(tab => {
                tab.classList.remove('active');
            });

            document.getElementById(pageId).classList.add('active');
            document.querySelector(`.tab[onclick="showPage('${pageId}')"]`).classList.add('active');
        }

        function showModal(title, description) {
            const modal = document.getElementById('infoModal');
            const modalTitle = document.getElementById('modalTitle');
            const modalDescription = document.getElementById('modalDescription');

            modalTitle.textContent = title;
            modalDescription.textContent = description;
            modal.style.display = 'block';
        }

        function closeModal() {
            const modal = document.getElementById('infoModal');
            modal.style.display = 'none';
        }

        // Close the modal when clicking outside of it
        window.onclick = function(event) {
            const modal = document.getElementById('infoModal');
            if (event.target == modal) {
                modal.style.display = 'none';
            }
        }
    </script>
</body>
</html>
