<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Chat Interface</title>
    
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.css" />
    <script src="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.js"></script>
    <style>
body {
    font-family: 'Open Sans', sans-serif;
    background-color: #ffffff;
    display: flex;
    flex-direction: column; /* Changed to column for better layout management */
    height: 100vh;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
}

.header {
    height: 101px;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
    box-sizing: border-box;
    position: sticky;
    top: 0;
    z-index: 2;
}

.header .logo {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
}

.header .logo img {
    width: 150px;
    
    margin-right: 5px;
}

.chat-content {
    flex-grow: 1;
    overflow-y: auto;
    padding: 20px;
    box-sizing: border-box;
    padding-bottom: 80px; /* Add padding to account for the chat input */
}

.profile {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
    box-sizing: border-box;
}

.profile img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
}

.profile-name {
    font-weight: bold;
    margin-top: 10px;
}

.profile-title {
    color: #C18AB2;
    font-size: 14px;
}

.chat-messages {
    margin-top: 20px;
}

.message {
    display: flex;
    margin-bottom: 20px;
}

.message img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin-right: 10px;
}

.message-content {
    background-color: #f0f0f0;
    border-radius: 18px;
    padding: 10px 15px;
    max-width: 70%;
    font-size: 14px;
    font-family: 'Lato', sans-serif; /* Changed from Open Sans to Lato */
    display: flex;
    align-items: center; /* Vertically centers the content */
    justify-content: center; /* Horizontally centers the content */
    line-height: 1.7; /* Added line spacing */
    
}

.message.bot-message {
    justify-content: flex-start;
}

.message.bot-message .message-content {
    background-color: #e4e2dd;
}

.message.user-message {
    justify-content: flex-end;
}

.message.user-message .message-content {
    background-color: #e6d0de;
}

.chat-input {
    position: fixed; /* Fixed positioning */
    bottom: 0; /* Align to the bottom of the viewport */
    left: 0; /* Align to the left edge */
    width: 100%; /* Full width */
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
    background-color: #545454;
    box-sizing: border-box;
    z-index: 1000; /* Ensure it is above other content */
    border-radius: 20px; /* Adjust this value to control the roundness */
}

.chat-input button {
    background: none;
    border: none;
    font-size: 24px;
    color: #FF69B4;
    cursor: pointer;
    padding: 0;
    margin: 0 5px;
}

.chat-input .bi-plus {
    color: #E4E2DD;
}

.chat-input .bi-camera {
    color: #E4E2DD;
}

.chat-input .bi-mic {
    color: #E4E2DD;
}

.chat-input .bi-send {
    color: #E4E2DD;
    display: none;
}

.chat-input input {
    flex-grow: 1;
    border: none;
    padding: 0 10px;
    height: 30px;
    background-color: #E4E2DD;
    border-radius: 15px;
    margin: 0 5px;
}

.chat-input input:focus {
    outline: none;
}

.continue-cancel-buttons,
.yes-no-buttons,
.response-buttons,
.restart-button,
.checkbox-btns-container {
    display: flex;
    justify-content: center;
    margin-left: 10px;
    margin-top: 10px;
}

.continue-cancel-buttons button,
.yes-no-buttons button,
.response-buttons button,
.restart-button button,
.checkbox-btns-container button {
    background-color: rgba(171, 31, 116, 0.3);
    color: #202124;
    border: none;
    padding: 8px 16px;
    border-radius: 10px;
    cursor: pointer;
    font-family: Lato, sans-serif;
    font-size: 12px;
    transition: background-color 0.3s;
}

.checkboxes-container {
    margin-bottom: 10px;
    
}

.checkbox-label {
    display: block;
    margin: 5px 0;
}

.chat-checkbox {
    margin-right: 10px;
}

.date-picker {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.date-picker input[type="date"] {
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #ccc;
}

@media (max-width: 768px) {
    .phone-frame {
        width: calc(100% - 20px);
        height: calc(100% - 20px);
        border-radius: 20px;
    }
    .chat-input {
        padding: 0 5px;
    }
    .chat-input button {
        font-size: 20px;
    }
    .chat-input input {
        height: 25px;
        font-size: 14px;
    }
}

@media (min-width: 1024px) {
    .phone-frame {
        width: 60%; /* Takes up 3/4 of the screen width */
        margin: 0 auto; /* Centers the frame */
    }
    .chat-input {
        width: 60%; /* Takes up 3/4 of the screen width */
        left: 20%; /* Centers the input box */
    }

    .chat-content {
        padding-bottom: 70px; /* Adjust padding for the input box */
    }
}

.loading {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.loading img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin-right: 10px;
}

.loading-dots {
    display: flex;
}

.loading-dot {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #000;
    margin-right: 4px;
    animation: pulse 1.5s infinite;
}

.loading-dot:nth-child(2) {
    animation-delay: 0.5s;
}

.loading-dot:nth-child(3) {
    animation-delay: 1s;
}

@keyframes pulse {
    0% { opacity: 0.3; }
    50% { opacity: 1; }
    100% { opacity: 0.3; }
}

#map-container {
    width: 100%;
    height: 250px;
    max-width: 350px;
    margin: 10px auto;
    display: none;
}

#map {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    border: 2px solid #ccc;
}

.confirm-button {
    margin-top: 10px;
    text-align: center;
}

.confirm-button button {
    background-color: rgba(255, 105, 180, 0.3);
    color: #202124;
    border: none;
    padding: 8px 16px;
    border-radius: 10px;
    cursor: pointer;
    font-family: Arial, sans-serif;
    font-size: 12px;
    transition: background-color 0.3s;
}

.confirm-button button:hover {
    background-color: rgba(255, 105, 180, 0.5);
}
.close-icon {
    position: absolute;
    top: 0px; /* Adjust as needed */
    right: -15px; /* Adjust as needed */
    font-size: 37px;
    color: #AB1F74; /* Adjust color as needed */
    text-decoration: none;
    cursor: pointer;
}

.close-icon:hover {
    color: #AB1F74; /* Adjust hover color as needed */
}

    </style>
</head>
<body>
    <div class="phone-frame">
        <div class="header">
            <div class="status-bar">
                <!-- Status bar content -->
            </div>
            <div class="logo">
                <img src="{{ asset('landing/Dogo_logo_white.png') }}" alt="Logo">
            </div>
            <a href="/dashboard" class="close-icon">
        <i class="bi bi-x"></i>
    </a>
        </div>
        <div class="chat-content">
            <div class="profile">
                <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Prince">
                <div class="profile-name">Prince</div>
                <div class="profile-title">Personal insurance concierge</div>
            </div>
            <div class="chat-messages">
                
            </div>
        </div>

        </div>
        <div class="chat-input">
            <button><i class="bi bi-plus"></i></button>
            <input type="text" placeholder="type something" oninput="toggleSendButton()"  style="height: 40px;">
            <button class="bi-camera-mic-buttons"><i class="bi bi-camera" onclick="openCamera()"></i></button>
            <button class="bi-camera-mic-buttons"><i class="bi bi-mic"></i></button>
            <button class="send-button"><i class="bi bi-send"></i></button>
        </div>
    </div>

    <script>
// Global variables
let currentStep = 1;
let userResponses = {};
let waitingForInput = false;
let currentInputHandler = null;


// Initialize the chat
function initChat() {
    const firstName = @json(auth()->user()->first_name); // Use the PHP variable
    addBotMessage(`Hey ${firstName}! I see you'd like to take out Personal Accident cover. No problem, let me show you what sort of packages I've got`, () => {
        showPersonalAccidentCards();
    });
}

function showPersonalAccidentCards() {
    const cardsContainer = document.createElement('div');
    cardsContainer.innerHTML = `
        <style>
            .pricing-container {
                display: flex;
                justify-content: space-between;
                gap: 10px;
                width: 100%;
                margin-bottom: 20px;
            }
            .pricing-card {
                flex: 1;
                background-color: white;
                border-radius: 8px;
                overflow: hidden;
                box-shadow: 0 2px 4px rgba(0,0,0,0.1);
                display: flex;
                flex-direction: column;
            }
            .card-header {
                color: white;
                padding: 8px 5px;
                font-size: 16px;
                font-weight: bold;
                text-align: center;
            }
            .bronze { background-color: #cd7f32; }
            .silver { background-color: #c0c0c0; }
            .gold { background-color: #ffd700; color: black; }
            .card-body {
                padding: 10px 5px;
                flex-grow: 1;
                display: flex;
                flex-direction: column;
            }
            .price {
                font-size: 15px;
                font-weight: bold;
                margin-bottom: 10px;
                text-align: center;
            }
            .currency {
                font-size: 10px;
            }
            .per-year {
                font-size: 10px;
                color: #666;
            }
            ul {
                list-style-type: none;
                padding: 0;
                margin: 0;
                font-size: 12px;
            }
            li {
                margin-bottom: 5px;
                display: flex;
                align-items: flex-start;
            }
            li::before {
                content: "✓";
                color: #000;
                margin-right: 5px;
                font-weight: bold;
                flex-shrink: 0;
            }
            .not-included::before {
                content: "✕";
                color: #f00;
            }
        </style>
        <div class="pricing-container">
            <div class="pricing-card">
                <div class="card-header bronze">Bronze</div>
                <div class="card-body">
                    <div class="price">
                        <span class="currency">Ksh</span>2,000
                        <span class="per-year">per year</span>
                    </div>
                    <ul>
                        <li>Death: Ksh 750,000</li>
                        <li>Permanent total disability: Ksh 750,000</li>
                        <li>Temporary total disability: Ksh 5,000</li>
                        <li>Medical expenses: Ksh 50,000</li>
                        <li>Last expense: Ksh 25,000</li>
                        <li>Artificial limbs: Ksh 10,000</li>
                        <li>Dental: Ksh 3,000</li>
                        <li>Optical: Ksh 3,000</li>
                        <li>Wheelchair: Ksh 5,000</li>
                        <li class="not-included">Hearing aid: Not included</li>
                        <li class="not-included">Local evacuation: Not included</li>
                        <li class="not-included">Ambulance expense: Not included</li>
                        <li class="not-included">Rehabilitation: Not included</li>
                    </ul>
                </div>
            </div>
            <div class="pricing-card">
                <div class="card-header silver">Silver</div>
                <div class="card-body">
                    <div class="price">
                        <span class="currency">Ksh</span>6,000
                        <span class="per-year">per year</span>
                    </div>
                    <ul>
                        <li>Death: Ksh 2,500,000</li>
                        <li>Permanent total disability: Ksh 2,500,000</li>
                        <li>Temporary total disability: Ksh 12,500</li>
                        <li>Medical expenses: Ksh 100,000</li>
                        <li>Last expense: Ksh 50,000</li>
                        <li>Artificial limbs: Ksh 50,000</li>
                        <li>Dental: Ksh 5,000</li>
                        <li>Optical: Ksh 5,000</li>
                        <li>Wheelchair: Ksh 10,000</li>
                        <li>Hearing aid: Ksh 5,000</li>
                        <li>Local evacuation: Ksh 10,000</li>
                        <li>Ambulance expense: Ksh 25,000</li>
                        <li>Rehabilitation: Ksh 25,000</li>
                    </ul>
                </div>
            </div>
            <div class="pricing-card">
                <div class="card-header gold">Gold</div>
                <div class="card-body">
                    <div class="price">
                        <span class="currency">Ksh</span>10,000
                        <span class="per-year">per year</span>
                    </div>
                    <ul>
                        <li>Death: Ksh 5,000,000</li>
                        <li>Permanent total disability: Ksh 5,000,000</li>
                        <li>Temporary total disability: Ksh 20,000</li>
                        <li>Medical expenses: Ksh 200,000</li>
                        <li>Last expense: Ksh 100,000</li>
                        <li>Artificial limbs: Ksh 65,000</li>
                        <li>Dental: Ksh 7,500</li>
                        <li>Optical: Ksh 8,500</li>
                        <li>Wheelchair: Ksh 30,000</li>
                        <li>Hearing aid: Ksh 7,500</li>
                        <li>Local evacuation: Ksh 40,000</li>
                        <li>Ambulance expense: Ksh 40,000</li>
                        <li>Rehabilitation: Ksh 40,000</li>
                    </ul>
                </div>
            </div>
        </div>
    `;
    appendToChat(cardsContainer);
    
    addBotMessage("Which package would you like to go for?", () => {
        const options = ['Bronze', 'Silver', 'Gold'];
        const checkboxes = createCheckboxes(options, handlePackageSelection);
        appendToChat(checkboxes);
    });
}

function handlePackageSelection(selectedPackage) {
    userResponses.selectedPackage = selectedPackage[0]; // Only one package can be selected
    addUserMessage(selectedPackage[0]);
    addBotMessage("No problem. Let's get that sorted for you.", () => {
        addBotMessage("Done! You can now pay securely by clicking below", () => {
            const buyNowButton = createButton("Buy now", handleBuyNow);
            appendToChat(buyNowButton);
        });
    });
}

function handleBuyNow() {
    addUserMessage("Buy now");
    const selectedPackage = userResponses.selectedPackage;
    let amount = 0;
    
    switch (selectedPackage) {
        case 'Bronze':
            amount = 2000;
            break;
        case 'Silver':
            amount = 6000;
            break;
        case 'Gold':
            amount = 10000;
            break;
    }

    fetch('/accident-details/save', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        body: JSON.stringify({
            selectedPackage: selectedPackage,
            amount: amount
        })
    })
    .then(response => response.json())
    .then(async (data) => {
        console.log('Accident details saved:', data);
        if (data.redirect) {
            // If the server responds with a redirect URL
            window.location.href = data.redirect;
        } else {
            // Redirect to the billing page
            window.location.href = '/billing';
        }
    })
    .catch(error => {
        console.error('Error:', error);
        addBotMessage('Oops, there was an error processing your request. Please try again later.');
    });
}

function handleUserInput() {
    const inputField = document.querySelector('.chat-input input');
    const userInput = inputField.value.trim();
    
    if (userInput !== '') {
        addUserMessage(userInput);
        inputField.value = '';
        toggleSendButton();
        
        if (currentInputHandler) {
            currentInputHandler(userInput);
        }
    }
}

function createCheckboxes(options, callback) {
    const checkboxesContainer = document.createElement('div');
    checkboxesContainer.className = 'checkboxes-container';

    options.forEach(option => {
        const label = document.createElement('label');
        label.className = 'checkbox-label';

        const checkbox = document.createElement('input');
        checkbox.type = 'checkbox';
        checkbox.value = option;
        checkbox.className = 'chat-checkbox';
        
        checkbox.addEventListener('change', () => {
            if (checkbox.checked) {
                // Uncheck all other checkboxes
                checkboxesContainer.querySelectorAll('input[type="checkbox"]').forEach(cb => {
                    if (cb !== checkbox) cb.checked = false;
                });
                confirmButton.disabled = false; // Enable Confirm button when an option is selected
            } else {
                confirmButton.disabled = true; // Disable Confirm button if no option is selected
            }
        });

        label.appendChild(checkbox);
        label.appendChild(document.createTextNode(option));
        checkboxesContainer.appendChild(label);
    });

    const confirmButtonContainer = document.createElement('div');
    confirmButtonContainer.className = 'checkbox-btns-container';

    const confirmButton = document.createElement('button');
    confirmButton.textContent = 'Confirm';
    confirmButton.className = 'checkbox-btns';
    confirmButton.disabled = true; // Initially disabled

    confirmButton.onclick = () => {
        const selectedOptions = Array.from(checkboxesContainer.querySelectorAll('input:checked')).map(cb => cb.value);
        if (selectedOptions.length > 0) {
            checkboxesContainer.remove();
            callback(selectedOptions);
        }
    };

    confirmButtonContainer.appendChild(confirmButton);
    checkboxesContainer.appendChild(confirmButtonContainer);

    return checkboxesContainer;
}

function createButton(text, callback) {
    const buttonContainer = document.createElement('div');
    buttonContainer.style.display = 'flex';
    buttonContainer.style.justifyContent = 'center';
    buttonContainer.style.marginLeft = '10px';
    buttonContainer.style.marginTop = '10px';

    const button = document.createElement('button');
    button.textContent = text;
    button.style.backgroundColor = 'rgba(171, 31, 116, 0.3)';
    button.style.color = '#202124';
    button.style.border = 'none';
    button.style.padding = '8px 16px';
    button.style.borderRadius = '10px';
    button.style.cursor = 'pointer';
    button.style.fontFamily = 'Lato, sans-serif';
    button.style.fontSize = '12px';
    button.style.transition = 'background-color 0.3s';

    button.onclick = () => {
        buttonContainer.remove();
        callback();
    };

    buttonContainer.appendChild(button);
    return buttonContainer;
}

function addUserMessage(message) {
    const chatMessages = document.querySelector('.chat-messages');
    const userMessage = document.createElement('div');
    userMessage.classList.add('message', 'user-message');
    userMessage.innerHTML = `
        <div class="message-content">
            ${message}
        </div>
        <img src="user-profile.png" alt="User">
    `;
    chatMessages.appendChild(userMessage);
    scrollToBottom();
}

function addLoadingDots(callback) {
    const chatMessages = document.querySelector('.chat-messages');
    const loadingContainer = document.createElement('div');
    loadingContainer.classList.add('message', 'bot-message', 'loading');
    loadingContainer.innerHTML = `
        <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Prince">
        <div class="loading-dots">
            <div class="loading-dot"></div>
            <div class="loading-dot"></div>
            <div class="loading-dot"></div>
        </div>
    `;
    chatMessages.appendChild(loadingContainer);
    scrollToBottom();

    setTimeout(() => {
        loadingContainer.remove();
        callback();
    }, 2000);
}

function addBotMessage(message, callback) {
    addLoadingDots(() => {
        const chatMessages = document.querySelector('.chat-messages');
        const botMessage = document.createElement('div');
        botMessage.classList.add('message', 'bot-message');
        botMessage.innerHTML = `
            <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Prince">
            <div class="message-content">
                ${message}
            </div>
        `;
        chatMessages.appendChild(botMessage);
        scrollToBottom();
        if (callback) callback();
    });
}

function appendToChat(element) {
    document.querySelector('.chat-messages').appendChild(element);
    scrollToBottom();
}

function scrollToBottom() {
    const chatContent = document.querySelector('.chat-content');
    chatContent.scrollTop = chatContent.scrollHeight;
}

function toggleSendButton() {
    const inputField = document.querySelector('.chat-input input');
    const sendButton = document.querySelector('.bi-send');
    const cameraMicButtons = document.querySelectorAll('.bi-camera-mic-buttons');

    if (inputField.value.trim() !== '' || waitingForInput) {
        sendButton.style.display = 'block';
        cameraMicButtons.forEach(button => button.style.display = 'none');
    } else {
        sendButton.style.display = 'none';
        cameraMicButtons.forEach(button => button.style.display = 'block');
    }
}

// Event listeners
document.querySelector('.chat-input input').addEventListener('input', toggleSendButton);
document.querySelector('.send-button').addEventListener('click', handleUserInput);
document.querySelector('.chat-input input').addEventListener('keypress', function(e) {
    if (e.key === 'Enter') {
        e.preventDefault(); // Prevent default form submission
        handleUserInput();
    }
});

// Initialize the chat when the page loads
window.onload = initChat;
</script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</body>







