<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile Page</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.9.1/font/bootstrap-icons.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">


    <style>
        body, html {
            font-family: "Lato", Sans-serif;
            margin: 0;
            padding: 0;
            font-weight: 400;
            background-color: #000000;
            color: white;
            height: 100%;
        }
        .container {
            width: 100%;
            max-width: 65%;
            margin: 0 auto;
            height: 100%;
            display: flex;
            flex-direction: column;
            padding: 20px;
        }
        @media (max-width: 768px) {
            .container {
                max-width: 100%;
                padding: 10px;
            }
        }
        .header {
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: center; /* Center contents horizontally */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: relative; /* Maintain relative positioning for absolute elements */
}
        .back-arrow {
            position: absolute;
            top: 20px;
            left: 20px; /* Change left to right */
            background-color: #AB1F74;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
            text-decoration: none; /* Remove underline */
            
        }
        .back-arrow i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-arrow:hover {
            background-color: #ceb78d;
        }
        .header h2 {
            margin: 0;
            font-size: 20px;
            color: white;
        }
        .content {
            padding: 20px;
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .profile-pic {
            width: 180px;
            height: 180px;
            border-radius: 50%;
            margin: 0 auto 10px;
            display: block;
            border: 2px solid #ab1f74;
        }
        .change-picture {
            text-align: center;
            color: #ab1f74;
            margin-bottom: 20px;
            cursor: pointer;
            font-size: 24px;
            font-weight: 400;
        }
        .info-item {
            width: 100%;
            background-color: #222222;
            padding: 15px;
            border-radius: 8px;
            margin-bottom: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 16px;
        }
        .info-item span {
            flex-grow: 1;
        }
        .info-item input {
            flex-grow: 1;
            background-color: #222222;
            border: none;
            color: white;
            font-size: 16px;
        }
        .info-item .save-btn {
            display: none;
            margin-left: 10px;
        }
        .member-since {
            margin-top: 10px;
            margin-bottom: 20px;
            font-size: 14px;
            align-self: flex-start;
        }
        .documents-label {
            margin-bottom: 10px;
            align-self: flex-start;
            font-size: 14px;
        }
        .documents {
            background-color: #222222;
            padding: 15px;
            border-radius: 8px;
            display: flex;
            align-items: center;
            width: 100%;
            font-size: 16px;
        }
        .documents i {
            margin-right: 10px;
        }
        .bi-upload {
            margin-left: auto; /* Push the icon to the right */
            cursor: pointer; /* Change the cursor to indicate it's clickable */
            font-size: 1.2em; /* Adjust size as needed */
        }
        .btn-primary {
            color: #fff;
            background-color: #AB1F74;
            border-color: #AB1F74;
            
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <a href="dashboard" class="back-arrow fas fa-arrow-left"></a>
            <h2>Profile</h2>
        </div>
        <div class="content">
            <img id="profilePic" src="{{ asset($selfiePath && $selfieExists ? $selfiePath : 'user-profile.png') }}" alt="User Image" class="profile-pic" />
            <div class="change-picture">
                <input type="file" id="uploadProfilePic" style="display: none;" />
                <label for="uploadProfilePic" style="cursor: pointer;">Change picture</label>
                <button class="btn btn-primary save-profile-pic-btn" style="display: none;">Save</button>
            </div>
            <div class="info-item">
                <span>{{ $user->first_name }} {{ $user->last_name }}</span>
                <input type="text" class="form-control" value="{{ $user->first_name }} {{ $user->last_name }}" style="display:none;">
                <i class="bi bi-pencil-square edit-btn"></i>
                <button class="btn btn-primary save-btn">Save</button>
            </div>
            <div class="info-item">
                <span>{{ $user->email }}</span>
                <input type="email" class="form-control" value="{{ $user->email }}" style="display:none;">
                <i class="bi bi-pencil-square edit-btn"></i>
                <button class="btn btn-primary save-btn">Save</button>
            </div>
            <div class="info-item">
                Member since: {{ \Carbon\Carbon::parse($user->created_at)->format('d F Y') }}
            </div>
            <div class="documents-label">Documents on file:</div>
            <div class="documents">
                <i class="bi bi-file-earmark-text"></i>
                <span>Copy of ID</span>
                <input type="file" id="uploadDocument" style="display: none;" />
                <label for="uploadDocument" class="bi bi-upload" style="cursor: pointer;"></label>
                <button class="btn btn-primary save-doc-btn" style="display: none;">Save</button>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script>
        $(document).ready(function() {
            // Profile image change and save
            $('#uploadProfilePic').on('change', function() {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#profilePic').attr('src', e.target.result);
                    $('.save-profile-pic-btn').show();
                }
                reader.readAsDataURL(this.files[0]);
            });

            $('.save-profile-pic-btn').on('click', function() {
                var formData = new FormData();
                formData.append('selfie', $('#uploadProfilePic')[0].files[0]);
                formData.append('_token', '{{ csrf_token() }}');

                $.ajax({
                    url: '{{ route("profile.update.picture") }}',
                    method: 'POST',
                    data: formData,
                    processData: false,
                    contentType: false,
                    success: function(response) {
                        $('.save-profile-pic-btn').hide();
                    },
                    error: function(response) {
                        alert('An error occurred');
                    }
                });
            });

            // Text fields edit and save
            $('.edit-btn').on('click', function() {
                var $parent = $(this).closest('.info-item');
                $parent.find('span').hide();
                $parent.find('input').show().focus();
                $parent.find('.save-btn').show();
            });

            $('.save-btn').on('click', function() {
                var $parent = $(this).closest('.info-item');
                var newValue = $parent.find('input').val();
                var data = {
                    _token: '{{ csrf_token() }}'
                };

                if ($parent.find('input').attr('type') === 'text') {
                    var nameParts = newValue.split(' ');
                    data.first_name = nameParts[0] || '';
                    data.last_name = nameParts[1] || '';
                } else if ($parent.find('input').attr('type') === 'email') {
                    data.email = newValue;
                }

                $.ajax({
                    url: '{{ route("user.update") }}',
                    method: 'POST',
                    data: data,
                    success: function(response) {
                        $parent.find('span').text(newValue).show();
                        $parent.find('input').hide();
                        $parent.find('.save-btn').hide();
                    },
                    error: function(response) {
                        alert('An error occurred');
                    }
                });
            });

            // Document file change and save
            $('#uploadDocument').on('change', function() {
                $('.save-doc-btn').show();
            });

            $('.save-doc-btn').on('click', function() {
                var formData = new FormData();
                formData.append('national_id', $('#uploadDocument')[0].files[0]);
                formData.append('_token', '{{ csrf_token() }}');

                $.ajax({
                    url: '{{ route("profile.update.document") }}',
                    method: 'POST',
                    data: formData,
                    processData: false,
                    contentType: false,
                    success: function(response) {
                        $('.save-doc-btn').hide();
                    },
                    error: function(response) {
                        alert('An error occurred');
                    }
                });
            });
        });
    </script>
</body>
</html>
