<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Sign Up</title>
     <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body, html {
            height: 100%;
            background-color: #000;
            color: #fff;
            font-family: Arial, sans-serif;
        }
        .signup-container {
            width: 100%;
            max-width: 100%;
            padding: 20px;
            box-sizing: border-box;
        }
        @media (min-width: 992px) { /* Large screens */
            .signup-container {
                width: 60%;
                margin: 0 auto; /* Center the container */
            }
        }
        .logo {
            text-align: center;
            margin-bottom: 20px;
        }
        .logo img {
            width: 60%;
            max-width: 200px;
        }
        .logo p {
            font-size: 12px;
            margin: 5px 0;
        }
        h2 {
            font-size: 18px;
            margin-bottom: 20px;
        }
        .form-control {
            background-color: #fff;
            color: #000;
            border: none;
            border-radius: 5px;
            height: 40px;
            margin-bottom: 10px;
        }
        .form-check-label {
            font-size: 14px;
        }
        .btn-submit {
            position: relative;
            background-color: #ab1f74;
            border: none;
            border-radius: 25px;
            padding: 10px;
            font-size: 16px;
            color: white;
            width: 100%;
            margin-top: 20px;
        }
        .btn-submit .loader {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 24px;
            height: 24px;
            border: 3px solid rgba(255, 255, 255, 0.3);
            border-radius: 50%;
            border-top: 3px solid #fff;
            animation: spin 1s linear infinite;
            display: none;
        }
        .btn-submit.loading .loader {
            display: block;
        }
        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        .terms-link {
            color: #ab1f74;
            text-decoration: none;
        }
        .alert {
            margin-bottom: 20px;
        }

        .custom-status {
            color: #FFFFFF;
            background-color: #333333;
            padding: 10px;
            border-radius: 4px;
        }

        .custom-errors {
            color: #FFFFFF;
            background-color: #333333;
            padding: 10px;
            border-radius: 4px;
        }

        .login-link {
            display: block;
            color: white;
            text-align: center;
            margin-top: 20px;
        }
        .login-link a {
        color: #AB1F74;
        text-decoration: none;
        font-size: 14px;
    }
        .form-control, .form-control-lg {
            width: 100%; /* Ensures consistent width */
            background-color: #fff;
            color: #000;
            border: none;
            border-radius: 5px;
            height: 40px;
            margin-bottom: 10px;
        }
        /* Reduce width of country code dropdown */
        /* Updated styles for the country code selector */
        .iti__country-list {
            width: 250px !important; /* Increased width for better readability */
            max-width: 250px !important;
            white-space: normal;
        }
        .iti__country {
            display: flex;
            align-items: center;
            padding: 5px 10px;
        }
        .iti__flag-box {
            margin-right: 10px;
        }
        .iti__country-name {
            font-size: 12px; /* Reduced font size */
            max-width: none; /* Allow full width */
            overflow: visible; /* Show full text */
            white-space: normal; /* Allow text to wrap */
            line-height: 1.2; /* Adjust line height for better readability */
            color: black;
        }
        .iti__dial-code {
            font-size: 12px; /* Reduced font size */
            color: #666;
        }
        /* Add these new styles for the search functionality */
        .iti__country-list {
            max-height: 200px;
            overflow-y: scroll;
        }

        .iti__search-container {
            padding: 10px;
        }

        .iti__search-input {
            width: 100%;
            padding: 5px;
            margin-bottom: 5px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }




        ::placeholder {
        font-size: 12px; /* Even smaller font size for placeholder */
    }
        .modal-content {
            background-color: #000;
            color: #fff;
        }
        .modal-header {
            border-bottom: 1px solid #333;
        }
        .modal-footer {
            border-top: 1px solid #333;
        }
        .btn-close {
            color: #fff;
            opacity: 0.8;
        }
        .btn-close:hover {
            opacity: 1;
        }
        .iti {
        width: 100%;
    }

    #phone {
        width: 100% !important;
        max-width: none !important;
    }
    .position-relative {
    position: relative;
}

    </style>
    
</head>
<body>
    <div class="signup-container">
        <div class="logo">
            <img src="{{ asset('landing/Dogo_logo.png') }}" alt="Crownscope logo1" class="logo">
        </div>
        <h2>Let's get a few details to sign you up</h2>

        
        <x-auth-session-status class="mb-4 custom-status" :status="session('status')"/>

<!-- Validation Errors -->
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{!! $error !!}</li>
            @endforeach
        </ul>
    </div>
@endif


        <form id="signupForm" method="POST" action="{{ route('register') }}">
            @csrf
            <div class="row">
                <div class="col-6">
                    <input type="text" class="form-control" name="first_name" placeholder="First name*" required>
                </div>
               
                <div class="col-6">
                    <input type="text" class="form-control" name="last_name" placeholder="Last name*" required>
                </div>
                <div class="col-6">
                    <input type="email" class="form-control" name="email" placeholder="Email*" required>
                </div>

                <div class="col-6 ">
                    <input type="text" id="phone" name="phone" class="form-control " placeholder="Phone*" required>
                </div>
                <div class="col-6 position-relative">
    <input type="password" class="form-control" id="password" name="password" placeholder="Password*" required>
    
</div>
<div class="col-6 position-relative">
    <input type="password" class="form-control" id="password_confirmation" name="password_confirmation" placeholder="Confirm password*" required>
    
</div>
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="agreeTerms" required>
                <label class="form-check-label" for="agreeTerms">
                    I agree to Crownscope's <a href="#" class="terms-link" data-bs-toggle="modal" data-bs-target="#termsModal">terms</a>
                </label>
            </div>
            <button type="submit" class="btn-submit">
                <span class="loader"></span>
                Submit
            </button>
        </form>

        <div class="login-link">
        <p>Already a member? <a href="/login" class="sign-in-link">Sign in</a></p>
        </div>
    </div>

    <!-- Terms Modal -->
    <div class="modal fade" id="termsModal" tabindex="-1" aria-labelledby="termsModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="termsModalLabel">Our privacy policy                    </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <!-- Insert your GDPR terms here -->
                    <p>1. Data Collection: We collect personal data that you provide directly to us, such as name, email address, and phone number when you sign up for our services.</p>
                    <p>2. Data Usage: We use your personal data to provide and improve our services, communicate with you, and comply with legal obligations.</p>
                    <p>3. Data Protection: We implement appropriate technical and organizational measures to protect your personal data against unauthorized or unlawful processing and accidental loss, destruction, or damage.</p>
                    <p>4. Data Retention: We retain your personal data only for as long as necessary to fulfill the purposes for which it was collected, including for the purposes of satisfying any legal, accounting, or reporting requirements.</p>
                    <p>5. Your Rights: You have the right to access, rectify, erase, restrict processing, object to processing, and data portability of your personal data. You also have the right to withdraw consent at any time where we are relying on consent to process your personal data.</p>
                    <!-- Add more GDPR terms as needed -->
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.min.js"></script>
    
    <!-- Include these CSS and JS files -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.3/css/intlTelInput.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.3/js/intlTelInput.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.3/js/utils.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    
<script>
    $(document).ready(function() {
        @if(session('success'))
            toastr.success("{{ session('success') }}");
        @endif

        @if(session('error'))
            toastr.error("{{ session('error') }}");
        @endif
    });

    var input = document.querySelector("#phone");

    var iti = intlTelInput(input, {
        initialCountry: "auto",
        geoIpLookup: function (success, failure) {
            $.get("https://ipinfo.io", function () {}, "jsonp").always(function (resp) {
                var countryCode = (resp && resp.country) ? resp.country : "us";
                success(countryCode);
            });
        },
        utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.3/js/utils.min.js",
        searchCountryById: true // Enable searching countries
    });

    // Add search functionality
    var countryList = input.parentElement.querySelector('.iti__country-list');
    var searchContainer = document.createElement('div');
    searchContainer.className = 'iti__search-container';
    var searchInput = document.createElement('input');
    searchInput.className = 'iti__search-input';
    searchInput.placeholder = 'Search for a country...';
    searchInput.type = 'text';
    searchContainer.appendChild(searchInput);
    countryList.insertBefore(searchContainer, countryList.firstChild);

    searchInput.addEventListener('input', function() {
        var query = this.value.toLowerCase();
        var countries = countryList.querySelectorAll('.iti__country');
        countries.forEach(function(country) {
            var countryName = country.querySelector('.iti__country-name').textContent.toLowerCase();
            if (countryName.indexOf(query) !== -1) {
                country.style.display = '';
            } else {
                country.style.display = 'none';
            }
        });
    });

    // Real-time validation: Clear the error as the user types
    document.getElementById('password').addEventListener('input', function() {
        if (this.value.length >= 8 && /[0-9]/.test(this.value)) {
            this.setCustomValidity('');  // Clear error message if valid
        }
    });

    document.getElementById('password_confirmation').addEventListener('input', function() {
        var password = document.getElementById('password').value;
        if (this.value === password) {
            this.setCustomValidity('');  // Clear error message if passwords match
        }
    });

    document.getElementById('phone').addEventListener('input', function() {
        if (iti.isValidNumber()) {
            this.setCustomValidity('');  // Clear error message if phone number is valid
        }
    });

    document.getElementById('agreeTerms').addEventListener('change', function() {
        if (this.checked) {
            this.setCustomValidity('');  // Clear error message when checkbox is checked
        }
    });

    // Main validation on form submit
    document.getElementById('signupForm').addEventListener('submit', function(event) {
        var agreeTerms = document.getElementById('agreeTerms');
        var phone = document.getElementById('phone');
        var password = document.getElementById('password');
        var passwordConfirmation = document.getElementById('password_confirmation');

        // Custom validation for the checkbox
        if (!agreeTerms.checked) {
            agreeTerms.setCustomValidity("Please check this tick to confirm you've understood and accept Crownscope's terms and conditions.");
            event.preventDefault();  // Prevent form submission if unchecked
        } else {
            agreeTerms.setCustomValidity(''); // Clear custom error message when checkbox is checked
        }

        // Phone number validation using intl-tel-input
        if (!iti.isValidNumber()) {
            phone.setCustomValidity("Please enter a valid phone number.");
        } else {
            phone.setCustomValidity(''); // Clear custom error message if valid
        }

        // Password validation
        if (password.value.length < 8) {
            password.setCustomValidity("Password must be at least 8 characters long.");
        } else if (!/[0-9]/.test(password.value)) {
            password.setCustomValidity("Password must contain at least one number.");
        } else {
            password.setCustomValidity(''); // Clear custom error message if valid
        }

        // Password confirmation validation
        if (password.value !== passwordConfirmation.value) {
            passwordConfirmation.setCustomValidity("Passwords do not match.");
        } else {
            passwordConfirmation.setCustomValidity(''); // Clear custom error message if valid
        }

        // Prevent submission if form validation fails
        if (!this.checkValidity()) {
            event.preventDefault();  // Prevent form submission if invalid
            this.reportValidity();    // Show validation messages (including custom ones)
        } else {
            // Replace phone input value with the full international number before submission
            input.value = iti.getNumber();
        }
    });

    document.getElementById('signupForm').addEventListener('submit', function() {
        const btn = document.querySelector('.btn-submit');
        btn.classList.add('loading');
    });
</script>




</body>
</html>