<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Crownscope Insurance</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <style>
        body {
            background-color: #000;
            color: #fff;
            font-family: Lato, sans-serif;
        }
        .container {
            padding-top: 10px;
            width: 100%;
            max-width: 600px; /* Adjust max-width for mobile */
            margin: 0 auto; /* Center the container on larger screens */
        }
        @media (min-width: 768px) {
            .container {
                width: 65%; /* Adjust for PC with 65% width */
            }
        }
        .header {
            margin-bottom: 30px;
            position: relative; /* Relative positioning for the back button */
        }
        .logo {
            text-align: center;
        }
        .logo img {
            height: 80px;
        }

        .back-button {
            position: absolute;
            top: 20px;
            right: 20px; /* Change left to right */
            background-color: white;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
        }

        .back-button i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-button:hover {
            background-color: #ceb78d;
        }



        .tabs {
            display: flex;
            margin-bottom: 20px;
            border-bottom: 1px solid #333;
        }

        .tab {
            flex: 1;
            text-align: center;
            padding: 10px 0;
            font-size: 14px;
            color: #888;
            cursor: pointer;
        }

        .tab.active {
            color: #ab1f74;
            border-bottom: 2px solid #ab1f74;
        }

        .download-links {
            font-size: 12px;
            margin-bottom: 30px;
        }

        .download-links a {
            color: #4a90e2;
            text-decoration: none;
            margin-right: 15px;
        }

        .page {
            display: none;
        }

        .page.active {
            display: block;
        }

        .image-grid {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
        }

        .image-item {
            text-align: center;
        }

        .image-item img {
            width: 100px;
            height: 100px;
            margin-bottom: 10px;
        }

        .image-item p {
            margin: 0;
            font-size: 12px;
            color: #fff;
        }

        .report-button {
            background-color: #AB1F74;
            color: #fff;
            border: none;
            border-radius: 20px; /* Rounded edges */
            padding: 10px 20px;
            font-size: 18px;
            font-weight: 700;
            position: fixed;
            bottom: 20px;
            cursor: pointer;
            text-align: center;
        }
        .report-button:hover {
            background-color: #ceb78d;
        }
        .avatar {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            position: fixed;
            bottom: 20px;
            right: 20px;
            overflow: hidden;
        }
        .avatar img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .info-item {
            margin-bottom: 15px;
            font-size: 16px;
            padding-left: 30px;
        }

        .info-item span {
            font-weight: bold;
        }

        .overview-icon {
            text-align: center;
            margin-bottom: 30px;
        }

        .overview-icon img {
            width: 150px;
            height: 150px;
        }

        .modal {
            display: none;
            position: fixed;
            z-index: 1;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0,0,0,0.4);
        }

        .modal-content {
            background-color: #333;
            margin: 15% auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
            color: #fff;
        }

        .close {
            color: #aaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: #fff;
            text-decoration: none;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
        <button class="back-button" onclick="window.location.href='{{ url('activecovers') }}'">
        <i class="fas fa-arrow-left"></i> </button>
        <div class="logo">
                <img src="{{ asset('images/Dogo Final logo.png') }}" alt="logo">
            </div>
        </div>
        <div class="tabs">
            <div class="tab active" onclick="showPage('overview')">Overview</div>
            <div class="tab" onclick="showPage('details')">Details of cover</div>
            <div class="tab" onclick="showPage('exclusions')">Exclusions</div>
        </div>
        
        <div class="download-links">
            <a href="#">Download receipt</a>
            <a href="#">Download schedule of benefits</a>
        </div>

        <div id="overview" class="page active">
            <div class="overview-icon">
                <img src="{{ asset('images/Icon_for_travel_on_dashboard.png') }}" alt="Medical Icon">
            </div>
            <div class="info-item">
                <span>Policy:</span> Travel
            </div>
            <div class="info-item">
                <span>Premium:</span> (set based on parameters)
            </div>
            <div class="info-item">
                <span>Expires:</span> 22/05/2025
            </div>
            <div class="info-item">
                <span>Autorenew?</span> On (<a href="#">turn off</a>)
            </div>
        </div>
        
        <div id="details" class="page">
            
        <div class="image-grid">
        <div class="image-item" onclick="showModal('Personal Assistance', 'Dispatch of Medication<br>General information<br>Hijack')">
            <img src="{{ asset('travel/What_s covered/Personal assistance - travel.png') }}" alt="Personal Assistance">
        </div>
        <div class="image-item" onclick="showModal('Medical Transportation and Repatriation', 'Medical Transportation or Repatriation<br>Transport of a Person due to the Hospitalisation of the Insured<br>Stay of a Person due to the Hospitalisation of the Insured<br>Transportation or Repatriation of the Accompanying Insured')">
            <img src="{{ asset('travel/What_s covered/Medical transportation and repatriation.png') }}" alt="Medical Transportation and Repatriation">
        </div>
        <div class="image-item" onclick="showModal('Medical Expenses', 'Compulsory Quarantine Due To Diagnosed Covid-19<br>First Medical Assistance Abroad<br>Dental Expenses<br>Pharmaceutical Expenses<br>Medical Expenses After the Return from Country of Origin')">
            <img src="{{ asset('travel/What_s covered/Medical expenses abroad.png') }}" alt="Medical Expenses">
        </div>
        <div class="image-item" onclick="showModal('Repatriation of Mortal Remains', 'Transport or Repatriation of the Deceased Insured')">
            <img src="{{ asset('travel/What_s covered/Repatriation of mortal remains.png') }}" alt="Repatriation of Mortal Remains">
        </div>
        <div class="image-item" onclick="showModal('Luggage', 'Compensation for Baggage Delay<br>Indemnity due to problems with the Checked-in Luggage (Accidental Damage, Loss, Robbery)<br>Compensation due to Damage of Registered Personal PC<br>Compensation due to Damage of Registered Mobile Phone')">
            <img src="{{ asset('travel/What_s covered/Luggage.png') }}" alt="Luggage">
        </div>
        <div class="image-item" onclick="showModal('Trip Cancellation', 'Reimbursement of the Cancellation Expenses of the Trip (Prevents the policy from being Cancelled after Purchase)')">
            <img src="{{ asset('travel/What_s covered/Trip cancellation.png') }}" alt="Trip Cancellation">
        </div>
        <div class="image-item" onclick="showModal('Delays', 'Indemnity due to the Transport Departure Delay<br>Missed Connections<br>Missed Departure')">
            <img src="{{ asset('travel/What_s covered/Delays - flight.png') }}" alt="Delays">
        </div>
        <div class="image-item" onclick="showModal('Curtailment', 'Curtailment Expenses<br>Early Return due to Serious Family Matters')">
            <img src="{{ asset('travel/What_s covered/Curtailment.png') }}" alt="Curtailment">
        </div>
        <div class="image-item" onclick="showModal('Personal Accidents', 'Accidental Death on Means of Transport (Optional upgrade to 24 hours cover, subject to premium increase of 75%)<br>Permanent Accidental Disability (Means of Transport)')">
            <img src="{{ asset('travel/What_s covered/Personal accident - travel.png') }}" alt="Personal Accidents">
        </div>
        <div class="image-item" onclick="showModal('Personal Liability', 'Personal Liability due to Physical Damages to Third-Parties<br>Legal Defence (Not Traffic)<br>Deposit for Legal Costs and Expenses<br>Personal Liability due to Material Damages to Third-Parties')">
            <img src="{{ asset('travel/What_s covered/Personal accident - travel.png') }}" alt="Personal Liability">
        </div>
        <div class="image-item" onclick="showModal('Complementary Medical Covers', 'Hospital Compensation')">
            <img src="{{ asset('travel/What_s covered/Complimentary card covers.png') }}" alt="Complementary Medical Covers">
        </div>
        <div class="image-item" onclick="showModal('Complementary Card Covers', 'Replacement of the Passport and the Driving Licence by Emergency Documents')">
            <img src="{{ asset('travel/What_s covered/Complimentary card covers.png') }}" alt="Complementary Card Covers">
        </div>
    </div>
        </div>

        <div id="exclusions" class="page">
    <div class="image-grid">
        <div class="image-item" onclick="showModal('Alcohol or substance abuse', 'Alcohol and/or substance abuse')">
            <img src="{{ asset('travel/Exclusions/Alcohol or substance abuse.png') }}" alt="Alcohol or substance abuse">
        </div>
        <div class="image-item" onclick="showModal('Dangerous sports', 'Dangerous sports such as underwater diving, mountain climbing, motor racing and so on')">
            <img src="{{ asset('travel/Exclusions/Dangerous sports.png') }}" alt="Dangerous sports">
        </div>
        <div class="image-item" onclick="showModal('Flight cancellations by airline', 'Expenses arising from flight cancellations by airline')">
            <img src="{{ asset('travel/Exclusions/Flight cancellations by airline.png') }}" alt="Flight cancellations by airline">
        </div>
        <div class="image-item" onclick="showModal('Labour accidents', 'Loss arising from labour accidents for example mining')">
            <img src="{{ asset('travel/Exclusions/Labour accidents e.g. mining.png') }}" alt="Labour accidents">
        </div>
        <div class="image-item" onclick="showModal('Medical expenses over 300 USD not authorised', 'Reimbursement of medical expenses over $300 USD where the client did not seek prior approval before making the payment')">
            <img src="{{ asset('travel/Exclusions/Medical expenses over 300 USD not authorised.png') }}" alt="Medical expenses over 300 USD not authorised">
        </div>

        <div class="image-item" onclick="showModal('Mobile phone or personal computer not registered', 'Any damage occurring to mobile phones or personal computers not registered at the time of taking out policy')">
            <img src="{{ asset('travel/Exclusions/mobile.png') }}" alt="Mobile phoe or personal computer not registered">

        </div>
        <div class="image-item" onclick="showModal('Natural disasters', 'Natural perils such as floods, earthquakes, landslides, volcanic eruptions and so on')">
            <img src="{{ asset('travel/Exclusions/Natural disasters such as volcanic eruption.png') }}" alt="Natural disasters">
        </div>
        <div class="image-item" onclick="showModal('Pre existing illness', 'Pre-existing illnesses/conditions whether known or unknown to the insured')">
            <img src="{{ asset('travel/Exclusions/Pre existing illness (1).png') }}" alt="Pre existing illness">
        </div>
        <div class="image-item" onclick="showModal('Terrorism', 'Loss arising from terrorism, mutiny or crowd disturbances')">
            <img src="{{ asset('travel/Exclusions/Terrorism.png') }}" alt="Terrorism">
        </div>
    </div>
</div>



        <a href="/chatbot" class="make-claim-link">
        <button class="report-button">Report claim</button>
        </a>
        <div class="avatar">
            <img src="{{ asset('images/Prince AI avatar.png') }}" alt="User Avatar" class="Avatar">
        </div>
    </div>

    <div id="infoModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal()">&times;</span>
            <h2 id="modalTitle"></h2>
            <p id="modalDescription"></p>
        </div>
    </div>

    <script>
        function showPage(pageId) {
            const pages = document.querySelectorAll('.page');
            pages.forEach(page => {
                page.classList.remove('active');
            });

            const tabs = document.querySelectorAll('.tab');
            tabs.forEach(tab => {
                tab.classList.remove('active');
            });

            document.getElementById(pageId).classList.add('active');
            document.querySelector(`.tab[onclick="showPage('${pageId}')"]`).classList.add('active');
        }

        function showModal(title, description) {
    const modal = document.getElementById('infoModal');
    const modalTitle = document.getElementById('modalTitle');
    const modalDescription = document.getElementById('modalDescription');

    // Convert the description text into a list format
    const descriptionList = description.split('<br>').map(item => `<li>${item}</li>`).join('');
    const descriptionHtml = `<ul>${descriptionList}</ul>`;

    modalTitle.textContent = title;
    modalDescription.innerHTML = descriptionHtml;  // Use innerHTML to render the list
    modal.style.display = 'block';
}


        function closeModal() {
            const modal = document.getElementById('infoModal');
            modal.style.display = 'none';
        }

        // Close the modal when clicking outside of it
        window.onclick = function(event) {
            const modal = document.getElementById('infoModal');
            if (event.target == modal) {
                modal.style.display = 'none';
            }
        }
    </script>
</body>
</html>
