<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Chat Interface</title>
    
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.css" />
    <script src="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.js"></script>
    <style>
        body {
            font-family: 'Open Sans', sans-serif;
            background-color: #ffffff;
            display: flex;
            flex-direction: column; /* Changed to column for better layout management */
            height: 100vh;
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            align-items: center;
            justify-content: center;
        }

        .header {
            height: 101px;
            background-color: white;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 0 20px;
            box-sizing: border-box;
            position: sticky;
            top: 0;
            z-index: 2;
        }

        .header .logo {
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: white;
        }

        .header .logo img {
            width: 150px;
            
            margin-right: 5px;
        }

        .chat-content {
            flex-grow: 1;
            overflow-y: auto;
            padding: 20px;
            box-sizing: border-box;
            padding-bottom: 80px; /* Add padding to account for the chat input */
        }

        .profile {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-top: 20px;
            box-sizing: border-box;
        }

        .profile img {
            width: 100px;
            height: 100px;
            border-radius: 50%;
        }

        .profile-name {
            font-weight: bold;
            margin-top: 10px;
        }

        .profile-title {
            color: #C18AB2;
            font-size: 14px;
        }

        .chat-messages {
            margin-top: 20px;
        }

        .message {
            display: flex;
            margin-bottom: 20px;
        }

        .message img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            margin-right: 10px;
        }

        .message-content {
            background-color: #f0f0f0;
            border-radius: 18px;
            padding: 10px 15px;
            max-width: 70%;
            font-size: 14px;
            font-family: 'Lato', sans-serif; /* Changed from Open Sans to Lato */
            display: flex;
            align-items: center; /* Vertically centers the content */
            justify-content: center; /* Horizontally centers the content */
            
            line-height: 1.7; /* Added line spacing */
            
        }

        .message.bot-message {
            justify-content: flex-start;
        }

        .message.bot-message .message-content {
            background-color: #e4e2dd;
        }

        .message.user-message {
            justify-content: flex-end;
        }

        .message.user-message .message-content {
            background-color: #e6d0de;
        }

        .chat-input {
    position: fixed; /* Fixed positioning */
    bottom: 0; /* Align to the bottom of the viewport */
    left: 0; /* Align to the left edge */
    width: 100%; /* Full width */
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
    background-color: #545454;
    box-sizing: border-box;
    z-index: 1000; /* Ensure it is above other content */
    border-radius: 20px; /* Adjust this value to control the roundness */
}

.chat-input button {
    background: none;
    border: none;
    font-size: 24px;
    color: #FF69B4;
    cursor: pointer;
    padding: 0;
    margin: 0 5px;
}

.chat-input .bi-plus {
    color: #E4E2DD;
}

.chat-input .bi-camera {
    color: #E4E2DD;
}

.chat-input .bi-mic {
    color: #E4E2DD;
}

.chat-input .bi-send {
    color: #E4E2DD;
    display: none;
}

.chat-input input {
    flex-grow: 1;
    border: none;
    padding: 0 10px;
    height: 30px;
    background-color: #E4E2DD;
    border-radius: 15px;
    margin: 0 5px;
}

        .chat-input input:focus {
            outline: none;
        }

        .continue-cancel-buttons,
        .yes-no-buttons,
        .response-buttons,
        .restart-button,
        .checkbox-btns-container {
            display: flex;
            justify-content: center;
            margin-left: 10px;
            margin-top: 10px;
        }

        .continue-cancel-buttons button,
        .yes-no-buttons button,
        .response-buttons button,
        .restart-button button,
        .checkbox-btns-container button {
            background-color: rgba(171, 31, 116, 0.3);
            color: #202124;
            border: none;
            padding: 8px 16px;
            border-radius: 10px;
            cursor: pointer;
            font-family: Arial, sans-serif;
            font-size: 12px;
            transition: background-color 0.3s;
        }

        .checkboxes-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
            margin: 10px 0;
        }

        .checkbox-label {
            display: block;
            margin: 5px 0;
        }

        .chat-checkbox {
            margin-right: 10px;
        }

        .date-picker {
            display: flex;
            justify-content: center;
            margin-top: 10px;
        }

        .date-picker input[type="date"] {
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #ccc;
        }

        @media (max-width: 768px) {
            .phone-frame {
                width: calc(100% - 20px);
                height: calc(100% - 20px);
                border-radius: 20px;
            }
            .chat-input {
                padding: 0 5px;
            }
            .chat-input button {
                font-size: 20px;
            }
            .chat-input input {
                height: 25px;
                font-size: 14px;
            }
        }

        @media (min-width: 1024px) {
            .phone-frame {
                width: 60%; /* Takes up 3/4 of the screen width */
                margin: 0 auto; /* Centers the frame */
            }
            .chat-input {
                width: 60%; /* Takes up 3/4 of the screen width */
                left: 20%; /* Centers the input box */
            }

            .chat-content {
                padding-bottom: 70px; /* Adjust padding for the input box */
            }
        }

        .loading {
            display: flex;
            align-items: center;
            margin-bottom: 20px;
        }

        .loading img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            margin-right: 10px;
        }

        .loading-dots {
            display: flex;
        }

        .loading-dot {
            width: 25px;
            height: 25px;
            border-radius: 50%;
            background-color: #000;
            margin-right: 4px;
            animation: pulse 1.5s infinite;
        }

        .loading-dot:nth-child(2) {
            animation-delay: 0.5s;
        }

        .loading-dot:nth-child(3) {
            animation-delay: 1s;
        }

        @keyframes pulse {
            0% { opacity: 0.3; }
            50% { opacity: 1; }
            100% { opacity: 0.3; }
        }

        #map-container {
            width: 100%;
            height: 250px;
            max-width: 350px;
            margin: 10px auto;
            display: none;
        }

        #map {
            width: 100%;
            height: 100%;
            border-radius: 10px;
            border: 2px solid #ccc;
        }

        .confirm-button {
            margin-top: 10px;
            text-align: center;
        }

        .confirm-button button {
            background-color: rgba(255, 105, 180, 0.3);
            color: #202124;
            border: none;
            padding: 8px 16px;
            border-radius: 10px;
            cursor: pointer;
            font-family: Arial, sans-serif;
            font-size: 12px;
            transition: background-color 0.3s;
        }

        .confirm-button button:hover {
            background-color: rgba(255, 105, 180, 0.5);
        }
        .close-icon {
            position: absolute;
            top: 0px; /* Adjust as needed */
            right: -15px; /* Adjust as needed */
            font-size: 37px;
            color: #AB1F74; /* Adjust color as needed */
            text-decoration: none;
            cursor: pointer;
        }

        .close-icon:hover {
            color: #AB1F74; /* Adjust hover color as needed */
        }

        /* Style dropdowns */
        .dropdown-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
            margin: 10px 0;
        }

        .dropdown-container label {
            margin-bottom: 5px;
            font-weight: bold;
        }

        .dropdown-container select {
            width: 200px;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #ccc;
            background-color: white;
            font-size: 16px;
        }

        /* Center dropdowns */
        .dropdown-wrapper {
            display: flex;
            justify-content: center;
            width: 100%;
        }


    </style>
</head>
<body>
    <div class="phone-frame">
        <div class="header">
            <div class="status-bar">
                <!-- Status bar content -->
            </div>
            <div class="logo">
                <img src="{{ asset('landing/Dogo_logo_white.png') }}" alt="Logo">
            </div>
            <a href="/dashboard" class="close-icon">
        <i class="bi bi-x"></i>
    </a>
        </div>
        <div class="chat-content">
            <div class="profile">
                <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Prince">
                <div class="profile-name">Prince</div>
                <div class="profile-title">Personal insurance concierge</div>
            </div>
            <div class="chat-messages">
                
            </div>
        </div>

        </div>
        <div class="chat-input">
            <button><i class="bi bi-plus"></i></button>
            <input type="text" placeholder="type something" oninput="toggleSendButton()"  style="height: 40px;">
            <button class="bi-camera-mic-buttons"><i class="bi bi-camera" onclick="openCamera()"></i></button>
            <button class="bi-camera-mic-buttons"><i class="bi bi-mic"></i></button>
            <button class="send-button"><i class="bi bi-send"></i></button>
        </div>
    </div>

    <script>
    // Global variables
    let currentStep = 1;
    let userResponses = {};
    let waitingForInput = false;
    let currentInputHandler = null;
    let currentTravellerIndex = 0;
    let totalTravellers = 0;

    // Initialize the chat
    function initChat() {
        const firstName = @json($user->first_name);
        addBotMessage(`Hey ${firstName}! I see you'd like to take out travel cover. I can help with that.`, () => {
            askAboutDestination();
        });
    }

    function askAboutDestination() {
        addBotMessage("Firstly, can you tell me where you're travelling to?", () => {
            waitForInput(handleDestinationResponse);
        });
    }

    function handleDestinationResponse(destination) {
        userResponses.destination = destination;
        addUserMessage(destination);
        addBotMessage(`${destination} - that's great! Make sure you visit Harrods whilst out there.`, () => {
            askDepartureDate();
        });
    }

    function askDepartureDate() {
        addBotMessage("Okay, I'll just need to know how long you're going for. When are you planning on going?", () => {
            waitForDateInput(handleDepartureDate);
        });
    }

    function handleDepartureDate(date) {
        userResponses.departureDate = date;
        addUserMessage(date);
        addBotMessage("Got it. And when will you be coming back to Kenya?", () => {
            waitForDateInput(handleReturnDate);
        });
    }

    function handleReturnDate(date) {
        userResponses.returnDate = date;
        addUserMessage(date);
        addBotMessage("Thanks.", () => {
            askAboutTravelCompanions();
        });
    }

    function askAboutTravelCompanions() {
        addBotMessage("Will you be travelling with anyone else?", () => {
            const yesNoButtons = createYesNoButtons(handleTravelCompanionsResponse);
            appendToChat(yesNoButtons);
        });
    }

    function handleTravelCompanionsResponse(hasCompanions) {
        if (hasCompanions) {
            addUserMessage("Yes");
            addBotMessage("Got it.", () => {
                askTravellerNumbers();
            });
        } else {
            addUserMessage("No");
            userResponses.adults = 1;
            userResponses.children = 0;
            totalTravellers = 1;
            addBotMessage("Okay. I'll just need a few details from you then.", () => {
                collectTravellerDetails();
            });
        }
    }

    function askTravellerNumbers() {
        addBotMessage("How many people will be travelling on your policy?", () => {
            const adultDropdownObj = createDropdown("Adults over 18", [1, 2, 3, 4, 5]);
            const childrenDropdownObj = createDropdown("Children under 18", [0, 1, 2, 3, 4, 5]);
            const confirmButton = createButton("Confirm", () => handleTravellerNumbers(adultDropdownObj.select, childrenDropdownObj.select));
            
            const container = document.createElement('div');
            container.appendChild(adultDropdownObj.wrapper);
            container.appendChild(childrenDropdownObj.wrapper);
            container.appendChild(confirmButton);
            appendToChat(container);
        });
    }

    function handleTravellerNumbers(adultDropdown, childrenDropdown) {
        userResponses.adults = parseInt(adultDropdown.value);
        userResponses.children = parseInt(childrenDropdown.value);
        totalTravellers = userResponses.adults + userResponses.children;
        addUserMessage(`Adults: ${userResponses.adults}, Children: ${userResponses.children}`);
        addBotMessage("Okay, thanks.", () => {
            addBotMessage("I'll just need the following information so I can issue your policy right away.", () => {
                collectTravellerDetails();
            });
        });
    }

    function collectTravellerDetails() {
        if (currentTravellerIndex < totalTravellers) {
            const isAdult = currentTravellerIndex < userResponses.adults;
            const travellerType = isAdult ? "adult" : "child";
            const travellerNumber = isAdult ? currentTravellerIndex + 1 : currentTravellerIndex - userResponses.adults + 1;
            
            addBotMessage(`Let's start with the ${getOrdinal(travellerNumber)} ${travellerType}. Can I get their full names please?`, () => {
                waitForInput((name) => handleTravellerName(name));
            });
        } else {
            addBotMessage("Thank you. I've updated your records so you won't have to do this again.", () => {
                calculatePremium();
            });
        }
    }

    function handleTravellerName(name) {
        if (!userResponses.travellerDetails) userResponses.travellerDetails = [];
        userResponses.travellerDetails[currentTravellerIndex] = { name: name };
        addUserMessage(name);
        addBotMessage("Thanks. And their date of birth?", () => {
            waitForDateInput((date) => handleTravellerBirthdate(date));
        });
    }

    function handleTravellerBirthdate(date) {
        userResponses.travellerDetails[currentTravellerIndex].birthdate = date;
        addUserMessage(date);
        addBotMessage("Thanks.", () => {
            askPassportNumber();
        });
    }

    function askPassportNumber() {
        addBotMessage("Finally, could I have their passport number please? If you don't have it right now, just say 'don't have it'.", () => {
            waitForInput((passport) => handlePassportNumber(passport));
        });
    }

    function handlePassportNumber(passport) {
        userResponses.travellerDetails[currentTravellerIndex].passport = passport;
        addUserMessage(passport);
        addBotMessage("Thanks.", () => {
            currentTravellerIndex++;
            collectTravellerDetails();
        });
    }

    function calculatePremium() {
        addBotMessage("One moment please whilst I crunch some numbers for you.", () => {
            setTimeout(() => {
                addBotMessage("Okay I've got your quote ready. Click on it to pay securely and get covered immediately.", () => {
                    const premiumButton = createButton("buy now", handlePremiumPayment);
                    appendToChat(premiumButton);
                });
            }, 2000);
        });
    }



    function handlePremiumPayment() {
        addUserMessage("Ksh 7000");
        addBotMessage("Processing...");
        // Implement payment processing here
    }
// Helper functions (createYesNoButtons, createButton, addBotMessage, addUserMessage, etc.) remain the same




function calculatePremium() {
    addUserMessage("Buy Now");
    addBotMessage("Processing your request...");

    const premiumAmount = 7000; // Replace with actual premium calculation logic
    const csrfToken = $('meta[name="csrf-token"]').attr('content');

    // Prepare the data to be saved
    const formData = new FormData();
    formData.append('amount', premiumAmount);
    formData.append('destination', userResponses.destination);
    formData.append('departureDate', userResponses.departureDate);
    formData.append('returnDate', userResponses.returnDate);
    formData.append('adults', userResponses.adults);
    formData.append('children', userResponses.children);
    formData.append('travellerDetails', JSON.stringify(userResponses.travellerDetails));

    // Log the data to be saved
    console.log('Data to be saved:', Object.fromEntries(formData));

    // Store the travel insurance details along with additional information
    fetch('/travelprince/save', {
        method: 'POST',
        headers: {
            'X-CSRF-TOKEN': csrfToken
        },
        body: formData
    })
    .then(response => response.json())
    .then(data => {
        console.log('Travel insurance details saved:', data);

        // If the save operation is successful, redirect to the billing page
        if (data.redirect) {
            window.location.href = data.redirect;
        } else {
            addBotMessage('We are redirecting you to billing');
            window.location.href = '/billing';
        }
    })
    .catch(error => {
        console.log('Error:', error);
        addBotMessage('Oops, there was an error processing your request. Please try again later.');
    });
}








function createRadioButtons(options, callback) {
const checkboxesContainer = document.createElement('div');
    checkboxesContainer.className = 'checkboxes-container';

    options.forEach(option => {
        const label = document.createElement('label');
        label.className = 'checkbox-label';

        const checkbox = document.createElement('input');
        checkbox.type = 'checkbox';
        checkbox.value = option;
        checkbox.className = 'chat-checkbox';
        
        checkbox.addEventListener('change', () => {
            if (checkbox.checked) {
                // Uncheck all other checkboxes
                checkboxesContainer.querySelectorAll('input[type="checkbox"]').forEach(cb => {
                    if (cb !== checkbox) cb.checked = false;
                });
                confirmButton.disabled = false; // Enable Confirm button when an option is selected
            } else {
                confirmButton.disabled = true; // Disable Confirm button if no option is selected
            }
        });

        label.appendChild(checkbox);
        label.appendChild(document.createTextNode(option));
        checkboxesContainer.appendChild(label);
    });

    const confirmButtonContainer = document.createElement('div');
    confirmButtonContainer.className = 'checkbox-btns-container';

    const confirmButton = document.createElement('button');
    confirmButton.textContent = 'Confirm';
    confirmButton.className = 'checkbox-btns';
    confirmButton.disabled = true; // Initially disabled

    confirmButton.onclick = () => {
        const selectedOptions = Array.from(checkboxesContainer.querySelectorAll('input:checked')).map(cb => cb.value);
        if (selectedOptions.length > 0) {
            checkboxesContainer.remove();
            callback(selectedOptions);
        }
    };

    confirmButtonContainer.appendChild(confirmButton);
    checkboxesContainer.appendChild(confirmButtonContainer);

    return checkboxesContainer;
}

function createDropdown(label, options) {
    // Create a dropdown container
    const container = document.createElement('div');
    container.className = 'dropdown-container';

    // Create and append a label
    const dropdownLabel = document.createElement('label');
    dropdownLabel.textContent = label;
    container.appendChild(dropdownLabel);

    // Create the select element
    const select = document.createElement('select');

    // Populate the select element with options
    options.forEach(option => {
        const optionElement = document.createElement('option');
        optionElement.value = option;
        optionElement.textContent = option;
        select.appendChild(optionElement);
    });

    // Append the select element to the container
    container.appendChild(select);

    // Create a wrapper for centering
    const wrapper = document.createElement('div');
    wrapper.className = 'dropdown-wrapper';
    wrapper.appendChild(container);

    // Return an object containing both the wrapper and the select element
    return {
        wrapper: wrapper,
        select: select
    };
}

function getOrdinal(n) {
    const s = ["th", "st", "nd", "rd"];
    const v = n % 100;
    return n + (s[(v - 20) % 10] || s[v] || s[0]);
}

function waitForDateInput(callback) {
    // Create an input element for date input
    const dateInput = document.createElement('input');
    dateInput.type = 'date';
    dateInput.id = 'dateInput';
    dateInput.style.display = 'block';
    dateInput.style.margin = '10px 0';

    // Create a container with the correct class
    const buttonContainer = document.createElement('div');
    buttonContainer.className = 'continue-cancel-buttons'; // Apply the container class

    // Create a button to submit the date
    const submitButton = document.createElement('button');
    submitButton.innerText = 'Submit';
    // No need to add additional class, it inherits from the container

    // Append the button to the container
    buttonContainer.appendChild(submitButton);

    // Append the input and button container to the chat container
    const chatMessages = document.querySelector('.chat-messages');
    chatMessages.appendChild(dateInput);
    chatMessages.appendChild(buttonContainer);

    // Scroll to the bottom of the chat
    chatMessages.scrollTop = chatMessages.scrollHeight;

    // Add event listener to the button
    submitButton.addEventListener('click', () => {
        const dateValue = dateInput.value;
        if (dateValue) {
            callback(dateValue);
            // Clean up the input and button elements after submitting
            chatMessages.removeChild(dateInput);
            chatMessages.removeChild(buttonContainer);
        } else {
            alert('Please enter a date');
        }
    });
}


// Helper functions for creating UI elements
function createYesNoButtons(callback) {
    return createButtons(['Yes', 'No'], (response) => callback(response === 'Yes'), 'continue-cancel-buttons');
}

function createButtons(options, callback) {
    const buttonsContainer = document.createElement('div');
    buttonsContainer.className = 'continue-cancel-buttons';
    options.forEach(option => {
        const button = document.createElement('button');
        button.textContent = option;
        button.className = 'continue-cancel-buttons';
        button.onclick = () => {
            buttonsContainer.remove();
            callback(option);
        };
        buttonsContainer.appendChild(button);
    });
    return buttonsContainer;
}


function createCheckboxes(options, callback) {
    const checkboxesContainer = document.createElement('div');
    checkboxesContainer.className = 'checkboxes-container';
    options.forEach(option => {
        const label = document.createElement('label');
        label.className = 'checkbox-label';
        const checkbox = document.createElement('input');
        checkbox.type = 'checkbox';
        checkbox.value = option;
        checkbox.className = 'chat-checkbox';
        label.appendChild(checkbox);
        label.appendChild(document.createTextNode(option));
        checkboxesContainer.appendChild(label);
    });

    const confirmButtonContainer = document.createElement('div');
    confirmButtonContainer.className = 'checkbox-btns-container';
    const confirmButton = document.createElement('button');
    confirmButton.textContent = 'Confirm';
    confirmButton.className = 'checkbox-btns';
    confirmButton.onclick = () => {
        const selectedOptions = Array.from(checkboxesContainer.querySelectorAll('input:checked')).map(cb => cb.value);
        checkboxesContainer.remove();
        callback(selectedOptions);
    };
    confirmButtonContainer.appendChild(confirmButton);
    checkboxesContainer.appendChild(confirmButtonContainer);

    return checkboxesContainer;
}

function createButton(text, callback) {
    const buttonContainer = document.createElement('div');
    buttonContainer.style.display = 'flex';
    buttonContainer.style.justifyContent = 'center';
    buttonContainer.style.marginTop = '10px';
    buttonContainer.style.marginLeft = '10px';

    const button = document.createElement('button');
    button.textContent = text;
    button.style.backgroundColor = 'rgba(171, 31, 116, 0.3)';
    button.style.color = '#202124';
    button.style.border = 'none';
    button.style.padding = '8px 16px';
    button.style.borderRadius = '10px';
    button.style.cursor = 'pointer';
    button.style.fontFamily = 'Arial, sans-serif';
    button.style.fontSize = '12px';
    button.style.transition = 'background-color 0.3s';

    button.onclick = () => {
        buttonContainer.remove();
        callback();
    };

    buttonContainer.appendChild(button);
    return buttonContainer;
}


// Functions for adding messages to the chat
function addUserMessage(message) {
    const chatMessages = document.querySelector('.chat-messages');
    const userMessage = document.createElement('div');
    userMessage.classList.add('message', 'user-message');
    userMessage.innerHTML = `
        <div class="message-content">
            ${message}
        </div>
        <img src="user-profile.png" alt="User">
    `;
    chatMessages.appendChild(userMessage);
    scrollToBottom();
}

function addLoadingDots(callback) {
        const chatMessages = document.querySelector('.chat-messages');
        const loadingContainer = document.createElement('div');
        loadingContainer.classList.add('message', 'bot-message', 'loading');
        loadingContainer.innerHTML = `
            <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Prince">
            <div class="loading-dots">
                <div class="loading-dot"></div>
                <div class="loading-dot"></div>
                <div class="loading-dot"></div>
            </div>
        `;
        chatMessages.appendChild(loadingContainer);
        scrollToBottom();

        setTimeout(() => {
            loadingContainer.remove();
            callback();
        }, 2000);
    }

    function addBotMessage(message, callback) {
        addLoadingDots(() => {
            const chatMessages = document.querySelector('.chat-messages');
            const botMessage = document.createElement('div');
            botMessage.classList.add('message', 'bot-message');
            botMessage.innerHTML = `
                <img src="{{ asset('landing/Prince_avatar.png') }}" alt="Prince">
                <div class="message-content">
                    ${message}
                </div>
            `;
            chatMessages.appendChild(botMessage);
            scrollToBottom();
            if (callback) callback();
        });
    }



function appendToChat(element) {
    document.querySelector('.chat-messages').appendChild(element);
    scrollToBottom();
}

function scrollToBottom() {
    window.scrollTo(0, document.body.scrollHeight)
}

// Functions for handling user input
function waitForInput(callback) {
    waitingForInput = true;
    currentInputHandler = callback;
    
}

function handleUserInput() {
    if (!waitingForInput) return;

    const inputField = document.querySelector('.chat-input input');
    const userInput = inputField.value.trim();
    if (userInput === '') return;

    addUserMessages(userInput);
    inputField.value = '';
    toggleSendButton();

    waitingForInput = false;
    const handler = currentInputHandler;
    currentInputHandler = null;
    handler(userInput);
}
// Functions for adding messages to the chat
function addUserMessages(message) {
    const chatMessages = document.querySelector('.chat-messages');
    const userMessage = document.createElement('div');
    userMessage.classList.add('message', 'user-message');
    userMessage.innerHTML = `
        <div class="message-content">
            ${message}
        </div>
        <img src="user-profile.png" alt="User">
    `;
    //chatMessages.appendChild(userMessage);
    scrollToBottom();
}

function toggleSendButton() {
    const inputField = document.querySelector('.chat-input input');
    const sendButton = document.querySelector('.bi-send');
    const cameraMicButtons = document.querySelectorAll('.bi-camera-mic-buttons');

    if (inputField.value.trim() !== '' || waitingForInput) {
        sendButton.style.display = 'block';
        cameraMicButtons.forEach(button => button.style.display = 'none');
    } else {
        sendButton.style.display = 'none';
        cameraMicButtons.forEach(button => button.style.display = 'block');
    }
}

// Event listeners
document.querySelector('.chat-input input').addEventListener('input', toggleSendButton);
document.querySelector('.send-button').addEventListener('click', handleUserInput);
document.querySelector('.chat-input input').addEventListener('keypress', function(e) {
    if (e.key === 'Enter') {
        e.preventDefault(); // Prevent default form submission
        handleUserInput();
    }
});



// Initialize the chat when the page loads
window.onload = initChat;
    </script>
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

</body>
</html>