<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Video Player</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #000;
        }
        .video-container {
            position: relative;
            width: 100%;
            max-width: 800px;
            height: 450px; /* Fixed height for the video container */
            background-color: #000;
        }
        video {
            width: 100%;
            height: 100%;
        }
        .logo {
            position: absolute;
            top: 10px;
            width: 150px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 1;
        }
        .play-button {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 60px;
            height: 60px;
            background-color: rgba(128, 128, 128, 0.5);
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            cursor: pointer;
        }
        .play-icon {
            width: 0;
            height: 0;
            border-top: 15px solid transparent;
            border-left: 25px solid white;
            border-bottom: 15px solid transparent;
            margin-left: 5px;
        }
        .pause-icon {
            width: 20px;
            height: 20px;
            background-color: white;
            display: flex;
            justify-content: space-between;
        }
        .pause-icon div {
            width: 6px;
            height: 20px;
            background-color: black;
        }
        .skip-button {
            position: absolute;
            bottom: 20px;
            right: 20px;
            background-color: #ff69b4;
            color: white;
            border: none;
            padding: 8px 16px;
            border-radius: 20px;
            font-size: 14px;
            font-weight: bold;
        }
    </style>
</head>
<body>
<img src="landing/Dogo_logo.png" alt="Logo" class="logo">

    <div class="video-container">
        <video id="myVideo" controls>
            <source src="{{ asset('videodemo.mp4') }}" type="video/mp4">
            Your browser does not support the video tag.
        </video>
        <div class="play-button" onclick="playPause()">
            <div class="play-icon"></div>
        </div>
        <a href="{{ url('/princeupdate') }}" class="btn-start-link">
            <button class="skip-button">SKIP</button>
        </a>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        var video = document.getElementById("myVideo");
        var playButton = document.querySelector('.play-button');

        function playPause() {
            if (video.paused) {
                video.play();
                playButton.innerHTML = '<div class="pause-icon"><div></div><div></div></div>';
            } else {
                video.pause();
                playButton.innerHTML = '<div class="play-icon"></div>';
            }
        }

        video.onended = function() {
            window.location.href = "{{ url('/princeupdate') }}";
        }

        document.querySelector('.skip-button').addEventListener('click', function() {
            window.location.href = "{{ url('/princeupdate') }}";
        });
    </script>
</body>
</html>
