<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, viewport-fit=cover">
    <title>Crownscope Insurance App</title>
    <link href="https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Open+Sans:wght@500&display=swap" rel="stylesheet">
<style>
    :root {
        --safe-area-inset-top: env(safe-area-inset-top);
        --safe-area-inset-bottom: env(safe-area-inset-bottom);
        --safe-area-inset-left: env(safe-area-inset-left);
        --safe-area-inset-right: env(safe-area-inset-right);
    }

    body, html {
        height: 100%;
        margin: 0;
        padding: 0;
        background-color: #000;
        font-family: "Lato", sans-serif;
        overflow: hidden;
    }

    .app-container {
        height: 100vh;
        width: 100vw;
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    .app-container::-webkit-scrollbar {
        display: none;
    }

    .screen {
        flex: 0 0 100%;
        width: 100%;
        height: 100%;
        scroll-snap-align: start;
        background-color: #000;
        color: #fff;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding: 0 20px;
        box-sizing: border-box;
        overflow-y: auto;
    }

    .upper-section {
        height: 50%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        padding-top: max(20px, var(--safe-area-inset-top));
    }

    .logo {
        width: 200px;
        height: auto;
        margin-bottom: 0;
    }

    .content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 70%;
    }

    .content h2 {
        font-family: "Lato", sans-serif;
        font-size: 24px; /* Adjusted in media query for desktop */
        line-height: 1.3;
        font-weight: 500;
        margin-top: 0;
        margin-bottom: 10%;
        text-align: center;
    }

    .content h2 span {
        display: block; /* This makes the text in span to always start on a new line */
    }

    .content p {
        font-family: "Lato", sans-serif;
        font-size: 15px;
        line-height: 1.5;
        font-weight: 400;
        opacity: 0.8;
        margin-top: 0;
    }

    .lower-section {
        height: 40%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        padding-bottom: max(50px, var(--safe-area-inset-bottom));
    }

    .icon {
        width: 200px;
        height: auto;
        margin-bottom: 5%;
    }

    .btn-start, .btn-start-link button {
        font-family: "Lato", sans-serif;
        font-size: 28px;
        font-weight: 700;
        padding: 20px 50px;
        border-radius: 40px;
        cursor: pointer;
    }

    .btn-custom {
        font-family: "Lato", sans-serif;
        font-size: 18px;
        font-weight: 700;
        padding: 10px 20px;
        border-radius: 20px;
        cursor: pointer;
    }

    .btn-start {
        background-color: #AB1F74;
        color: white;
        border: 2px solid #AB1F74;
    }

    .btn-custom {
        background-color: transparent;
        color: #AB1F74;
        border: none;
    }

    .btn-start:hover, .btn-start-link button:hover, .btn-custom:hover {
        background-color: #ceb78d;
        border-color: #ceb78d;
        color: #fff;
    }

    .indicators {
        display: flex;
        justify-content: center;
        margin-bottom: 10px;
    }

    .indicator {
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background-color: #555;
        margin: 0 5px;
    }

    .indicator.active {
        background-color: #AB1F74;
    }

    .user-options {
        margin-bottom: 0;
    }

    .user-options a {
        color: #AB1F74;
        text-decoration: none;
        font-size: 18px;
    }

    .screen-no-image .lower-section {
        justify-content: flex-end;
    }

    .screen-no-image .btn-container {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    /* Mobile styles */
    @media (max-width: 767px) {
        .lower-section {
            justify-content: space-between;
            align-items: center;
            padding-bottom: max(60px, var(--safe-area-inset-bottom));
        }

        .btn-container {
            align-items: center;
            padding-left: 0;
        }

        .indicators {
            margin-top: 0px;
            margin-bottom: 20px;
        }

        .content h2 span {
            white-space: normal; /* Allows text to wrap */
        }
    }

    /* Desktop styles */
    @media (min-width: 768px) {
            .logo {
        width: 100px;
        height: auto;
        margin-bottom: 0;
    }
        .content {
            max-width: 600px;
        }
        .content h2 {
            font-size: 26px;
        }
        .content p {
            font-size: 14px;
        }
        .btn-custom, .btn-start {
            font-size: 18px;
            padding: 15px 30px;
        }
        .user-options a {
            font-size: 18px;
        }
        .content h2 span {
            white-space: nowrap;
            display: inline;
        }

        /* Consistent layout for all screens */
        .screen {
            display: flex;
            flex-direction: column;
            justify-content: space-between;
        }

        .upper-section {
            height: auto;
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            padding-top: max(40px, var(--safe-area-inset-top));
        }

        .logo {
            margin-bottom: 5%;
        }

        .content {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        .lower-section {
            height: auto;
            display: flex;
            flex-direction: column;
            justify-content: flex-end;
            padding-bottom: max(40px, var(--safe-area-inset-bottom));
        }

        .icon {
            width: 180px;
            margin-bottom: 5%;
        }

        .indicators {
            margin-bottom: 20px;
        }

        .user-options {
            margin-top: 20px;
        }

        /* Specific adjustments for the last screen */
        .screen-no-image .lower-section {
            justify-content: space-between;
        }

        .screen-no-image .btn-container {
            margin-bottom: 20px;
        }
    }
</style>

</head>
<body>
    <div class="app-container">
        <div class="screen">
            <div class="upper-section">
                <img src="<?php echo e(asset('landing/Dogo_logo.png')); ?>" alt="Crownscope logo1" class="logo">
                <div class="content">
                    <h2>Stress-free insurance for the 21st <span>Century</span></h2>
                    <p>Africa's first complete AI-powered insurance solution</p>
                </div>
            </div>
            <div class="lower-section">
                <img src="<?php echo e(asset('landing/stress_free.png')); ?>" alt="Stress-free icon" class="icon">
                <div class="indicators">
                    <div class="indicator active"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                </div>
                <div class="user-options">
                    <button class="btn-custom" onclick="nextScreen()">SWIPE&nbsp;&nbsp;&nbsp;&lt;&lt;&lt;</button>
                </div>
            </div>
        </div>
        <div class="screen">
            <div class="upper-section">
                <img src="<?php echo e(asset('landing/Dogo_logo.png')); ?>" alt="Crownscope logo" class="logo">
                <div class="content">
                    <h2>From days and weeks to <span>seconds</span></h2>
                    <p>Our proprietary AI, Prince, can issue cover and process claims in seconds</p>
                </div>
            </div>
            <div class="lower-section">
                <img src="<?php echo e(asset('landing/AI_icon.png')); ?>" alt="AI icon" class="icon">
                <div class="indicators">
                    <div class="indicator"></div>
                    <div class="indicator active"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                </div>
                <div class="user-options">
                    <p>Already a member? <a href="/login" class="sign-in-link">Sign in</a></p>
                </div>
            </div>
        </div>
        <div class="screen">
            <div class="upper-section">
                <img src="<?php echo e(asset('landing/Dogo_logo.png')); ?>" alt="Crownscope logo" class="logo">
                <div class="content">
                    <h2>Impeccable claims <span>record</span></h2>
                    <p>We paid out 100 per cent of over 5000 claims between 2015 and 2021</p>
                </div>
            </div>
            <div class="lower-section">
                <img src="<?php echo e(asset('landing/Claims_paid_icon.png')); ?>" alt="Claims icon" class="icon">
                <div class="indicators">
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator active"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                </div>
                <div class="user-options">
                    <p>Already a member? <a href="/login" class="sign-in-link">Sign in</a></p>
                </div>
            </div>
        </div>
        <div class="screen">
            <div class="upper-section">
                <img src="<?php echo e(asset('landing/Dogo_logo.png')); ?>" alt="Crownscope logo" class="logo">
                <div class="content">
                    <h2>Market-leading <span>rates</span></h2>
                    <p>We're leveraging over 36 years of industry experience towards the very best prices</p>
                </div>
            </div>
            <div class="lower-section">
                <img src="<?php echo e(asset('landing/Best_price.png')); ?>" alt="Best price icon" class="icon">
                <div class="indicators">
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator active"></div>
                    <div class="indicator"></div>
                </div>
                <div class="user-options">
                    <p>Already a member? <a href="/login" class="sign-in-link">Sign in</a></p>
                </div>
            </div>
        </div>
        <div class="screen screen-no-image">
            <div class="upper-section">
                <img src="<?php echo e(asset('landing/Dogo_logo.png')); ?>" alt="Crownscope logo" class="logo">
                <div class="content">
                    <h2>Get started with the future of <span>insurance</span></h2>
                    <p>Takes less than 2 minutes. Get covered immediately</p>
                </div>
            </div>
            <div class="lower-section">
                <div class="btn-container">
                    <a href="<?php echo e(url('/register')); ?>" class="btn-start-link">
                        <button class="btn-start">Start here</button>
                    </a>
                </div>
                <div class="indicators">
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator"></div>
                    <div class="indicator active"></div>
                </div>
                <div class="user-options">
                    <p>Already a member? <a href="/login" class="sign-in-link">Sign in</a></p>
                </div>
            </div>
        </div>
    </div>
    <script>
        function nextScreen() {
            const container = document.querySelector('.app-container');
            container.scrollBy({ left: window.innerWidth, behavior: 'smooth' });
        }
    </script>
</body>
</html><?php /**PATH C:\xampp\htdocs\dogotechupdate19\resources\views/intro.blade.php ENDPATH**/ ?>