<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Claims Dashboard</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">
    <style>
        body {
            font-family: "Lato", sans-serif;
            margin: 0;
            padding: 0;
            background-color: #fff;
        }
        /* Action Buttons Styles */
        .action-buttons {
            display: flex;
            gap: 12px;
            margin-bottom: 20px;
            align-items: center;
        }

        .action-btn {
            display: flex;
            align-items: center;
            gap: 8px;
            padding: 8px 12px;
            background-color: #f2f2f2;
            border: 1px solid #e0e0e0;
            border-radius: 9px;
            cursor: pointer;
            font-family: inherit;
            font-size: 14px;
            color: #444;
            transition: background-color 0.2s;
        }

        .action-btn:hover {
            background-color: #f8f8f8;
        }

        .action-btn svg {
            width: 16px;
            height: 16px;
            fill: #666;
        }

        .dropdown-icon {
            margin-left: 4px;
        }
       
        .main-content {
            margin-top: -80px;
            padding: 20px;
        }
        /* Action Buttons Styles */
        .action-buttons {
            display: flex;
            gap: 12px;
            margin-bottom: 20px;
            align-items: center;
        }

        .action-btn {
            display: flex;
            align-items: center;
            gap: 8px;
            padding: 8px 12px;
            background-color: #f2f2f2;
            border: 1px solid #e0e0e0;
            border-radius: 9px;
            cursor: pointer;
            font-family: inherit;
            font-size: 14px;
            color: #444;
            transition: background-color 0.2s;
        }

        .action-btn:hover {
            background-color: #f8f8f8;
        }

        .action-btn svg {
            width: 16px;
            height: 16px;
            fill: #666;
        }

        .dropdown-icon {
            margin-left: 4px;
        }
        .search-container {
            display: flex;
            justify-content: flex-end;
            margin-bottom: 20px;
        }
        .search-bar {
            width: 300px;
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            background-color: white;
        }
        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #f1f1f1;
        }
        th {
            background-color: #f1f1f1;
            font-size:14px;
            font-weight: normal; /* Set font weight to normal */
            cursor: pointer;
        }
        th::after {
            content: " ▼";
            font-size: 12px;
            color: #999;
        }
        th:first-child::after,
        th:last-child::after {
            content: ""; /* Remove the arrow only for the first and last header */
        }

                .action-button {
            background-color: transparent; /* Transparent background */
            color: black; /* Black text color */
            border: none; /* Remove border */
            padding: 6px 12px; /* Adjust padding as necessary */
            cursor: pointer; /* Pointer on hover */
            border-radius: 4px; /* Optional: rounded corners */
            text-decoration: underline; /* Underline text */
            background: none; /* Ensures background is fully transparent */
        }
        
        .action-button:hover {
            color: #ab1f74; /* Change text color to pink on hover */
            text-decoration: underline; /* Keep the underline on hover */
        }
        .initials {
            width: 40px;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 20%;
            color: black;
            font-size: 14px;
            margin-right: 10px;
        }

        .selectable {
            display: flex;
            align-items: center;
            gap: 12px;
        }
        
        .checkbox {
            width: 12px;
            height: 12px;
            transform: scale(1.5);
            cursor: pointer;
        }

        .checkbox-column {
            width: 40px;
            text-align: center;
            padding-right: 0;
        }

        .star {
            cursor: pointer;
            font-size: 30px;
            color: #f1f1f1;
            margin-top: -5px;
            margin-left: -10px;
        }

        .star-filled {
            color: #ab1f74;
        }

        .name-container {
            display: flex;
            flex-direction: column;
        }

        .name-details {
            display: flex;
            align-items: center;
            gap: 12px;
            padding-left: 0;
        }
        @media (min-width: 1440px) {
            
            nav a {
            font-size: 28px;
            }
            .main-content {
            margin-top: -70px;
            
        }
        }

    </style>
</head>
<body>
    <?php echo $__env->make('admin.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="main-content">
    <!-- Bulk Actions and Action Buttons Section -->
    <div class="action-buttons">
        <!-- Bulk Actions -->
        <select id="bulkAction" class="action-btn" disabled>
            <option value="" disabled selected>Bulk action</option>
            <option value="export">Export</option>
            <option value="delete">Delete</option>
        </select>

        <!-- Import Data -->
        <input type="file" id="importFileInput" name="file" accept=".csv,.xlsx" style="display:none;" />
        <button id="importDataBtn" class="action-btn">
            Import data
            <i class="bi bi-box-arrow-in-down me-2" ></i>
        </button>

        <!-- Add Claim -->
        <button class="action-btn" data-bs-toggle="modal" data-bs-target="#addClaimModal">
            Add claim
            <i class="bi bi-folder-plus"></i>
        </button>

        <!-- Search Bar -->
        <input type="text" class="search-bar form-control" placeholder="Search..." style="width: 30%;">

    </div>

    <!-- Confirmation Modals -->
<div class="modal fade" id="bulkActionConfirmModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title" id="bulkActionTitle">Confirm Action</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body" id="bulkActionBody">
                Are you sure you want to perform this action?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Cancel</button>
                <button type="button" class="btn btn-primary" id="confirmBulkAction" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Confirm</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="importConfirmModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title">Confirm Import</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body" id="importFileNameDisplay">
                Are you sure you want to import this file?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Cancel</button>
                <button type="button" class="btn btn-primary" id="confirmImport" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Import</button>
            </div>
        </div>
    </div>
</div>

<!-- Add Claim Modal -->
<div class="modal fade" id="addClaimModal" tabindex="-1" aria-labelledby="addClaimModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title" id="addClaimModalLabel">Add Claim</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addClaimForm">
                <div class="modal-body">
                    <div class="row g-2">
                        <div class="col-6">
                            <label for="policy" class="form-label small">Policy</label>
                            <input type="text" class="form-control form-control-sm" id="policy" name="policy" required>
                        </div>
                        <div class="col-6">
                            <label for="claimNumber" class="form-label small">Claim Number</label>
                            <input type="text" class="form-control form-control-sm" id="claimNumber" name="claimNumber" required>
                        </div>
                        <div class="col-6">
                            <label for="dateFiled" class="form-label small">Date Filed</label>
                            <input type="date" class="form-control form-control-sm" id="dateFiled" name="dateFiled" required>
                        </div>
                        <div class="col-6">
                            <label for="lastUpdated" class="form-label small">Last Updated</label>
                            <input type="date" class="form-control form-control-sm" id="lastUpdated" name="lastUpdated" required>
                        </div>
                        <div class="col-6">
                            <label for="status" class="form-label small">Status</label>
                            <select class="form-control form-control-sm" id="status" name="status" required>
                                <option value="" disabled selected>Select Status</option>
                                <option value="open">Open</option>
                                <option value="closed">Closed</option>
                                <option value="settled">Settled</option>
                            </select>
                        </div>
                        <div class="col-6">
                            <label for="userId" class="form-label small">User ID</label>
                            <input type="number" class="form-control form-control-sm" id="userId" name="userId" required>
                        </div>
                        <div class="col-12">
                            <label for="customer" class="form-label small">Customer</label>
                            <input type="text" class="form-control form-control-sm" id="customer" name="customer" required>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Close</button>
                    <button type="submit" class="btn btn-primary btn-sm" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Save Claim</button>
                </div>
            </form>
        </div>
    </div>
</div>

        <!-- Claims Table -->
        <table>
            <thead>
                <tr>
                    <th class="checkbox-column">
                        <input type="checkbox" class="checkbox" id="selectAll" />
                    </th>
                    <th>POLICY</th>
                    <th>CLAIM NUMBER</th>
                    <th>DATE FILED</th>
                    <th>LAST UPDATED</th>
                    <th>STATUS</th>
                    <th>CUSTOMER</th>
                    <th>ACTION</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $claims; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $claim): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $colors = ['#eb8b81', '#8195be', '#ae6cc2', '#b2df74', '#c37954'];
                    $colorIndex = $loop->index % count($colors);
                    $backgroundColor = $colors[$colorIndex];
                    $initials = strtoupper(substr($claim->policy, 0, 1)) . strtoupper(substr(explode(' ', $claim->policy)[1] ?? '', 0, 1));
                ?>
                <tr>
                    <td class="checkbox-column">
                        <input type="checkbox" class="checkbox row-checkbox" data-id="<?php echo e($claim->id); ?>" />
                    </td>
                    <td>
                        <div class="name-details">
                            <span class="star">&#9734;</span>
                            <div class="initials" style="background-color: <?php echo e($backgroundColor); ?>;">
                                <?php echo e($initials); ?>

                            </div>
                            <div class="name-container"><?php echo e($claim->policy); ?></div>
                        </div>
                    </td>
                    <td><?php echo e($claim->claim_number); ?></td>
                    <td><?php echo e($claim->date_filed->format('d F Y')); ?></td>
                    <td><?php echo e($claim->last_updated->format('d F Y')); ?></td>
                    <td><?php echo e($claim->status); ?></td>
                    <td><?php echo e($claim->customer); ?></td>
                    <td><button class="action-button">View</button></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>

    <!-- Include Bootstrap CSS and JS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>

    <!-- JavaScript Section -->

    <script>
    
    // Sorting functionality
    document.querySelectorAll('th').forEach(th => th.addEventListener('click', (() => {
        const table = th.closest('table');
        const tbody = table.querySelector('tbody');
        Array.from(tbody.querySelectorAll('tr'))
            .sort(comparer(Array.from(th.parentNode.children).indexOf(th), this.asc = !this.asc))
            .forEach(tr => tbody.appendChild(tr));
    })));

    const getCellValue = (tr, idx) => tr.children[idx].innerText || tr.children[idx].textContent;

    const comparer = (idx, asc) => (a, b) => ((v1, v2) => 
        v1 !== '' && v2 !== '' && !isNaN(v1) && !isNaN(v2) ? v1 - v2 : v1.toString().localeCompare(v2)
    )(getCellValue(asc ? a : b, idx), getCellValue(asc ? b : a, idx));

    // Handle individual checkbox selection to toggle star highlighting
    document.querySelectorAll('.row-checkbox').forEach(checkbox => {
        checkbox.addEventListener('change', function () {
            toggleStarForRow(this);
        });
    });

    // Select All functionality
    const selectAllCheckbox = document.getElementById('selectAll');
    const rowCheckboxes = document.querySelectorAll('.row-checkbox');

    selectAllCheckbox.addEventListener('change', function() {
        rowCheckboxes.forEach(checkbox => {
            checkbox.checked = this.checked;
            const row = checkbox.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
        });
    });

    // Individual checkbox functionality
    document.querySelectorAll('.row-checkbox').forEach((checkbox) => {
        checkbox.addEventListener('change', function () {
            const row = this.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
            
            // Update select all checkbox
            const allChecked = Array.from(rowCheckboxes).every(cb => cb.checked);
            selectAllCheckbox.checked = allChecked;
        });
    });


    // Function to toggle star based on checkbox state
    function toggleStarForRow(checkbox) {
        const row = checkbox.closest('tr'); // Find the corresponding table row
        const star = row.querySelector('.star'); // Find the star in the same row

        if (checkbox.checked) {
            // Highlight the star when the checkbox is selected
            star.classList.add('star-filled');
        } else {
            // Remove the highlight when the checkbox is deselected
            star.classList.remove('star-filled');
        }
    }

    // Disable bulk action by default
    const bulkActionSelect = document.getElementById('bulkAction');
    const checkboxes = document.querySelectorAll('.row-checkbox');

    // Enable/Disable Bulk Action based on checkbox selection
    checkboxes.forEach(cb => cb.addEventListener('change', updateBulkActionState));

    function updateBulkActionState() {
        const selectedCheckboxes = document.querySelectorAll('.row-checkbox:checked');
        bulkActionSelect.disabled = selectedCheckboxes.length === 0;
        bulkActionSelect.value = '';
    }

    bulkActionSelect.addEventListener('change', performBulkAction);

    // Import Data Button
    const importFileInput = document.getElementById('importFileInput');
    const importDataBtn = document.getElementById('importDataBtn');

    importDataBtn.addEventListener('click', () => {
        importFileInput.click();
    });

    importFileInput.addEventListener('change', (e) => {
        const file = e.target.files[0];
        if (file) {
            document.getElementById('importFileNameDisplay').textContent =
                `Are you sure you want to import "${file.name}"?`;
            new bootstrap.Modal(document.getElementById('importConfirmModal')).show();
        }
    });

    document.getElementById('confirmImport').addEventListener('click', () => {
        const importForm = document.createElement('form');
        importForm.action = '<?php echo e(route("data.import")); ?>';
        importForm.method = 'POST';
        importForm.enctype = 'multipart/form-data';

        const csrfToken = document.createElement('input');
        csrfToken.type = 'hidden';
        csrfToken.name = '_token';
        csrfToken.value = '<?php echo e(csrf_token()); ?>';

        importForm.appendChild(csrfToken);
        importForm.appendChild(importFileInput);
        document.body.appendChild(importForm);
        importForm.submit();
    });

    // Bulk Actions with Confirmation
    function performBulkAction() {
        const action = bulkActionSelect.value;
        const selectedIds = Array.from(document.querySelectorAll('.row-checkbox:checked')).map(cb => cb.dataset.id);

        document.getElementById('bulkActionTitle').textContent =
            action === 'delete' ? 'Confirm Delete' : 'Confirm Export';
        document.getElementById('bulkActionBody').textContent =
            `Are you sure you want to ${action} the selected claims?`;

        const confirmModal = new bootstrap.Modal(document.getElementById('bulkActionConfirmModal'));
        confirmModal.show();

        document.getElementById('confirmBulkAction').onclick = () => {
            if (action === 'export') {
                fetch('<?php echo e(route("claims.export")); ?>', {
                    method: 'POST',
                    headers: { 'Content-Type': 'application/json', 'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>' },
                    body: JSON.stringify({ ids: selectedIds })
                }).then(response => response.blob()).then(blob => {
                    const url = window.URL.createObjectURL(blob);
                    const a = document.createElement('a');
                    a.href = url;
                    a.download = 'claims.csv';
                    a.click();
                    confirmModal.hide();
                });
            } else if (action === 'delete') {
                fetch('<?php echo e(route("claims.delete")); ?>', {
                    method: 'DELETE',
                    headers: { 'Content-Type': 'application/json', 'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>' },
                    body: JSON.stringify({ ids: selectedIds })
                }).then(response => response.json()).then(data => {
                    if (data.success) {
                        alert('Claims deleted successfully.');
                        location.reload();
                    } else {
                        alert('Error: ' + data.message);
                    }
                    confirmModal.hide();
                });
            }
        };
    }

    // Handle Add Claim Form Submission
    document.getElementById('addClaimForm').addEventListener('submit', function (e) {
        e.preventDefault();
        const claimData = {
            policy: document.getElementById('policy').value,
            claimNumber: document.getElementById('claimNumber').value,
            dateFiled: document.getElementById('dateFiled').value,
            lastUpdated: document.getElementById('lastUpdated').value,
            status: document.getElementById('status').value,
            userId: document.getElementById('userId').value,
            customer: document.getElementById('customer').value,
        };
        fetch('<?php echo e(route("claims.add")); ?>', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
            },
            body: JSON.stringify(claimData),
        })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    alert('Claim added successfully!');
                    location.reload();
                } else {
                    alert('Error: ' + data.message);
                }
            })
            .catch(() => {
                alert('An unexpected error occurred. Please try again later.');
            });
    });

    // Search functionality
    document.querySelector('.search-bar').addEventListener('input', function () {
        const term = this.value.toLowerCase();
        document.querySelectorAll('tbody tr').forEach(row => {
            row.style.display = row.textContent.toLowerCase().includes(term) ? '' : 'none';
        });
    });
</script>

</body>


</html><?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/admin/claims.blade.php ENDPATH**/ ?>