<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Customer Dashboard</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">
    <style>
        body {
            font-family: "Lato", sans-serif;
            margin: 0;
            padding: 0;
            background-color: #fff;
        }
       
        .main-content {
            margin-top: -60px;
            padding: 20px;
        }

        /* Action Buttons Styles */
        .action-buttons {
            display: flex;
            gap: 12px;
            margin-bottom: 20px;
            align-items: center;
        }

        .action-btn {
            display: flex;
            align-items: center;
            gap: 8px;
            padding: 8px 12px;
            background-color: #f2f2f2;
            border: 1px solid #e0e0e0;
            border-radius: 9px;
            cursor: pointer;
            font-family: inherit;
            font-size: 14px;
            color: #444;
            transition: background-color 0.2s;
        }

        .action-btn:hover {
            background-color: #f8f8f8;
        }

        .action-btn svg {
            width: 16px;
            height: 16px;
            fill: #666;
        }

        .dropdown-icon {
            margin-left: 4px;
        }

        /* Existing Table Styles */
        table {
            width: 100%;
            border-collapse: collapse;
            background-color: white;
        }
        
        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #f1f1f1;
        }
        
        th {
            background-color: #f1f1f1;
            font-weight: normal; /* Set font weight to normal */
            cursor: pointer;
            font-size:14px;
        }
        
        th::after {
            content: "▼";
            font-size: 14px;
            color: #999;
        }
        th:first-child::after,
        th:last-child::after {
            content: ""; /* Remove the arrow only for the first and last header */
        }
             /* Vertical line for "NAME" column */
        td:nth-child(2), th:nth-child(2) {
            position: relative;
            border-right: none; /* Remove any default border */
        }
    
        /* Apply the vertical line only to rows with data */
        tbody td:nth-child(2) {
            border-right: 1px solid #f1f1f1;
        }
    
        /* Ensure no vertical line in the header and filter rows */
        thead th:nth-child(2), .filter-row td:nth-child(2) {
            border-right: none;
        }

        th.checkbox-column::after {
            content: none;
        }
        
        .filter-row input {
            width: 100%;
            padding: 4px;
            box-sizing: border-box;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        
        .action-button {
            background-color: transparent;
            color: black;
            border: none;
            padding: 6px 12px;
            cursor: pointer;
            border-radius: 4px;
            text-decoration: underline;
            font-size: 15px;
            background: none;
        }
        
        .action-button:hover {
            color: #ab1f74;
            text-decoration: underline;
        }

        .initials {
            width: 40px;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 20%;
            color: black;
            font-size: 14px;
            margin-right: 10px;
        }

        .selectable {
            display: flex;
            align-items: center;
            gap: 12px;
        }
        
        .checkbox {
            width: 12px;
            height: 12px;
            transform: scale(1.5);
            cursor: pointer;
        }

        .checkbox-column {
            width: 40px;
            text-align: center;
            padding-right: 0;
        }

        .star {
            cursor: pointer;
            font-size: 30px;
            color: #f1f1f1;
            margin-top: -5px;
            margin-left: -10px;
        }

        .star-filled {
            color: #ab1f74;
        }

        .name-container {
            display: flex;
            flex-direction: column;
        }

        .name-details {
            display: flex;
            align-items: center;
            gap: 12px;
            padding-left: 0;
        }

        @media (min-width: 1440px) {
            nav a {
                font-size: 28px;
            }
        }
    </style>
</head>
<body>
    <?php echo $__env->make('admin.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="main-content">
<!-- Replace the existing bulk action section with this -->
<div class="action-buttons">
    <select id="bulkAction" class="action-btn" disabled>
        <option value="" disabled selected>Bulk action</option>
        <option value="export">Export</option>
        <option value="delete">Delete</option>
    </select>
    
    

  <!-- Modified import form - hide file input -->
    <form id="importForm" action="<?php echo e(route('customers.import')); ?>" method="POST" enctype="multipart/form-data" style="display: inline;">
        <?php echo csrf_field(); ?>
        <input type="file" name="file" id="fileInput" style="display: none;" required />
        <button type="button" class="action-btn" onclick="triggerFileInput()">
            Import contacts
            <i class="bi bi-box-arrow-in-down me-2"></i>
        </button>
    </form>

    
    <!-- Add Person Button -->
<button class="action-btn" data-bs-toggle="modal" data-bs-target="#addPersonModal">
    Add person
    <i class="bi bi-person-fill-add" ></i>
</button>

<!-- Modal Structure -->
<div class="modal fade" id="addPersonModal" tabindex="-1" aria-labelledby="addPersonModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title" id="addPersonModalLabel">Add Person</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addPersonForm">
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="name" class="form-label">Name</label>
                        <input type="text" class="form-control" id="name" name="name" required>
                    </div>
                    <div class="mb-3">
                        <label for="email" class="form-label">Email</label>
                        <input type="email" class="form-control" id="email" name="email" required>
                    </div>
                    <div class="mb-3">
                        <label for="phone" class="form-label">Phone</label>
                        <input type="text" class="form-control" id="phone" name="phone" required>
                    </div>
                    <div class="mb-3">
                        <label for="kra_pin" class="form-label">KRA PIN</label>
                        <input type="text" class="form-control" id="kra_pin" name="kra_pin">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Close</button>
                    <button type="submit" class="btn btn-primary" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Save Person</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Export Modal -->
<div class="modal fade" id="exportModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title">Export Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                Are you sure you want to export the selected contacts?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="confirmExport()" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Export</button>
            </div>
        </div>
    </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title">Delete Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                Are you sure you want to delete the selected contacts?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="confirmDelete()" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Delete</button>
            </div>
        </div>
    </div>
</div>

<!-- Import Modal -->
<div class="modal fade" id="importModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="background-color: #f1f1f1;">
            <div class="modal-header">
                <h5 class="modal-title">Import Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                Are you sure you want to import the file: <span id="selectedFileName"></span>?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="confirmImport()" style="background-color: #AB1F74; color: white;" onmouseover="this.style.backgroundColor='#ceb78d';" onmouseout="this.style.backgroundColor='#AB1F74';">Import</button>
            </div>
        </div>
    </div>
</div>


<!-- Include Bootstrap JS and CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>

<!-- JavaScript to Handle Form Submission -->
<script>
    document.getElementById('addPersonForm').addEventListener('submit', function(e) {
        e.preventDefault();

        const formData = {
            name: document.getElementById('name').value,
            email: document.getElementById('email').value,
            phone: document.getElementById('phone').value,
            kra_pin: document.getElementById('kra_pin').value,
        };

        // Send form data to your Laravel backend
        fetch('<?php echo e(route("addPerson")); ?>', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
            },
            body: JSON.stringify(formData),
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                alert('Person added successfully!');
                location.reload(); // Reload to see the new person
            } else {
                alert('Error: ' + data.message); // Show general error message
            }
        })
        .catch(() => {
            alert('An unexpected error occurred. Please try again later.');
        });
    });
</script>

 

</div>

        <table>
            <thead>
                <tr>
                    <th class="checkbox-column">
                        <input type="checkbox" class="checkbox" id="selectAll" />
                    </th>
                    <th style="text-align: center;">NAME</th>
                    <th style="text-align: center;">EMAIL</th>
                    <th style="text-align: center;">PHONE</th>
                    <th style="text-align: center;">ACCOUNT CREATED</th>
                    <th style="text-align: center;">KRA PIN</th>
                    <th style="text-align: center;">ACTION</th>
                </tr>
                <tr class="filter-row">
                    <td></td>
                    <td><input type="text" placeholder="Search name"></td>
                    <td><input type="text" placeholder="Search email"></td>
                    <td><input type="text" placeholder="Search phone"></td>
                    <td><input type="text" placeholder="Search date"></td>
                    <td><input type="text" placeholder="Search KRA PIN"></td>
                    <td></td>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        $colors = ['#eb8b81','#8195be', '#ae6cc2', '#b2df74', '#c37954'];
                        $colorIndex = $loop->index % count($colors);
                        $backgroundColor = $colors[$colorIndex];
                    ?>
                    <tr>
                        <td class="checkbox-column">
                        <input type="checkbox" class="checkbox row-checkbox" data-id="<?php echo e($user->id); ?>" />

                        </td>
                        <td>
                            <div class="name-details">
                                <span class="star">&#9734;</span>
                                <div class="initials" style="background-color: <?php echo e($backgroundColor); ?>;">
                                    <?php echo e(strtoupper(substr($user->first_name, 0, 1))); ?><?php echo e(strtoupper(substr($user->last_name, 0, 1))); ?>

                                </div>
                                <div class="name-container">
                                    <?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?>

                                    <small>
    <?php echo e($user->type); ?>


</small>
                                </div>
                            </div>
                        </td>
                        <td><?php echo e($user->email); ?></td>
                        <td><?php echo e($user->phone); ?></td>
                        <td><?php echo e($user->created_at->format('d F Y')); ?></td>
                        <td><?php echo e($userDetail->kra_pin ?? 'N/A'); ?></td>
                        <td>
                            <a href="<?php echo e(route('userview', ['user_id' => $user->id])); ?>">
                                <button class="action-button">view</button>
                            </a>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>

    <script>
    // Sorting functionality
    document.querySelectorAll('th:not(.checkbox-column)').forEach(th => {
        th.addEventListener('click', () => {
            const table = th.closest('table');
            const tbody = table.querySelector('tbody');
            const rows = Array.from(tbody.querySelectorAll('tr'));
            const index = Array.from(th.parentNode.children).indexOf(th);
            const direction = th.classList.contains('asc') ? -1 : 1;

            rows.sort((a, b) => {
                const aValue = a.children[index].textContent;
                const bValue = b.children[index].textContent;
                return aValue.localeCompare(bValue) * direction;
            });

            tbody.append(...rows);
            th.classList.toggle('asc');
        });
    });

    // Filtering functionality
    document.querySelectorAll('.filter-row input').forEach(input => {
        input.addEventListener('input', () => {
            const index = Array.from(input.parentNode.parentNode.children).indexOf(input.parentNode);
            const table = input.closest('table');
            const rows = table.querySelectorAll('tbody tr');

            rows.forEach(row => {
                const cell = row.children[index];
                const match = cell.textContent.toLowerCase().includes(input.value.toLowerCase());
                row.style.display = match ? '' : 'none';
            });
        });
    });

    // Select all checkbox functionality
    const selectAllCheckbox = document.getElementById('selectAll');
    const rowCheckboxes = document.querySelectorAll('.row-checkbox');

    // Update bulk action state function
    function updateBulkActionState() {
        const selectedCheckboxes = document.querySelectorAll('.row-checkbox:checked');
        const bulkActionSelect = document.getElementById('bulkAction');
        bulkActionSelect.disabled = selectedCheckboxes.length === 0;
        
        // Reset select value when disabled
        if (selectedCheckboxes.length === 0) {
            bulkActionSelect.value = '';
        }
    }

    // Select all functionality
    selectAllCheckbox.addEventListener('change', function() {
        rowCheckboxes.forEach(checkbox => {
            checkbox.checked = this.checked;
            const row = checkbox.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
        });
        updateBulkActionState();
    });

    // Individual checkbox functionality
    document.querySelectorAll('.row-checkbox').forEach((checkbox) => {
        checkbox.addEventListener('change', function() {
            const row = this.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
            
            // Update select all checkbox
            const allChecked = Array.from(rowCheckboxes).every(cb => cb.checked);
            selectAllCheckbox.checked = allChecked;
            
            // Update bulk action state
            updateBulkActionState();
        });
    });

    // Handle bulk action selection
    document.getElementById('bulkAction').addEventListener('change', function() {
        const action = this.value;
        const selectedCheckboxes = document.querySelectorAll('.row-checkbox:checked');
        
        if (selectedCheckboxes.length === 0) {
            alert('Please select at least one row.');
            this.value = '';
            return;
        }

        if (action === 'export') {
            new bootstrap.Modal(document.getElementById('exportModal')).show();
        } else if (action === 'delete') {
            new bootstrap.Modal(document.getElementById('deleteModal')).show();
        }
    });

    // File input handling
    function triggerFileInput() {
        document.getElementById('fileInput').click();
    }

    document.getElementById('fileInput').addEventListener('change', function() {
        if (this.files.length > 0) {
            document.getElementById('selectedFileName').textContent = this.files[0].name;
            new bootstrap.Modal(document.getElementById('importModal')).show();
        }
    });

    // Confirmation handlers
    function confirmExport() {
        const selectedCheckboxes = document.querySelectorAll('.row-checkbox:checked');
        const selectedIds = Array.from(selectedCheckboxes).map(checkbox => checkbox.dataset.id);
        
        fetch('<?php echo e(route("customers.export")); ?>', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            body: JSON.stringify({ ids: selectedIds })
        })
        .then(response => response.blob())
        .then(blob => {
            const url = window.URL.createObjectURL(blob);
            const a = document.createElement('a');
            a.href = url;
            a.download = 'customers.csv';
            a.click();
            bootstrap.Modal.getInstance(document.getElementById('exportModal')).hide();
            // Reset bulk action select
            document.getElementById('bulkAction').value = '';
        })
        .catch(error => {
            console.error('Export error:', error);
            alert('An error occurred during export. Please try again.');
        });
    }

    function confirmDelete() {
        const selectedCheckboxes = document.querySelectorAll('.row-checkbox:checked');
        const selectedIds = Array.from(selectedCheckboxes).map(checkbox => checkbox.dataset.id);
        
        fetch('<?php echo e(route("customers.delete")); ?>', {
            method: 'DELETE',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            body: JSON.stringify({ ids: selectedIds })
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                window.location.reload();
            } else {
                throw new Error(data.message || 'Delete operation failed');
            }
        })
        .catch(error => {
            console.error('Delete error:', error);
            alert('An error occurred during deletion. Please try again.');
        });
    }

    function confirmImport() {
        const form = document.getElementById('importForm');
        form.submit();
    }

    // Add Person Form Submission
    document.getElementById('addPersonForm').addEventListener('submit', function(e) {
        e.preventDefault();

        const formData = {
            name: document.getElementById('name').value,
            email: document.getElementById('email').value,
            phone: document.getElementById('phone').value,
            kra_pin: document.getElementById('kra_pin').value,
        };

        fetch('<?php echo e(route("addPerson")); ?>', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
            },
            body: JSON.stringify(formData),
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                alert('Person added successfully!');
                location.reload();
            } else {
                alert('Error: ' + data.message);
            }
        })
        .catch(() => {
            alert('An unexpected error occurred. Please try again later.');
        });
    });

    // Initialize bulk action state on page load
    document.addEventListener('DOMContentLoaded', function() {
        updateBulkActionState();
    });
</script>
</body>
</html><?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/admin/customers.blade.php ENDPATH**/ ?>