<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Claims Dashboard</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">
    <style>
        body {
            font-family: "Lato", sans-serif;
            margin: 0;
            padding: 0;
            background-color: #fff;
        }
        /* Action Buttons Styles */
        .action-buttons {
            display: flex;
            gap: 12px;
            margin-bottom: 20px;
            align-items: center;
        }

        .action-btn {
            display: flex;
            align-items: center;
            gap: 8px;
            padding: 8px 12px;
            background-color: #f2f2f2;
            border: 1px solid #e0e0e0;
            border-radius: 9px;
            cursor: pointer;
            font-family: inherit;
            font-size: 14px;
            color: #444;
            transition: background-color 0.2s;
        }

        .action-btn:hover {
            background-color: #f8f8f8;
        }

        .action-btn svg {
            width: 16px;
            height: 16px;
            fill: #666;
        }

        .dropdown-icon {
            margin-left: 4px;
        }
       
        .main-content {
            margin-top: -80px;
            padding: 20px;
        }
        /* Action Buttons Styles */
        .action-buttons {
            display: flex;
            gap: 12px;
            margin-bottom: 20px;
            align-items: center;
        }

        .action-btn {
            display: flex;
            align-items: center;
            gap: 8px;
            padding: 8px 12px;
            background-color: #f2f2f2;
            border: 1px solid #e0e0e0;
            border-radius: 9px;
            cursor: pointer;
            font-family: inherit;
            font-size: 14px;
            color: #444;
            transition: background-color 0.2s;
        }

        .action-btn:hover {
            background-color: #f8f8f8;
        }

        .action-btn svg {
            width: 16px;
            height: 16px;
            fill: #666;
        }

        .dropdown-icon {
            margin-left: 4px;
        }
        .search-container {
            display: flex;
            justify-content: flex-end;
            margin-bottom: 20px;
        }
        .search-bar {
            width: 300px;
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            background-color: white;
        }
        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #f1f1f1;
        }
        th {
            background-color: #f1f1f1;
            font-size:14px;
            font-weight: normal; /* Set font weight to normal */
            cursor: pointer;
        }
        th::after {
            content: " ▼";
            font-size: 12px;
            color: #999;
        }
        th:first-child::after,
        th:last-child::after {
            content: ""; /* Remove the arrow only for the first and last header */
        }

                .action-button {
            background-color: transparent; /* Transparent background */
            color: black; /* Black text color */
            border: none; /* Remove border */
            padding: 6px 12px; /* Adjust padding as necessary */
            cursor: pointer; /* Pointer on hover */
            border-radius: 4px; /* Optional: rounded corners */
            text-decoration: underline; /* Underline text */
            background: none; /* Ensures background is fully transparent */
        }
        
        .action-button:hover {
            color: #ab1f74; /* Change text color to pink on hover */
            text-decoration: underline; /* Keep the underline on hover */
        }
        .initials {
            width: 40px;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 20%;
            color: black;
            font-size: 14px;
            margin-right: 10px;
        }

        .selectable {
            display: flex;
            align-items: center;
            gap: 12px;
        }
        
        .checkbox {
            width: 12px;
            height: 12px;
            transform: scale(1.5);
            cursor: pointer;
        }

        .checkbox-column {
            width: 40px;
            text-align: center;
            padding-right: 0;
        }

        .star {
            cursor: pointer;
            font-size: 30px;
            color: #f1f1f1;
            margin-top: -5px;
            margin-left: -10px;
        }

        .star-filled {
            color: #ab1f74;
        }

        .name-container {
            display: flex;
            flex-direction: column;
        }

        .name-details {
            display: flex;
            align-items: center;
            gap: 12px;
            padding-left: 0;
        }
        @media (min-width: 1440px) {
            
            nav a {
            font-size: 28px;
            }
            .main-content {
            margin-top: -70px;
            
        }
        }

    </style>
</head>
<body>
<?php echo $__env->make('admin.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="main-content">
    <!-- New Action Buttons Section -->
    <div class="action-buttons">
    <!-- Bulk Action -->
    <select id="bulkAction" class="action-btn">
        <option value="" disabled selected>Bulk action</option>
        <option value="export">Export</option>
        <option value="delete">Delete</option>
    </select>
    <button class="action-btn" onclick="performBulkAction()">Apply</button>

    <!-- Import Data -->
    <form action="<?php echo e(route('data.import')); ?>" method="POST" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <input type="file" name="file" required />
        <button class="action-btn">
            Import data
            <i class="bi bi-box-arrow-in-down me-2" style="font-size: 1.5rem;"></i>
        </button>
    </form>

    <!-- Add Claim -->
    <button class="action-btn" data-bs-toggle="modal" data-bs-target="#addClaimModal">
        Add claim
        <i class="bi bi-folder-plus" style="font-size: 1.5rem;"></i>
    </button>

    <!-- Search Bar -->
    <input type="text" class="search-bar form-control" placeholder="Search...">
</div>

<!-- Add Claim Modal -->
<!-- Add Claim Modal -->
<div class="modal fade" id="addClaimModal" tabindex="-1" aria-labelledby="addClaimModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addClaimModalLabel">Add Claim</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addClaimForm">
                <div class="modal-body">
                    <div class="row g-2">
                        <div class="col-6">
                            <div class="mb-3">
                                <label for="policy" class="form-label small">Policy</label>
                                <input type="text" class="form-control form-control-sm" id="policy" name="policy" required>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="mb-2">
                                <label for="claimNumber" class="form-label small">Claim Number</label>
                                <input type="text" class="form-control form-control-sm" id="claimNumber" name="claimNumber" required>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="mb-2">
                                <label for="dateFiled" class="form-label small">Date Filed</label>
                                <input type="date" class="form-control form-control-sm" id="dateFiled" name="dateFiled" required>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="mb-2">
                                <label for="lastUpdated" class="form-label small">Last Updated</label>
                                <input type="date" class="form-control form-control-sm" id="lastUpdated" name="lastUpdated" required>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="mb-2">
                                <label for="status" class="form-label small">Status</label>
                                <select class="form-control form-control-sm" id="status" name="status" required>
                                    <option value="" disabled selected>Select Status</option>
                                    <option value="open">Open</option>
                                    <option value="closed">Closed</option>
                                    <option value="settled">Settled</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="mb-2">
                                <label for="userId" class="form-label small">User ID</label>
                                <input type="number" class="form-control form-control-sm" id="userId" name="userId" required>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="mb-2">
                                <label for="customer" class="form-label small">Customer</label>
                                <input type="text" class="form-control form-control-sm" id="customer" name="customer" required>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary btn-sm">Save Claim</button>
                </div>
            </form>
        </div>
    </div>
</div>


<!-- Include Bootstrap JS and CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>

<!-- Include Bootstrap JS and CSS -->

<!-- JavaScript for Actions -->
<script>
    // Handle Add Claim Form Submission
    document.getElementById('addClaimForm').addEventListener('submit', function(e) {
        e.preventDefault();

        const claimData = {
            policy: document.getElementById('policy').value,
            claimNumber: document.getElementById('claimNumber').value,
            dateFiled: document.getElementById('dateFiled').value,
            lastUpdated: document.getElementById('lastUpdated').value,
            status: document.getElementById('status').value,
            customer: document.getElementById('customer').value,
        };

        // Send form data to your Laravel backend
        fetch('<?php echo e(route("claims.add")); ?>', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
            },
            body: JSON.stringify(claimData),
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                alert('Claim added successfully!');
                location.reload(); // Reload to see the new claim
            } else {
                alert('Error: ' + data.message); // Show general error message
            }
        })
        .catch(() => {
            alert('An unexpected error occurred. Please try again later.');
        });
    });

    // Handle Bulk Actions (Export/Delete)
    function performBulkAction() {
        const action = document.getElementById('bulkAction').value;
        const selectedIds = Array.from(document.querySelectorAll('.row-checkbox:checked')).map(cb => cb.dataset.id);

        if (selectedIds.length === 0) {
            alert('Please select at least one claim.');
            return;
        }

        if (action === 'export') {
            fetch('<?php echo e(route("claims.export")); ?>', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                },
                body: JSON.stringify({ ids: selectedIds }),
            })
            .then(response => response.blob())
            .then(blob => {
                const url = window.URL.createObjectURL(blob);
                const a = document.createElement('a');
                a.href = url;
                a.download = 'claims.csv';
                a.click();
            })
            .catch(() => {
                alert('An error occurred while exporting claims.');
            });
        } else if (action === 'delete') {
            if (confirm('Are you sure you want to delete the selected claims?')) {
                fetch('<?php echo e(route("claims.delete")); ?>', {
                    method: 'DELETE',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                    },
                    body: JSON.stringify({ ids: selectedIds }),
                })
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        alert('Selected claims deleted successfully!');
                        location.reload();
                    } else {
                        alert('Error: ' + data.message);
                    }
                })
                .catch(() => {
                    alert('An error occurred while deleting claims.');
                });
            }
        } else {
            alert('Please select a valid bulk action.');
        }
    }






    document.getElementById('addClaimForm').addEventListener('submit', function(e) {
    e.preventDefault();

    const claimData = {
        policy: document.getElementById('policy').value,
        claimNumber: document.getElementById('claimNumber').value,
        dateFiled: document.getElementById('dateFiled').value,
        lastUpdated: document.getElementById('lastUpdated').value,
        status: document.getElementById('status').value,
        userId: document.getElementById('userId').value, // Include User ID
        customer: document.getElementById('customer').value, // Include customer field

    };
    //console.log('Claim Data:', claimData);

    // Send form data to your Laravel backend
    fetch('<?php echo e(route("claims.add")); ?>', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
        },
        body: JSON.stringify(claimData),
    })
    .then(response => response.json())
    .then(data => {
        if (data.success) {
            alert('Claim added successfully!');
            location.reload(); // Reload to see the new claim
        } else {
            alert('Error: ' + data.message); // Show general error message
        }
    })
    .catch(() => {
        alert('An unexpected error occurred. Please try again later.');
    });
});











</script>


    <!-- Table Section -->
    <table>
        <thead>
            <tr>
                <th class="checkbox-column">
                    <input type="checkbox" class="checkbox" id="selectAll" />
                </th>
                <th>POLICY</th>
                <th>CLAIM NUMBER</th>
                <th>DATE FILLED</th>
                <th>LAST UPDATED</th>
                <th>STATUS</th>
                <th>CUSTOMER</th>
                <th>ACTION</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $claims; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $claim): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $colors = ['#eb8b81', '#8195be', '#ae6cc2', '#b2df74', '#c37954'];
                $colorIndex = $loop->index % count($colors);
                $backgroundColor = $colors[$colorIndex];
                $initials = strtoupper(substr($claim->policy, 0, 1)) . strtoupper(substr(explode(' ', $claim->policy)[1] ?? '', 0, 1));
            ?>
            <tr>
                <td class="checkbox-column">
                <input type="checkbox" class="checkbox row-checkbox" data-id="<?php echo e($claim->id); ?>" />
                </td>
                <td>
                    <div class="name-details">
                        <span class="star">&#9734;</span>
                        <div class="initials" style="background-color: <?php echo e($backgroundColor); ?>;">
                            <?php echo e($initials); ?>

                        </div>
                        <div class="name-container">
                            <?php echo e($claim->policy); ?>

                        </div>
                    </div>
                </td>
                <td><?php echo e($claim->claim_number); ?></td>
                <td><?php echo e($claim->date_filed->format('d F Y')); ?></td>
                <td><?php echo e($claim->last_updated->format('d F Y')); ?></td>
                <td><?php echo e($claim->status); ?></td>
                <td><?php echo e($claim->customer); ?></td>
                <td><button class="action-button">view</button></td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>

<script>
    // Sorting functionality
    document.querySelectorAll('th').forEach(th => th.addEventListener('click', (() => {
        const table = th.closest('table');
        const tbody = table.querySelector('tbody');
        Array.from(tbody.querySelectorAll('tr'))
            .sort(comparer(Array.from(th.parentNode.children).indexOf(th), this.asc = !this.asc))
            .forEach(tr => tbody.appendChild(tr));
    })));

    const getCellValue = (tr, idx) => tr.children[idx].innerText || tr.children[idx].textContent;

    const comparer = (idx, asc) => (a, b) => ((v1, v2) => 
        v1 !== '' && v2 !== '' && !isNaN(v1) && !isNaN(v2) ? v1 - v2 : v1.toString().localeCompare(v2)
    )(getCellValue(asc ? a : b, idx), getCellValue(asc ? b : a, idx));

    // Search functionality
    const searchBar = document.querySelector('.search-bar');
    searchBar.addEventListener('input', function() {
        const searchTerm = this.value.toLowerCase();
        const rows = document.querySelectorAll('tbody tr');
        
        rows.forEach(row => {
            const text = row.textContent.toLowerCase();
            row.style.display = text.includes(searchTerm) ? '' : 'none';
        });
    });

    // Select All functionality
    const selectAllCheckbox = document.getElementById('selectAll');
    const rowCheckboxes = document.querySelectorAll('.row-checkbox');

    selectAllCheckbox.addEventListener('change', function() {
        rowCheckboxes.forEach(checkbox => {
            checkbox.checked = this.checked;
            const row = checkbox.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
        });
    });

    // Individual checkbox functionality
    document.querySelectorAll('.row-checkbox').forEach((checkbox) => {
        checkbox.addEventListener('change', function () {
            const row = this.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
            
            // Update select all checkbox
            const allChecked = Array.from(rowCheckboxes).every(cb => cb.checked);
            selectAllCheckbox.checked = allChecked;
        });
    });








    function performBulkAction() {
    const action = document.getElementById('bulkAction').value;
    const selectedCheckboxes = document.querySelectorAll('.row-checkbox:checked');
    
    if (selectedCheckboxes.length === 0) {
        alert('Please select at least one row.');
        return;
    }

    // Collect IDs from selected checkboxes
    const selectedIds = Array.from(document.querySelectorAll('.row-checkbox:checked')).map(checkbox => checkbox.getAttribute('data-id'));

    if (action === 'export') {
        // Send IDs to the export route
        fetch('<?php echo e(route("claims.export")); ?>', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            body: JSON.stringify({ ids: selectedIds })
        })
        .then(response => response.blob())
        .then(blob => {
            const url = window.URL.createObjectURL(blob);
            const a = document.createElement('a');
            a.href = url;
            a.download = 'claims.csv';
            a.click();
        });
    } else if (action === 'delete') {
        if (confirm('Are you sure you want to delete the selected items?')) {
        fetch('<?php echo e(route("claims.delete")); ?>', {
            method: 'DELETE',
            headers: {
                'Content-Type': 'application/json',
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            body: JSON.stringify({ ids: selectedIds })
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                alert('Selected items deleted successfully.');
                window.location.reload();
            } else {
                alert('Error: ' + data.message);
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('An error occurred while deleting the selected items.');
        });
        }
    }
}















</script>
</body>

</html><?php /**PATH C:\xampp\htdocs\dogotechupdate19\resources\views/admin/claims.blade.php ENDPATH**/ ?>