<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile Page</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.9.1/font/bootstrap-icons.min.css">
    <style>
        body, html {
            font-family: "Lato", sans-serif;
            margin: 0;
            padding: 0;
            background-color: #000000;
            color: white;
            height: 100%;
        }
        .container {
            max-width: 100%;
            width: 65%;
            margin: 0 auto;
            height: 100%;
            display: flex;
            flex-direction: column;
        }
        @media (max-width: 767px) {
            .container {
                max-width: 400px;
                width: 100%;
            }
        }
            .header {
        padding: 15px;
        display: flex;
        align-items: center;
        justify-content: center; /* Center contents horizontally */
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        position: relative; /* Maintain relative positioning for absolute elements */
    }
        .back-arrow {
            position: absolute;
            top: 20px;
            left: 20px; /* Change left to right */
            background-color: #AB1F74;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
            text-decoration: none; /* Remove underline */
            
        }
        .back-arrow i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-arrow:hover {
            background-color: #ceb78d;
        }
        .header h2 {
            margin: 0;
            font-size: 24px;
            color: white;
        }
        .content {
            padding: 20px;
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .profile-pic {
            width: 180px;
            height: 180px;
            border-radius: 50%;
            margin: 0 auto 10px;
            display: block;
            border: 2px solid #AB1F74;
        }
        .change-picture {
            text-align: center;
            color: #AB1F74;
            margin-bottom: 20px;
            cursor: pointer;
            font-size: 24px;
        }
        .info-item {
            width: 100%;
            background-color: #222222;
            padding: 15px;
            border-radius: 8px;
            margin-bottom: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
        }
        .info-item span {
            flex-grow: 1;
        }
        .info-item input {
            flex-grow: 1;
            background-color: #222222;
            border: none;
            color: white;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
        }
        .info-item .save-btn {
            display: none;
            margin-left: 10px;
        }
        .change-password {
            margin-top: 20px;
            width: 100%;
        }
        .change-password h3 {
            font-size: 18px;
            font-family: "Open Sans", sans-serif;
            line-height: 2.1em;
            font-weight: 500;
            margin-bottom: 10px;
        }
        .password-input {
            width: 100%;
            background-color: #222222;
            border: none;
            color: white;
            padding: 10px;
            margin-bottom: 10px;
            border-radius: 8px;
            font-family: "Lato", sans-serif;
            font-size: 15px;
            line-height: 2.1em;
            font-weight: 400;
        }
        .btn-primary {
            background-color: #AB1F74;
            font-family: "Lato", sans-serif;
            font-size: 18px;
            font-weight: 700;
            border: none;
            border-radius: 25px; /* Makes the button rounded */
            padding: 10px 20px; /* Adjust padding as needed */
            display: block;
            margin: 20px auto; /* Centers the button horizontally */
            text-align: center;
            width: fit-content;
        }

        .btn-primary:hover {
            background-color: #ceb78d;
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <a href="dashboard" class="back-arrow fas fa-arrow-left"></a>
            <h2>Account settings</h2>
        </div>
        <div class="content">
            <img id="profilePic" src="<?php echo e(asset($selfiePath && $selfieExists ? $selfiePath : 'images/Prince AI avatar.png')); ?>" alt="User Image" class="profile-pic" />
            <div class="change-picture">
                <input type="file" id="uploadProfilePic" style="display: none;" />
                <label for="uploadProfilePic" style="cursor: pointer;">Change picture</label>
                <button class="btn btn-primary save-profile-pic-btn" style="display: none;">Save</button>
            </div>
            <div class="info-item">
                <span><?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?></span>
                <input type="text" class="form-control" value="<?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?>" style="display:none;">
                <i class="bi bi-pencil-square edit-btn"></i>
                <button class="btn btn-primary save-btn">Save</button>
            </div>
            <div class="info-item">
                <span><?php echo e($user->email); ?></span>
                <input type="email" class="form-control" value="<?php echo e($user->email); ?>" style="display:none;">
                <i class="bi bi-pencil-square edit-btn"></i>
                <button class="btn btn-primary save-btn">Save</button>
            </div>
            <div class="info-item">
                <span><?php echo e($user->phone); ?></span>
                <input type="phone" class="form-control" value="<?php echo e($user->phone); ?>" style="display:none;">
                <i class="bi bi-pencil-square edit-btn"></i>
                <button class="btn btn-primary save-btn">Save</button>
            </div>
            <div class="change-password">
                <h3>Change password</h3>
                <input type="password" class="password-input old-password" placeholder="Old password">
                <input type="password" class="password-input new-password" placeholder="New password">
                <button class="btn btn-primary change-password-btn">Change password</button>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script>
        $(document).ready(function() {
            // Profile image change and save
            $('#uploadProfilePic').on('change', function() {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#profilePic').attr('src', e.target.result);
                    $('.save-profile-pic-btn').show();
                }
                reader.readAsDataURL(this.files[0]);
            });

            $('.save-profile-pic-btn').on('click', function() {
                var formData = new FormData();
                formData.append('selfie', $('#uploadProfilePic')[0].files[0]);
                formData.append('_token', '<?php echo e(csrf_token()); ?>');

                $.ajax({
                    url: '<?php echo e(route("profile.update.picture")); ?>',
                    method: 'POST',
                    data: formData,
                    processData: false,
                    contentType: false,
                    success: function(response) {
                        $('.save-profile-pic-btn').hide();
                    },
                    error: function(response) {
                        alert('An error occurred');
                    }
                });
            });

            // Text fields edit and save
            $('.edit-btn').on('click', function() {
                var $parent = $(this).closest('.info-item');
                $parent.find('span').hide();
                $parent.find('input').show().focus();
                $parent.find('.save-btn').show();
            });

            $('.save-btn').on('click', function() {
                var $parent = $(this).closest('.info-item');
                var newValue = $parent.find('input').val();
                var data = {
                    _token: '<?php echo e(csrf_token()); ?>'
                };

                if ($parent.find('input').attr('type') === 'text') {
                    var nameParts = newValue.split(' ');
                    data.first_name = nameParts[0] || '';
                    data.last_name = nameParts[1] || '';
                } else if ($parent.find('input').attr('type') === 'email') {
                    data.email = newValue;
                } else if ($parent.find('input').attr('type') === 'phone') {
                    data.phone = newValue;
                }

                $.ajax({
                    url: '<?php echo e(route("user.update")); ?>',
                    method: 'POST',
                    data: data,
                    success: function(response) {
                        $parent.find('span').text(newValue).show();
                        $parent.find('input').hide();
                        $parent.find('.save-btn').hide();
                    },
                    error: function(response) {
                        alert('An error occurred');
                    }
                });
            });

            // Change password
            $('.change-password-btn').on('click', function() {
                var oldPassword = $('.old-password').val();
                var newPassword = $('.new-password').val();

                if (newPassword.length < 6) {
                    alert('Password must be at least 6 characters long');
                    return;
                }

                $.ajax({
                    url: '<?php echo e(route("user.update.password")); ?>',
                    method: 'POST',
                    data: {
                        _token: '<?php echo e(csrf_token()); ?>',
                        old_password: oldPassword,
                        new_password: newPassword,
                        new_password_confirmation: newPassword
                    },
                    success: function(response) {
                        alert('Password updated successfully');
                        $('.old-password').val('');
                        $('.new-password').val('');
                    },
                    error: function(response) {
                        alert('An error occurred');
                    }
                });
            });
        });
    </script>
</body>
</html>
<?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/user/settings.blade.php ENDPATH**/ ?>