<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Billing dogotech</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLRMI4giDlOB0kfTkMnDPW7Cjc5aOGkXbPfBRsy1lkhkR1zxJ6dq53frpiP4JpHX" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://js.paystack.co/v1/inline.js"></script>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #000;
            color: #fff;
            margin: 0;
            padding: 20px;
            position: relative; /* Allow absolute positioning */
            box-sizing: border-box;
        }
        .container {
            max-width: 1200px;
            margin: 0 auto;
            position: relative; /* Position context for header */
            padding: 20px;
        }
        .header {
            display: flex;
            align-items: center;
            position: relative; /* Position context for the back button */
        }
        .header .back-button {
            position: absolute;
            left: 20px; /* Position to the left */
            top: 50%; /* Center vertically */
            transform: translateY(-50%); /* Correct vertical alignment */
            font-size: 24px;
            width: 40px;
            height: 40px;
            background-color: white;
            color: black;
            border: none;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            box-shadow: none;
            text-decoration: none; /* Remove underline */
        }
        .header .back-button:hover {
            background-color: #ceb78d;
        }
        .header .section-title {
            color: #AB1F74;
            font-size: 24px;
            margin: 0;
            text-align: center;
            flex-grow: 1; /* Allows title to grow and take available space */
        }
        .card-container {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 20px;
            margin-bottom: 30px;
        }
        .card {
            background-color: #1a1a1a;
            border: 1px solid #AB1F74;
            border-radius: 8px;
            padding: 20px;
            text-align: center;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            box-shadow: 0 4px 6px rgba(171, 31, 116, 0.1);
        }
        .card h2 {
            color: #AB1F74;
            font-size: 24px;
            margin-top: 0;
            margin-bottom: 10px;
        }
        .price {
            font-size: 36px;
            font-weight: bold;
            margin-bottom: 20px;
            color: #fff;
        }
        .features {
            list-style-type: none;
            padding: 0;
            margin-bottom: 20px;
            flex-grow: 1;
        }
        .features li {
            margin-bottom: 10px;
        }
        .btn {
            background-color: #AB1F74;
            color: #fff;
            border: none;
            padding: 10px 20px;
            border-radius: 5px;
            cursor: pointer;
            font-size: 16px;
            transition: background-color 0.3s;
        }
        .btn:hover {
            background-color: #900e30;
        }
        .payment-methods {
            margin-bottom: 20px;
            text-align: center;
        }
        .payment-methods label {
            display: inline-block;
            margin-right: 20px;
            color: #fff;
        }
        .section-title {
            color: #AB1F74;
            text-align: center;
            margin-top: 40px;
            margin-bottom: 20px;
        }
        .alert {
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <a href="/dashboard" class="back-button fas fa-arrow-left"></a>
            <h1 class="section-title">Billing</h1>
        </div>
        <?php if(session('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>

        <?php if(session('error')): ?>
            <div class="alert alert-danger">
                <?php echo e(session('error')); ?>

            </div>
        <?php endif; ?>
        <div class="payment-methods">
            <label>
                <input type="radio" name="payment-method" value="mpesa" checked>
                Mpesa
            </label>
            <label>
                <input type="radio" name="payment-method" value="paystack">
                Card
            </label>
        </div>


        
        <div class="card-container">
          
            <?php if($golfersDetails->isNotEmpty()): ?>
                <?php $__currentLoopData = $golfersDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="card">
                        <h2><?php echo e($detail->cover_type); ?> Cover</h2>
                        <div class="price">Ksh <?php echo e(number_format($detail->premium, 2)); ?>/year</div>
                        <ul class="features">
                            <li>Cover Type: <?php echo e($detail->cover_type); ?></li>
                            <li>Payment Status: <?php echo e(ucfirst($detail->payment)); ?></li>
                        </ul>
                        <button class="btn pay-btn" data-premium="<?php echo e($detail->premium); ?>" data-cover="<?php echo e($detail->cover_type); ?>">Pay with Mpesa</button>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>

            <?php if($domesticsDetails->isNotEmpty()): ?>
                <?php $__currentLoopData = $domesticsDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="card">
                        <h2>Domestic Property</h2>
                        <div class="price">Ksh <?php echo e(number_format($detail->premium, 2)); ?></div>
                        <ul class="features">
                            <li>Cover Type: <?php echo e($detail->cover_type); ?></li>
                            <li>Payment Status: <?php echo e(ucfirst($detail->payment)); ?></li>
                        </ul>
                        <button class="btn pay-btn" data-premium="<?php echo e($detail->premium); ?>" data-cover="Domestic Property">Pay with Mpesa</button>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>

            <?php if($medicalDetails->isNotEmpty()): ?>
                <?php $__currentLoopData = $medicalDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="card">
                        <h2>Medical Cover</h2>
                        <div class="price">Ksh <?php echo e(number_format($detail->premium, 2)); ?></div>
                        <ul class="features">
                            <li>Cover Type: <?php echo e($detail->cover_type); ?></li>
                            <li>Payment Status: <?php echo e(ucfirst($detail->payment)); ?></li>
                        </ul>
                        <button class="btn pay-btn" data-premium="<?php echo e($detail->premium); ?>" data-cover="Medical Cover">Pay with Mpesa</button>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>

            <?php if($rentersDetails->isNotEmpty()): ?>
                <?php $__currentLoopData = $rentersDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="card">
                        <h2>Renters Cover</h2>
                        <div class="price">Ksh <?php echo e(number_format($detail->premium, 2)); ?></div>
                        <ul class="features">
                            <li>Cover Type: <?php echo e($detail->cover_type); ?></li>
                            <li>Payment Status: <?php echo e(ucfirst($detail->payment)); ?></li>
                        </ul>
                        <button class="btn pay-btn" data-premium="<?php echo e($detail->premium); ?>" data-cover="<?php echo e($detail->cover_type); ?>">Pay Now</button>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>

            <?php if($travelDetails->isNotEmpty()): ?>
                <?php $__currentLoopData = $travelDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="card">
                        <h2>Travel Cover</h2>
                        <div class="price">Ksh <?php echo e(number_format($detail->premium, 2)); ?></div>
                        <ul class="features">
                            <li>Cover Type: <?php echo e($detail->cover_type); ?></li>
                            <li>Payment Status: <?php echo e(ucfirst($detail->payment)); ?></li>
                        </ul>
                        <button class="btn pay-btn" data-premium="<?php echo e($detail->premium); ?>" data-cover="Travel Cover">Pay with Mpesa</button>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            
            
            
            <?php if($accidentDetails->isNotEmpty()): ?>
    <?php $__currentLoopData = $accidentDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="card">
            <h2>Accident Cover</h2>
            <div class="price">Ksh <?php echo e(number_format($detail->premium, 2)); ?></div>
            <ul class="features">
                <li>Cover Type: <?php echo e($detail->cover_type); ?></li>
                <li>Payment Status: <?php echo e(ucfirst($detail->payment)); ?></li>
                <li>Package: <?php echo e($detail->package); ?></li>
                <li>Amount: Ksh <?php echo e(number_format($detail->amount, 2)); ?></li>
                <li>Status: <?php echo e(ucfirst($detail->status)); ?></li>
                <li>Expiry Date: <?php echo e(\Carbon\Carbon::parse($detail->expiry_date)->format('d M, Y')); ?></li>
                <?php if($detail->autorenew): ?>
                    <li>Auto Renew: Yes</li>
                <?php else: ?>
                    <li>Auto Renew: No</li>
                <?php endif; ?>
            </ul>
            <button class="btn pay-btn" data-premium="<?php echo e($detail->premium); ?>" data-cover="Accident Cover">Pay with Mpesa</button>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php endif; ?>

            
            
            
        </div>

        <?php if(Session::has('error')): ?>
            <div class="alert alert-danger">
                <?php echo e(Session::get('error')); ?>

            </div>
        <?php endif; ?>

        <?php if(Session::has('success')): ?>
            <div class="alert alert-success">
                <?php echo e(Session::get('success')); ?>

            </div>
        <?php endif; ?>
<?php if(session('success')): ?>
    <div class="alert alert-success">
        <?php echo e(session('success')); ?>

    </div>
<?php endif; ?>

<?php if(session('error')): ?>
    <div class="alert alert-danger">
        <?php echo e(session('error')); ?>

    </div>
<?php endif; ?>

       <!-- Hidden forms -->
<!-- Hidden forms -->
<form id="mpesa-form" action="/api/stkpush" method="POST" style="display: none;">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="amount" id="mpesa-premium" value="">
    <input type="hidden" name="phoneno" value="<?php echo e($formattedPhoneNumber); ?>">
</form>

<?php if(session('success')): ?>
    <div class="alert alert-success">
        <?php echo e(session('success')); ?>

    </div>
<?php endif; ?>

<?php if(session('error')): ?>
    <div class="alert alert-danger">
        <?php echo e(session('error')); ?>

    </div>
<?php endif; ?>


<?php if(session('error')): ?>
    <div class="alert alert-danger">
        <?php echo e(session('error')); ?>

    </div>
<?php endif; ?>


    <script>
       document.addEventListener('DOMContentLoaded', function () {
    const payButtons = document.querySelectorAll('.pay-btn');
    const paymentMethodRadios = document.querySelectorAll('input[name="payment-method"]');
    const mpesaForm = document.getElementById('mpesa-form');

    function updatePayButtonText() {
        const selectedMethod = document.querySelector('input[name="payment-method"]:checked').value;
        payButtons.forEach(button => {
            button.textContent = `Pay`;
        });
    }

    paymentMethodRadios.forEach(radio => {
        radio.addEventListener('change', updatePayButtonText);
    });

    updatePayButtonText();

    payButtons.forEach(button => {
    button.addEventListener('click', async function () {
        const premium = this.getAttribute('data-premium');
        const coverType = this.getAttribute('data-cover');
        const selectedMethod = document.querySelector('input[name="payment-method"]:checked').value;

        console.log(`Selected amount: ${premium} for ${coverType}`);

        if (selectedMethod === 'mpesa') {
            // Initiate M-Pesa payment
            try {
                const response = await fetch('/api/stkpush', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    body: JSON.stringify({
                        phoneno: document.querySelector('input[name="phoneno"]').value,
                        amount: premium,
                        selectedPackage: coverType
                    })
                });

                const data = await response.json();
                console.log('M-Pesa STK push response:', data);

                if (data.status === 'success') {
                    // Wait and trigger the next routes if successful
                    await delay(2000); // Wait for 4 seconds before triggering the next route

                    // Trigger the insurance purchase route
                    const insuranceResponse = await fetch('/insurance/purchase', {
                        method: 'GET',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });

                    if (!insuranceResponse.ok) {
                        throw new Error('Insurance purchase route failed');
                    }

                    console.log('Insurance purchase route triggered:', insuranceResponse);

                    await delay(2000); // Wait for another 4 seconds before triggering receipt fetch

                    // Fetch the receipt
                    const receiptResponse = await fetch('/receipt', {
                        method: 'GET',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });

                    if (!receiptResponse.ok) {
                        throw new Error('Receipt fetch route failed');
                    }

                    console.log('Receipt fetch route triggered:', receiptResponse);

                    await delay(2000); // Wait for another 4 seconds before triggering payment confirmation

                    // Trigger payment confirmation
                    const paymentConfirmationResponse = await fetch('/payment/confirmation', {
                        method: 'GET',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });

                    if (!paymentConfirmationResponse.ok) {
                        throw new Error('Payment confirmation route failed');
                    }

                    console.log('Payment confirmation route triggered:', paymentConfirmationResponse);

                    await delay(2000); // Wait for 5 seconds before redirecting to the dashboard

                    alert('Congratulations, you\'ve successfully taken out golfer\'s cover.');
                    await delay(1000);
                    alert('I\'ll now take you back to your dashboard, so you can manage your policy there, including reporting a claim - which I\'ll happily assist with when needed.');
                    await delay(2000);
                    alert('Thank you for choosing Dogo.');

                    window.location.href = '/dashboard'; // Redirect to the dashboard
                } else {
                    // Handle the error response from M-Pesa
                    alert(`Error: ${data.message}`);
                }
            } catch (error) {
                console.error('Error:', error);
                alert('Oops, there was an error processing your payment. Please try again later.');
            }
        } else if (selectedMethod === 'paystack') {
            console.log('Initiating Paystack payment with amount:', premium);
            payWithPaystack(premium, coverType);
        }
    });
});


function payWithPaystack(amount, coverType) {
    let handler = PaystackPop.setup({
        key: 'pk_test_e7b4d0ced062067cafd3a686534887167dbf9ac8', // Replace with your actual Paystack public key
        email: 'customer@email.com', // Replace with the customer's email
        amount: amount * 100, // Amount in kobo
        currency: 'KES',
        ref: '' + Math.floor((Math.random() * 1000000000) + 1), // Unique reference number
        metadata: {
            custom_fields: [
                {
                    display_name: "Cover Type",
                    variable_name: "cover_type",
                    value: coverType
                }
            ]
        },
        callback: function(response) {
            // Payment complete, send details to the server via AJAX
            $.ajax({
                url: "<?php echo e(route('paystack.payment.store')); ?>",
                type: 'POST',
                data: {
                    amount: amount,
                    cover_type: coverType,
                    reference: response.reference,
                    payment_method: 'paystack',
                    _token: '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {
                    if (response.success) {
                        alert('Payment recorded successfully!');

                        // Trigger additional routes if the payment is successful
                        fetch('/insurance/purchase', {
                            method: 'GET',
                            headers: {
                                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                            }
                        })
                        .then(response => {
                            if (!response.ok) throw new Error('Insurance purchase route failed');
                            return response.json();
                        })
                        .then(data => {
                            console.log('Insurance purchase route triggered:', data);

                            return fetch('/receipt', {
                                method: 'GET',
                                headers: {
                                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                                }
                            });
                        })
                        .then(response => {
                            if (!response.ok) throw new Error('Receipt fetch route failed');
                            return response.json();
                        })
                        .then(data => {
                            console.log('Receipt fetch route triggered:', data);

                            return fetch('/payment/confirmation', {
                                method: 'GET',
                                headers: {
                                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                                }
                            });
                        })
                        .then(response => {
                            if (!response.ok) throw new Error('Payment confirmation route failed');
                            return response.json();
                        })
                        .then(data => {
                            console.log('Payment confirmation route triggered:', data);

                            // Redirect to dashboard after a short delay
                            setTimeout(() => {
                                window.location.href = "<?php echo e(route('dashboard')); ?>"; // Adjust the route to your actual dashboard route
                            }, 2000); // 2000 milliseconds (2 seconds) delay before redirect
                        })
                        .catch(error => {
                            alert('An error occurred: ' + error.message);
                        });
                    } else {
                        alert('An error occurred while recording the payment.');
                    }
                },
                error: function(response) {
                    alert('An error occurred while saving the payment.');
                }
            });
        },
        onClose: function() {
            alert('Transaction was not completed, window closed.');
        }
    });

    handler.openIframe();
}
});

    </script>
</body>
</html><?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/user/billing.blade.php ENDPATH**/ ?>