<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <title>Insurance Claims</title>
    <style>
        body, html {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #000;
            color: #fff;
            height: 100%;
        }
        .container {
            display: flex;
            flex-direction: column;
            height: 100%;
            padding: 20px;
            box-sizing: border-box;
        }
        .header {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-bottom: 40px;
            position: relative;
        }
        .logo {
            height: 100px;
        }
        .back-button {
            position: absolute;
            top: 20px;
            right: 20px; /* Change left to right */
            background-color: white;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
        }

        .back-button i {
            margin: 0; /* Ensure the icon is centered properly */
        }

        .back-button:hover {
            background-color: #ceb78d;
        }
        .claim-info {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 10px;
            margin-bottom: 20px;
        }
        .claim-info div {
            text-align: center;
        }
        .claim-info .label {
            font-size: 14px;
            font-weight: bold;
        }
        .claim-info .value {
            font-size: 12px;
            opacity: 0.7;
            margin-bottom: 5px;
        }
        .footer {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-top: auto;
        }
        .report-button {
            background-color: #ff1493;
            color: #fff;
            border: none;
            padding: 12px 20px;
            border-radius: 25px;
            font-size: 16px;
            font-weight: bold;
            cursor: pointer;
        }
        .avatar {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            background-color: #ccc;
            overflow: hidden;
        }
        .avatar img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
        <button class="back-button" onclick="window.location.href='<?php echo e(url('dashboard')); ?>'">
        <i class="fas fa-arrow-left"></i> </button>
            <img src="<?php echo e(asset('images/Dogo Final logo.png')); ?>" alt="Crownscope Logo" class="logo">
        </div>
        <?php $__currentLoopData = $claims; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $claim): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <div class="claim-info">
        <div>
            <div class="label">Claim</div>
            <div class="value"><?php echo e($claim->claim_number); ?></div>
        </div>
        <div>
            <div class="label">Policy</div>
            <div class="value"><?php echo e($claim->policy); ?></div>
        </div>
        <div>
            <div class="label">Date</div>
            <div class="value"><?php echo e($claim->date_filed->format('d/m/Y')); ?></div>
        </div>
        <div>
            <div class="label">Status</div>
            <div class="value"><?php echo e($claim->status); ?></div>
        </div>
    </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <div class="footer">
            <button class="report-button">Report claim</button>
            <div class="avatar">
                <img src="<?php echo e(asset('images/Prince AI avatar.png')); ?>" alt="User Avatar">
            </div>
        </div>
    </div>
</body>
</html>
<?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/user/claims.blade.php ENDPATH**/ ?>