<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <title>Notifications Settings</title>
    <style>
        body, html {
            font-family: Arial, sans-serif;
            background-color: black;
            color: white;
            margin: 0;
            padding: 0;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center; /* Center vertically */
        }
        .container {
            display: flex;
            flex-direction: column;
            width: 100%; /* Adjusted to maintain consistent width */
            max-width: 800px; /* Limit the maximum width */
            min-height: 100%;
            padding: 20px;
            box-sizing: border-box;
            position: relative; /* For positioning the back arrow */
        }
        h2 {
            margin: 0;
            font-size: 28px;
            display: flex;
            align-items: center;
            justify-content: center; /* Center horizontally */
            position: relative; /* Relative to contain absolute elements */
        }
        .back-arrow {
            position: absolute;
            top: 20px;
            left: 20px; /* Adjust if needed */
            background-color: #AB1F74;
            color: black;
            border: none;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-align: center;
            font-size: 40px;
            box-shadow: none;
            text-decoration: none; /* Remove underline */
        }
        .back-arrow i {
            margin: 0; /* Ensure the icon is centered properly */
        }
        .back-arrow:hover {
            background-color: #ceb78d;
        }
        p {
            font-size: 29px;
            margin-bottom: 15px;
            text-align: center; /* Center text */
        }
        .settings-group {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            
        }
        .setting {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px 0;
        }
        .switch {
            position: relative;
            display: inline-block;
            width: 40px;
            height: 20px;
        }
        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }
        .slider {
            position: absolute;
            cursor: pointer;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            transition: .4s;
            border-radius: 20px;
        }
        .slider:before {
            position: absolute;
            content: "";
            height: 16px;
            width: 16px;
            left: 2px;
            bottom: 2px;
            background-color: white;
            transition: .4s;
            border-radius: 50%;
        }
        input:checked + .slider {
            background-color: #c635c0;
        }
        input:checked + .slider:before {
            transform: translateX(20px);
        }
        .button-container {
            display: flex;
            justify-content: center;
        }
        button {
            background-color: #AB1F74;
            color: white;
            border: none;
            padding: 15px 20px;
            border-radius: 20px;
            cursor: pointer;
            width: 50%;
            font-size: 16px;
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <a href="<?php echo e(url('dashboard')); ?>" class="back-arrow-link">
            <span class="back-arrow fas fa-arrow-left"></span>
        </a>
        <h2>Notifications</h2>
        <p>When would you like to receive notifications?</p>
        <div class="settings-group">
            <div class="setting">
                <span>Claims update</span>
                <label class="switch">
                    <input type="checkbox">
                    <span class="slider"></span>
                </label>
            </div>
            <div class="setting">
                <span>Auto-renew</span>
                <label class="switch">
                    <input type="checkbox">
                    <span class="slider"></span>
                </label>
            </div>
            <div class="setting">
                <span>New cover</span>
                <label class="switch">
                    <input type="checkbox">
                    <span class="slider"></span>
                </label>
            </div>
            <div class="setting">
                <span>Change in policy</span>
                <label class="switch">
                    <input type="checkbox">
                    <span class="slider"></span>
                </label>
            </div>
        </div>
        <div class="button-container">
            <button>Save</button>
        </div>
    </div>
</body>
</html>
<?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/user/managenotifications.blade.php ENDPATH**/ ?>