<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Chat Interface</title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.css" />
    <script src="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.js"></script>
    <style>
        body {
            font-family: 'Open Sans', sans-serif;
            background-color: #ffffff;
            display: flex;
            flex-direction: column;
            height: 100vh;
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            align-items: center;
            justify-content: center;
        }

        .header {
            height: 101px;
            background-color: white;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 0 20px;
            box-sizing: border-box;
            position: sticky;
            top: 0;
            z-index: 2;
        }

        .header .logo {
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: white;
        }

        .header .logo img {
            width: 150px;
            
            margin-right: 5px;
        }

        .chat-content {
            flex-grow: 1;
            overflow-y: auto;
            padding: 20px;
            box-sizing: border-box;
            padding-bottom: 80px;
        }

        .profile {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-top: 20px;
            box-sizing: border-box;
        }

        .profile img {
            width: 100px;
            height: 100px;
            border-radius: 50%;
        }

        .profile-name {
            font-weight: bold;
            margin-top: 10px;
        }

        .profile-title {
            color: #888;
            font-size: 14px;
        }

        .chat-messages {
            margin-top: 20px;
        }

        .message {
            display: flex;
            margin-bottom: 20px;
        }

        .message img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            margin-right: 10px;
        }

.message-content {
    background-color: #f0f0f0;
    border-radius: 18px;
    padding: 10px 15px;
    max-width: 70%;
    font-size: 14px;
    font-family: 'Lato', sans-serif; /* Changed from Open Sans to Lato */
    display: flex;
    align-items: center; /* Vertically centers the content */
    justify-content: center; /* Horizontally centers the content */
    line-height: 1.7; /* Added line spacing */
    
}

.message.bot-message {
    justify-content: flex-start;
}

.message.bot-message .message-content {
    background-color: #e4e2dd;
}

.message.user-message {
    justify-content: flex-end;
}

.message.user-message .message-content {
    background-color: #e6d0de;
}

.chat-input {
    position: fixed; /* Fixed positioning */
    bottom: 0; /* Align to the bottom of the viewport */
    left: 0; /* Align to the left edge */
    width: 100%; /* Full width */
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
    background-color: #545454;
    box-sizing: border-box;
    z-index: 1000; /* Ensure it is above other content */
    border-radius: 20px; /* Adjust this value to control the roundness */
}

.chat-input button {
    background: none;
    border: none;
    font-size: 24px;
    color: #FF69B4;
    cursor: pointer;
    padding: 0;
    margin: 0 5px;
}

.chat-input .bi-plus {
    color: #E4E2DD;
}

.chat-input .bi-camera {
    color: #E4E2DD;
}

.chat-input .bi-mic {
    color: #E4E2DD;
}

.chat-input .bi-send {
            color: #E4E2DD;
            opacity: 0; /* Hide by default */
            transition: opacity 0.3s ease; /* Smooth transition */
        }

        /* New class for visible send button */
        .chat-input .bi-send.visible {
            opacity: 1;
        }

.chat-input input {
    flex-grow: 1;
    border: none;
    padding: 0 10px;
    height: 30px;
    background-color: #E4E2DD;
    border-radius: 15px;
    margin: 0 5px;
}

.checkbox-wrapper {
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px; /* Adds spacing between messages */
}

.prince-image {
    width: 50px; /* Adjust size to match other uses */
    height: 50px;
    border-radius: 50%;
    margin-right: 10px; /* Space between image and checkboxes */
}

.checkbox-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.checkbox-label {
    margin-bottom: 10px;
}

.chat-checkbox {
    margin-right: 10px; /* Adds space between checkbox and label */
}

        .chat-input input:focus {
            outline: none;
        }

        .continue-cancel-buttons,
        .yes-no-buttons,
        .response-buttons,
        .restart-button {
            display: flex;
            justify-content: center;
            margin-left: 10px;
            margin-top: 10px;
        }

        .continue-cancel-buttons button,
        .yes-no-buttons button,
        .response-buttons button,
        .restart-button button {
            background-color: rgba(171, 31, 116, 0.3);
            color: #202124;
            border: none;
            padding: 8px 16px;
            border-radius: 10px;
            cursor: pointer;
            font-family: Arial, sans-serif;
            font-size: 12px;
            transition: background-color 0.3s;
        }

        .date-picker {
            display: flex;
            justify-content: center;
            margin-top: 10px;
        }

        .date-picker input[type="date"] {
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #ccc;
        }

        @media (max-width: 768px) {
            .phone-frame {
                width: calc(100% - 20px);
                height: calc(100% - 20px);
                border-radius: 20px;
            }
            .chat-input {
                padding: 0 5px;
            }
            .chat-input button {
                font-size: 20px;
            }
            .chat-input input {
                height: 25px;
                font-size: 14px;
            }
        }

        @media (min-width: 1024px) {
            .phone-frame {
                width: 60%;
                margin: 0 auto;
            }
            .chat-input {
                width: 60%;
                left: 20%;
            }

            .chat-content {
                padding-bottom: 70px;
            }
        }
        .typing-indicator {
                display: flex;
                align-items: center;
            }

            .typing-image {
                width: 50px; /* Match the width of other profile images */
                height: 50px; /* Match the height of other profile images */
                border-radius: 50%; /* Ensure it's circular like other profile images */
                margin-right: 10px; /* Spacing between image and dots */
            }

        .loading {
            display: flex;
            align-items: center;
            margin-bottom: 20px;
        }

        .loading img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            margin-right: 10px;
        }

        .loading-dots {
            display: flex;
        }

        .loading-dot {
            width: 25px;
            height: 25px;
            border-radius: 50%;
            background-color: #000;
            margin-right: 4px;
            animation: pulse 1.5s infinite;
        }

        .loading-dot:nth-child(2) {
            animation-delay: 0.5s;
        }

        .loading-dot:nth-child(3) {
            animation-delay: 1s;
        }

        @keyframes pulse {
            0% { opacity: 0.3; }
            50% { opacity: 1; }
            100% { opacity: 0.3; }
        }

        #map-container {
            width: 100%;
            height: 250px;
            max-width: 350px;
            margin: 10px auto;
            display: none;
        }

        #map {
            width: 100%;
            height: 100%;
            border-radius: 10px;
            border: 2px solid #ccc;
        }

        .confirm-button {
            margin-top: 10px;
            text-align: center;
        }

        .confirm-button button {
            background-color: rgba(255, 105, 180, 0.3);
            color: #202124;
            border: none;
            padding: 8px 16px;
            border-radius: 10px;
            cursor: pointer;
            font-family: Arial, sans-serif;
            font-size: 12px;
            transition: background-color 0.3s;
        }

        .confirm-button button:hover {
            background-color: rgba(255, 105, 180, 0.5);
        }

        #fileInput {
            display: none;
        }
        .close-icon {
            position: absolute;
            top: 0px; /* Adjust as needed */
            right: -15px; /* Adjust as needed */
            font-size: 37px;
            color: #AB1F74; /* Adjust color as needed */
            text-decoration: none;
            cursor: pointer;
        }

        .close-icon:hover {
            color: #AB1F74; /* Adjust hover color as needed */
        }
        .continue-cancel-buttons,
        .yes-no-buttons,
        .response-buttons,
        .restart-button,
        .checkbox-btns-container {
            display: flex;
            justify-content: center;
            margin-left: 10px;
            margin-top: 10px;
        }

        .continue-cancel-buttons button,
        .yes-no-buttons button,
        .response-buttons button,
        .restart-button button,
        .checkbox-btns-container button {
            background-color: rgba(171, 31, 116, 0.3);
            color: #202124;
            border: none;
            padding: 8px 16px;
            border-radius: 10px;
            cursor: pointer;
            font-family: Lato, sans-serif;
            font-size: 12px;
            transition: background-color 0.3s;
        }

        .checkboxes-container {
            margin-bottom: 10px;
            
        }

        .checkbox-label {
            display: block;
            margin: 5px 0;
        }

        .chat-checkbox {
            margin-right: 10px;
        }

       
        .done-button-container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 20px;
    display: none; /* Initially hide the Done button container */
}

.done-button {
    background-color: rgba(171, 31, 116, 0.3);
    border: none;
    color: black;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 12px;
}
    </style>
</head>
<body>
<div class="phone-frame">
    <div class="header">
        <div class="status-bar">
            <!-- Status bar content -->
        </div>
        <div class="logo">
            <img src="<?php echo e(asset('landing/Dogo_logo_white.png')); ?>" alt="Logo">
        </div>
        <a href="/dashboard" class="close-icon">
        <i class="bi bi-x"></i>
    </a>
    </div>
    <div class="chat-content">
        <div class="profile">
            <img src="<?php echo e(asset('landing/Prince_avatar.png')); ?>" alt="Prince">
            <div class="profile-name">Prince</div>
            <div class="profile-title">Personal insurance assistant</div>
        </div>
        <div class="chat-messages" id="chat-messages">
            <div class="message bot-message">
                <img src="<?php echo e(asset('landing/Prince_avatar.png')); ?>" alt="Prince">
                <div class="message-content">
                    Hi <?php echo e($firstName); ?>. I understand you’d like to report a claim. I’ll be happy to help with that.!
                </div>
            </div>
            <div class="message bot-message">
                <img src="<?php echo e(asset('landing/Prince_avatar.png')); ?>" alt="Prince">
                <div class="message-content">
                    Make sure to finish your conversation before clicking 'Done.' Clicking 'Done' will finalize and submit your claim.
                </div>
            </div>
            <div class="message bot-message">
                <img src="<?php echo e(asset('landing/Prince_avatar.png')); ?>" alt="Prince">
                <div class="message-content">
                First, can you confirm which policy you’re claiming under?                </div>
            </div>
            
        </div>
        <div class="done-button-container">
    <button id="doneButton" class="done-button">Done</button>
</div>
    </div>

    


    <div class="chat-input">
        <input type="file" id="fileInput" accept="image/*">
        <button id="uploadButton"><i class="bi bi-plus"></i></button>
        <input type="text" id="userMessage" placeholder="type something" style="height: 40px;">
        <button id="cameraButton"><i class="bi bi-camera"></i></button>
        <button id="micButton"><i class="bi bi-mic"></i></button>
        <button id="sendButton"><i class="bi bi-send"></i></button>
    </div>
</div>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
$(document).ready(function() {
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    let recordedText = '';
    let currentInsuranceType = '';
    let isTyping = false;
    let hideButtonTimeout;
    let isFirstMessage = true;

    function sendMessage() {
        var message = $('#userMessage').val().trim();
        var file = $('#fileInput')[0].files[0];
        var finalMessage = recordedText || message;

        if (!finalMessage && !file) return;

        if (file) {
            uploadFile(file, finalMessage);
        } else {
            sendTextMessage(finalMessage);
        }

        $('#userMessage').val('');
        $('#fileInput').val('');
        recordedText = '';
        isTyping = false;
        updateHideButtonVisibility();
    }

    function sendTextMessage(message) {
        appendUserMessage(message);
        showTypingIndicator();

        $.ajax({
            url: '<?php echo e(route("chatbot.send")); ?>',
            method: 'POST',
            data: { 
                message: message,
                insuranceType: currentInsuranceType
            },
            success: function(response) {
                hideTypingIndicator();
                appendBotMessage(response.message);
            },
            error: function() {
                hideTypingIndicator();
                appendBotMessage('Sorry, there was an error processing your request.');
            }
        });
    }

    function saveConversation() {
        let conversation = [];
        $('.message').each(function(index) {
            let sender = $(this).hasClass('user-message') ? 'user' : 'bot';
            let message = $(this).find('.message-content').text();
            let messageIndex = sender === 'bot' ? Math.floor(index / 2) : Math.floor((index + 1) / 2);
            
            conversation.push({
                index: messageIndex + (sender === 'bot' ? 0 : 0.5),
                sender: sender,
                message: message,
                timestamp: new Date().toISOString()
            });
        });

        console.log('Conversation:', conversation);

        $.ajax({
            url: '<?php echo e(route("chatbot.save")); ?>',
            method: 'POST',
            data: {
                claim_type: currentInsuranceType,
                conversation: JSON.stringify(conversation)
            },
            success: function(response) {
                console.log('Conversation saved successfully');
                alert('Your claim has been submitted successfully! Claim number: ' + response.claim_number);
                window.location.href = '<?php echo e(route("dashboard")); ?>';
            },
            error: function(xhr, status, error) {
                console.error('Error saving conversation:', error);
                if (xhr.status === 400) {
                    alert(xhr.responseJSON.message);
                } else {
                    alert('There was an error submitting your claim. Please try again.');
                }
            }
        });
    }

    function uploadFile(file, message) {
        var formData = new FormData();
        formData.append('file', file);
        if (message) formData.append('message', message);
        formData.append('insuranceType', currentInsuranceType);

        appendUserMessage('Uploading file: ' + file.name);
        showTypingIndicator();

        $.ajax({
            url: '<?php echo e(route("chatbot.upload")); ?>',
            method: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                hideTypingIndicator();
                $('#chat-messages').append('<img src="' + response.uploaded_image_url + '" class="max-w-full h-auto rounded-lg shadow-md mb-2" alt="Uploaded Image">');
                appendBotMessage(response.message);
            },
            error: function(xhr, status, error) {
                hideTypingIndicator();
                let errorMessage = xhr.responseJSON?.error || 'Sorry, there was an error uploading your file.';
                appendBotMessage(errorMessage);
            }
        });
    }

    function appendUserMessage(message) {
        let userImagePath = `<?php echo e($selfieExists ? asset($selfiePath) : asset('user-profile.png')); ?>`;
        $('#chat-messages').append(`
            <div class="message user-message">
                <div class="message-content">${message}</div>
                <img src="${userImagePath}" alt="User">
            </div>
        `);
        updateHideButtonVisibility();
        scrollChatToBottom();
    }

    function appendBotMessage(message) {
        $('#chat-messages').append(`
            <div class="message bot-message">
                <img src="landing/Prince_avatar.png" alt="Prince">
                <div class="message-content">${message}</div>
            </div>
        `);
        updateHideButtonVisibility();
        scrollChatToBottom();
    }

    function updateHideButtonVisibility() {
        const $hideButton = $('.done-button-container');
        const $chatMessages = $('#chat-messages');
        
        if (isTyping || $chatMessages.children().length === 0) {
            $hideButton.hide();
        } else {
            clearTimeout(hideButtonTimeout);
            hideButtonTimeout = setTimeout(() => {
                if (isFirstMessage) {
                    isFirstMessage = false;
                    return;
                }
                const $lastMessage = $chatMessages.children().last();
                if (!$lastMessage.hasClass('done-button-container')) {
                    $chatMessages.append($hideButton);
                }
                $hideButton.show();
            }, 5000); // 5-second delay
        }
    }

    function scrollChatToBottom() {
        $('#chat-messages').animate({ scrollTop: $('#chat-messages').prop("scrollHeight") }, 300);
    }

    function showTypingIndicator() {
        scrollChatToBottom();
        const imageUrl = "<?php echo e(asset('landing/Prince_avatar.png')); ?>";

        $('#chat-messages').append(`
            <div class="typing-indicator">
                <img src="${imageUrl}" alt="Typing" class="typing-image">
                <div class="loading-dots">
                    <div class="loading-dot"></div>
                    <div class="loading-dot"></div>
                    <div class="loading-dot"></div>
                </div>
            </div>
        `);
        scrollChatToBottom();
    }

    function hideTypingIndicator() {
        $('.typing-indicator').remove();
    }

    function createCheckboxes(options, callback) {
    // Create the container for checkboxes and image
    const checkboxesContainer = document.createElement('div');
    checkboxesContainer.className = 'checkboxes-container';

    // Create a wrapper to hold the image and checkboxes side by side
    const wrapper = document.createElement('div');
    wrapper.className = 'checkbox-wrapper';

    // Create the Prince profile image element
    const princeImage = document.createElement('img');
    princeImage.src = '<?php echo e(asset("landing/Prince_avatar.png")); ?>';
    princeImage.alt = 'Prince';
    princeImage.className = 'prince-image';

    // Create a container for the checkboxes
    const checkboxesContent = document.createElement('div');
    checkboxesContent.className = 'checkbox-content';

    options.forEach(option => {
        const label = document.createElement('label');
        label.className = 'checkbox-label';

        const checkbox = document.createElement('input');
        checkbox.type = 'checkbox';
        checkbox.value = option;
        checkbox.className = 'chat-checkbox';
        
        checkbox.addEventListener('change', () => {
            if (checkbox.checked) {
                checkboxesContainer.querySelectorAll('input[type="checkbox"]').forEach(cb => {
                    if (cb !== checkbox) cb.checked = false;
                });
                confirmButton.disabled = false;
                currentInsuranceType = option;
            } else {
                confirmButton.disabled = true;
                currentInsuranceType = '';
            }
        });

        label.appendChild(checkbox);
        label.appendChild(document.createTextNode(option));
        checkboxesContent.appendChild(label);
    });

    const confirmButtonContainer = document.createElement('div');
    confirmButtonContainer.className = 'checkbox-btns-container';

    const confirmButton = document.createElement('button');
    confirmButton.textContent = 'Confirm';
    confirmButton.className = 'checkbox-btns';
    confirmButton.disabled = true;

    confirmButton.onclick = () => {
        const selectedOptions = Array.from(checkboxesContainer.querySelectorAll('input:checked')).map(cb => cb.value);
        if (selectedOptions.length > 0) {
            checkboxesContainer.remove();
            callback(selectedOptions);
        }
    };

    confirmButtonContainer.appendChild(confirmButton);
    checkboxesContent.appendChild(confirmButtonContainer);

    // Add the image and checkboxes to the wrapper
    wrapper.appendChild(princeImage);
    wrapper.appendChild(checkboxesContent);

    // Add the wrapper to the container
    checkboxesContainer.appendChild(wrapper);

    return checkboxesContainer;
}


    // Event listeners
    $('#userMessage').on('keypress', function(e) {
        if (e.which == 13 && $(this).val().trim() !== '') {
            e.preventDefault();
            sendMessage();
        }
    });

    $('#userMessage').on('input', function() {
        isTyping = $(this).val().trim() !== '';
        updateHideButtonVisibility();
    });
    // Add this new event listener for input changes
            $('#userMessage').on('input', function() {
                const hasText = $(this).val().trim() !== '';
                $('#sendButton').find('.bi-send').toggleClass('visible', hasText);
                isTyping = hasText;
                updateHideButtonVisibility();
            });

    $('#sendButton').click(function() {
        sendMessage();
    });

    $('#uploadButton').click(function() {
        $('#fileInput').click();
    });

    $('#fileInput').change(function() {
        var fileName = $(this).val().split('\\').pop();
        if (fileName) {
            appendUserMessage("Uploaded file: " + fileName);
        }
    });

    $('#cameraButton').click(function() {
        appendUserMessage("Camera button clicked");
    });

    $('#doneButton').click(function() {
        saveConversation();
    });

    // Handle microphone button
    const SpeechRecognition = window.SpeechRecognition || window.webkitSpeechRecognition;
    const recognition = new SpeechRecognition();
    recognition.lang = 'en-US';
    recognition.interimResults = false;

    let isRecording = false;
    let recordingTimeout;

    $('#micButton').on('mousedown touchstart', function(e) {
        e.preventDefault();
        isRecording = true;
        $(this).addClass('recording');
        recognition.start();
    });

    $('#micButton').on('mouseup mouseleave touchend', function() {
        if (isRecording) {
            isRecording = false;
            $(this).removeClass('recording');
            
            clearTimeout(recordingTimeout);
            recordingTimeout = setTimeout(() => {
                recognition.stop();
            }, 2000);
        }
    });

    recognition.onresult = function(event) {
        clearTimeout(recordingTimeout); 
        recordedText = event.results[0][0].transcript;
        sendMessage();
    };

    recognition.onerror = function(event) {
        console.error('Speech recognition error:', event.error);
        $('#chat-messages').append('<div class="bot-message">Error in speech recognition. Please try again.</div>');
        scrollChatToBottom();
    };

    // Adding checkboxes for insurance options
    const insuranceOptions = ["Golfers", "Medical", "Travel", "Personal Accident", "Domestic Package"];
    const checkboxesElement = createCheckboxes(insuranceOptions, function(selectedOptions) {
        sendTextMessage('I want to claim ' + selectedOptions);
    });
    $('#chat-messages').append(checkboxesElement);

    // Initialize hide button visibility
    updateHideButtonVisibility();
});
</script>

</body>

</html>













<?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/user/princeclaim.blade.php ENDPATH**/ ?>