<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Renewals Dashboard</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">
    <style>
        body {
            font-family: "Lato", sans-serif;
            margin: 0;
            padding: 0;
            background-color: #fff;
        }
      
        .main-content {
            margin-top: -80px;
            padding: 20px;
        }
        /* Action Buttons Styles */
        .action-buttons {
            display: flex;
            gap: 12px;
            margin-bottom: 20px;
            align-items: center;
        }

        .action-btn {
            display: flex;
            align-items: center;
            gap: 8px;
            padding: 8px 12px;
            background-color: #f2f2f2;
            border: 1px solid #e0e0e0;
            border-radius: 9px;
            cursor: pointer;
            font-family: inherit;
            font-size: 14px;
            color: #444;
            transition: background-color 0.2s;
        }

        .action-btn:hover {
            background-color: #f8f8f8;
        }

        .action-btn svg {
            width: 16px;
            height: 16px;
            fill: #666;
        }

        .dropdown-icon {
            margin-left: 4px;
        }
        .search-container {
            display: flex;
            justify-content: flex-end;
            margin-bottom: 20px;
        }
        .search-bar {
            width: 300px;
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            background-color: white;
        }
        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #f1f1f1;
        }
        th {
            background-color: #f1f1f1;
            font-size:14px;
            font-weight: normal; /* Set font weight to normal */
            cursor: pointer;
        }
        th::after {
            content: " ▼";
            font-size: 12px;
            color: #999;
        }
        th:first-child::after,
        th:last-child::after {
            content: ""; /* Remove the arrow only for the first and last header */
        }
        .action-button {
            background-color: transparent; /* Transparent background */
            color: black; /* Black text color */
            border: none; /* Remove border */
            padding: 6px 12px; /* Adjust padding as necessary */
            cursor: pointer; /* Pointer on hover */
            border-radius: 4px; /* Optional: rounded corners */
            text-decoration: underline; /* Underline text */
            background: none; /* Ensures background is fully transparent */
        }
        
        .action-button:hover {
            color: #ab1f74; /* Change text color to pink on hover */
            text-decoration: underline; /* Keep the underline on hover */
        }
        .initials {
            width: 40px;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 20%;
            color: black;
            font-size: 14px;
            margin-right: 10px;
        }

        .selectable {
            display: flex;
            align-items: center;
            gap: 12px;
        }
        
        .checkbox {
            width: 12px;
            height: 12px;
            transform: scale(1.5);
            cursor: pointer;
        }

        .checkbox-column {
            width: 40px;
            text-align: center;
            padding-right: 0;
        }

        .star {
            cursor: pointer;
            font-size: 30px;
            color: #f1f1f1;
            margin-top: -5px;
            margin-left: -10px;
        }

        .star-filled {
            color: #ab1f74;
        }

        .name-container {
            display: flex;
            flex-direction: column;
        }

        .name-details {
            display: flex;
            align-items: center;
            gap: 12px;
            padding-left: 0;
        }
        @media (min-width: 1440px) {
            
            nav a {
            font-size: 28px;
            }
            .main-content {
            margin-top: -70px;
            
        }
        }

    </style>
</head>
<body>
<?php echo $__env->make('admin.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
   <div class="main-content">
       <!-- New Action Buttons Section -->
    <div class="action-buttons">
        <select id="bulkAction" class="action-btn" disabled>
            <option value="" disabled selected>Bulk action</option>
            <option value="export">Export</option>
            <option value="delete">Delete</option>
        </select>
        
        <button class="action-btn">
            Import data
            <i class="bi bi-box-arrow-in-down me-2"></i>
        </button>
        
        <button class="action-btn">
            Add data
            <i class="bi bi-folder-plus"></i>
        </button>
        <input type="text" class="search-bar" placeholder="Search...">
    </div>
        <table>
            <thead>
                <tr>
                    <th class="checkbox-column">
                    <input type="checkbox" class="checkbox" id="selectAll" />
                </th>
                    <th>COVER</th>
                    <th>POLICY NUMBER</th>
                    <th>DATE OF ISSUE</th>
                    <th>DATE OF EXPIRE</th>
                    <th>AUTORENEW</th>
                    <th>CUSTOMER</th>
                    <th>ACTION</th>
                </tr>
            </thead>
            <tbody>
               
                <!-- Add more rows here as needed -->
            </tbody>
        </table>
    </div>

    <script>
        // Sorting functionality
        document.querySelectorAll('th').forEach(th => th.addEventListener('click', (() => {
            const table = th.closest('table');
            const tbody = table.querySelector('tbody');
            Array.from(tbody.querySelectorAll('tr'))
                .sort(comparer(Array.from(th.parentNode.children).indexOf(th), this.asc = !this.asc))
                .forEach(tr => tbody.appendChild(tr));
        })));

        const getCellValue = (tr, idx) => tr.children[idx].innerText || tr.children[idx].textContent;

        const comparer = (idx, asc) => (a, b) => ((v1, v2) => 
            v1 !== '' && v2 !== '' && !isNaN(v1) && !isNaN(v2) ? v1 - v2 : v1.toString().localeCompare(v2)
        )(getCellValue(asc ? a : b, idx), getCellValue(asc ? b : a, idx));

        // Search functionality
        const searchBar = document.querySelector('.search-bar');
        searchBar.addEventListener('input', function() {
            const searchTerm = this.value.toLowerCase();
            const rows = document.querySelectorAll('tbody tr');
            
            rows.forEach(row => {
                const text = row.textContent.toLowerCase();
                row.style.display = text.includes(searchTerm) ? '' : 'none';
            });
        });
        
        // Select All functionality
    const selectAllCheckbox = document.getElementById('selectAll');
    const rowCheckboxes = document.querySelectorAll('.row-checkbox');

    selectAllCheckbox.addEventListener('change', function() {
        rowCheckboxes.forEach(checkbox => {
            checkbox.checked = this.checked;
            const row = checkbox.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
        });
    });

    // Individual checkbox functionality
    document.querySelectorAll('.row-checkbox').forEach((checkbox) => {
        checkbox.addEventListener('change', function () {
            const row = this.closest('tr');
            const star = row.querySelector('.star');
            if (this.checked) {
                star.innerHTML = '&#9733;';
                star.classList.add('star-filled');
            } else {
                star.innerHTML = '&#9734;';
                star.classList.remove('star-filled');
            }
            
            // Update select all checkbox
            const allChecked = Array.from(rowCheckboxes).every(cb => cb.checked);
            selectAllCheckbox.checked = allChecked;
        });
    });
    
    </script>
</body>
</html><?php /**PATH /home/joqo64qe/public_html/crownscope.dogo-tech.com/resources/views/admin/renewals.blade.php ENDPATH**/ ?>